/* Hello World Example with 8080 8bit parallel send with i2s
 *
 * It is important to notice that if 8bit is needed, it is either a #define CONFIG_BIT_MODE_8BIT in the
 * src file i2s_lcd.c or iot_i2s_lcd.h to "let the compiler know it".
 *
*/

#include "SSD2805_8080_drv.h"

//static data converted by a freeware lcd-image-converter http://www.riuson.com/lcd-image-converter.
//Format is 16-bit per pixel in 565, R4R3R2R1R0G5G4G3 G2G1G0B4B3B2B1B0
static const uint16_t image_data_AppleWatch[57600] = {
    // ████████████████████████████████████████▓▒▒▓▓▓▓▓▓████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████▓▓▓▓▓▒▒▓███████████████████████████████████████████
    // ██████████████████████████████████████▓▒▒▓▓▓▓▓███████████████████████████▓▓▓▓▓▓▓▓▓▓▓▓▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▓▒▓▒▓▓▓▓▓▓▓▓▓████████████████████████████▓▓▓▓▒▒▓█████████████████████████████████████████
    // ████████████████████████████████████▓▓▒▓▓▓▓████████████████▓▓▒▒▒▒▒░░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▓▒▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒░░░▒▒▒▒▓▓█████████████████▓▓▓▒▒▓███████████████████████████████████████
    // ██████████████████████████████████▓▓▒▓▓▓▓████████████▓▓▒░░░▒▒▒▓▓▓▓▓▓▓████████████████▓▓█▓██▓▓█▓██████████████████████████████████████████████████████████████████████████▓▓▓▓▓▓▓▒▒░░░▒▒▓█████████████▓▓▓▒▓▓█████████████████████████████████████
    // █████████████████████████████████▓▒▓▓▓▓██████████▓▒░░▒▒▓▓▓████▓▓▓▓▓▓▒▓▒▓▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▓▒▒▒▒▒▒▓▓▒▒▒▓▒▓▒▓▒▒▒▒▒▓▒▓▒▒▒▓▒▓▓▒▒▒▓▒▒▒▒▒▒▒▒▓▒▒▓▒▓▓▓▓▓▓▓▓▓▓▓█▓█▓█▓▓▓▒░░░▒▓███████████▓▓▓▒▒████████████████████████████████████
    // ███████████████████████████████▓▓▒▓▓▓█████████▓░░░▒▓▓▓▓▓▓▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▓▓▓▓▓▓▓▓▒░░░▓█████████▓▓▓▓▓▓██████████████████████████████████
    // ██████████████████████████████▓▒▓▓▓▓███████▓▒░░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒░▒▒▒▒░▒▒░▒▒░░▒▒▒░░▒▒░▒▒▒░▒▒░▒▒▒░░░▒▒▒░▒▒░▒░▒░▒░▒░▒▒░░░░▒▒▒▒▒░▒▒▒▒░▒▒░▒▒░░░░▒▒▒░▒▒░▒░▒▒▒▒░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒░░▒▓███████▓▓▓▓▒▓█████████████████████████████████
    // █████████████████████████████▓▒▓▓▓███████▓░∙░░▒▒▒▒▒▒▒▒▒▒▒▒░░▒░░░░░░░░░░░▒░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░▒░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒░∙░▓██████▓▓▓▓▒▓████████████████████████████████
    // ████████████████████████████▓▒▒▓▓▓█████▓░∙░░░░░░░░░░▒░▒░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░▒░░▒░▒░░∙░▓██████▓▓▓▒▓███████████████████████████████
    // ███████████████████████████▒▒▓▓▓▓████▓░∙∙░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░∙░░∙∙∙∙∙∙∙∙░░∙∙∙∙░∙∙░░∙░∙∙∙░∙∙░░░∙∙∙∙∙░∙∙░∙░░∙░░∙░░░░░░░░░░░∙░∙░∙░∙░░░░░░░░░░░░░░░∙░∙░░∙░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░∙░▓████▓▓▓▓▒▓██████████████████████████████
    // █████████████████████████▓▒▒▓▓▓▓▓███▒∙∙░░░░░░░░░░░░░░░░░░░░░∙░░∙∙∙∙∙░∙∙∙░∙░∙∙░░∙░░∙∙∙░░∙░∙░∙∙∙∙░∙∙∙∙░░░∙∙░░∙░∙░∙∙░∙∙∙░∙∙∙░░░∙∙░░░∙∙∙∙∙░∙∙∙∙∙∙░∙∙∙░░░∙∙∙∙░∙░░∙∙∙∙░∙∙∙░░∙░∙∙░░░∙░∙∙░∙░░░░░░░░░░░░░░░░░░░∙∙▒▓██▓▓▓▓▓▒▓▓████████████████████████████
    // ████████████████████████▓▒▒▓▓▓▓▓██▓░∙∙∙∙∙░░░░░░░∙░∙∙∙∙░∙∙∙░∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙░░░∙∙░░░∙░∙∙░░∙∙∙░▓██▓▓▓▓▓▓▒████████████████████████████
    // ████████████████████████▒▒▓▓▓▓▓██▒∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓█▓▓▓▓▓▒▒▓██████████████████████████
    // ███████████████████████▒▒▓▓▓▓▓█▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▒▓██████████████████████████
    // ██████████████████████▓▒▓▓▓▓▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓▓▓▓▓▒▓█████████████████████████
    // █████████████████████▓▓▓▓▓▓▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▒▓████████████████████████
    // ████████████████████▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓▓▓▓▓▒▓███████████████████████
    // ███████████████████▓▒▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▓██████████████████████
    // ███████████████████▓▓▓▓▓▓▓█░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▒██████████████████████
    // ██████████████████▓▓▓▓▓▓▓█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▓▓▓▓▓▒▓█████████████████████
    // ██████████████████▓▓▓▓▓▓█▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██▓▓▓▓▓█████████████████████
    // █████████████████▓▓▓▓▓██▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓▓▓▓▓▒████████████████████
    // █████████████████▒▓▓▓▓██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒███▓▓▓▒▓███████████████████
    // ████████████████▓▓▓▓███▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓████▓▓▒███████████████████
    // ████████████████▒▓▓████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░████▓▓▓███████████████████
    // ███████████████▓▓▓▓███▓∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙▓████▓▓▓██████████████████
    // ███████████████▓▓▓████░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░█████▓▓▓█████████████████
    // ██████████████▓▓▓████▓░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙▓████▓▓▓█████████████████
    // ██████████████▓▓▓████▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▒░▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░████▓▓▓█████████████████
    // ██████████████▒▓████▓░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙∙∙∙▓▒∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒∙█████▓▓▓████████████████
    // █████████████▓▓▓████▒░▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓░∙∙∙∙▓░∙∙∙░▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒░▒████▓▓▒████████████████
    // █████████████▓▓▓████▒░▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙∙▒░∙∙∙∙∙∙∙░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒░████▓▓▓████████████████
    // ████████████▓▒▓████▓░▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓∙∙∙▓▓░∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙█∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒∙▓████▓▓▓███████████████
    // ████████████▓▓▓████▒░▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▒∙∙∙∙██▒∙∙∙∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▓░▒████▓▓▓███████████████
    // ████████████▓▓▓████▒▒▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙∙∙∙░██▓░∙∙∙∙░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙∙░∙∙∙▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒░████▓▓▓███████████████
    // ████████████▓▓████▓▒▒▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙∙∙∙∙▒██▓∙∙∙∙░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░░░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░▒▓▒▒∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓░████▓▓▓███████████████
    // ███████████▓▓▓████▓▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙▓█▒∙∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▓▒▒∙∙░░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓███▒∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓░▓████▓▓▓██████████████
    // ███████████▓▓▓████▒▒▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓∙∙∙∙∙∙░░∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▓▓▓▓▓░∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙▒█▓█▒░▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▒▒████▓▓▓██████████████
    // ███████████▓▓▓████▒▒▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙∙∙∙∙∙∙∙∙∙∙░▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▓▓▓▓░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▒∙▓██▓∙▓████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░████▓▓▓██████████████
    // ███████████▓▓▓████▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓∙∙∙∙∙∙∙∙∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙▒██░░██████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░████▓▓▓██████████████
    // ███████████▓▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓░∙∙∙∙∙∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓∙▓█████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█░▓███▓▓▓██████████████
    // ███████████▒▓████▓▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▒∙∙∙∙∙▒▓▓░∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙███████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█░▓████▓▓▓█████████████
    // ██████████▓▓▓████▓▒▓▓▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙█▒∙∙░░∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙▓████████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█▒▒████▓▒▓█████████████
    // ██████████▓▓▓████▓▒▓▓▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▒▒∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙░░∙∙∙▒∙∙∙▒∙∙∙█▒∙∙░░∙∙░∙∙∙░░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙░█████████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒█▓░████▓▓▓█████████████
    // ███████████▓█████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙▒∙∙∙▒∙∙∙█▒∙∙░∙∙∙░∙∙∙▒∙∙∙░▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█████████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓▓░████▓▓▓█████████████
    // ██████████▓▓▓████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙█▒∙∙░∙∙∙░∙∙∙░∙∙∙▒∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙████████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓▓∙████▓▓▓█████████████
    // ██████████▓▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙▒∙∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙█▒∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓█████████████
    // ██████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░∙∙∙░░∙∙░∙∙∙▒∙∙∙░∙∙∙▓░∙∙░∙∙∙░∙∙∙░∙∙∙▒∙∙∙░∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓█████████████
    // ██████████▒▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙▒∙∙∙░░∙∙░░∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙▒∙∙∙▒∙∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░▓███▓▓▓█████████████
    // ██████████▒▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░▓███▓▓▓█████████████
    // ██████████▓▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░∙∙∙░░∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░▒███▓▓▓▓████████████
    // ██████████▓▓████▓▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▒▒∙∙∙∙∙∙∙∙∙∙░∙∙∙░∙∙∙░░∙∙∙▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙∙▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒█▒▒███▓▓▒▓▓▓▓▓▓███████
    // █████████▓▓▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙░▓░∙∙░░∙∙∙░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒█▒▒███▓▒░░▒▓▓▓▓▓▓█████
    // █████████▓▓▓████▓▒█▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓∙∙∙░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙▓█░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▓░███▓░∙▒▓▓▓▓▓▓▓▓████
    // █████████▓▓▓████▓▒█▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▒∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░█▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█▓░███▓∙░▓▓▓▓▓▓▓▓▒████
    // █████████▓▓▓████▓▒▓▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙▓▓░∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙▓▓∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█▓░██▓▒∙▒▓██████▓▓████
    // █████████▓▓▓████▓▒█▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█▓░██▓░∙▒▓▓█████▓▓▓███
    // █████████▓▓▓████▓▒█▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓░∙▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙▒░∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░█▓▒∙░▒▓███████▓▓███
    // █████████▓▓▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙▒▓▒░░▒░∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒█▓░█▓▒∙░▒▓███████▓▒███
    // ██████████▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙░░∙∙∙░▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░█▓░∙░▒▓███████▓▓███
    // █████████▓▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓∙∙▒░∙∙▒▒░∙∙∙∙∙∙∙∙∙▒░∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒█▓░█▓∙∙▒▓████████▓▓███
    // █████████▓▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▒∙▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒▓█░█▒∙∙░▒▓███████▓▓███
    // █████████▓▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓░∙∙▓∙∙∙∙∙∙∙∙∙░░∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░▓▒∙∙▒▓█████████▓███
    // █████████▓▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓∙∙░▓∙∙∙∙∙∙∙∙∙∙▒░∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓▓░▓▒∙∙░▒▓███████▓▒▓██
    // █████████▓▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓∙∙∙░▓▓░∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▓░∙∙░░▓███████▓▓▓██
    // █████████▓▓█████▒▓▓▒▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙▒░∙∙∙∙∙∙∙░░∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▓░∙∙▒▓█████████▓▓██
    // █████████▓▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░▒▓▓▓▓▓▓▓▓▓▓▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░░▓█▓▓▓▓▓▓▓▓▓██
    // █████████▓▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░▒▓▓▓▓▓▓▓▓█▓▓██
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙░▓▓∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░░▒▓▓▓▓▓▓▓▓▒▒██
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░▒▒▒░∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░░▒▓▓▓▓▓▓▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░▓▒∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░▒▒▓▒▓▓▒▒▓█▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▒░∙░∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░░▒▒▒▒▒▒▒▓▓▒▒██
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░▒▓▒░∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒▓░▒░∙∙░░▒▒▓▓▒▒▓▓▓▓▒██
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▒∙∙∙∙∙∙∙░░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒▓░▒░∙∙░░▒▒▒▒▒▒▒▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▒░∙∙░░▒▒▓▓▓▓▓▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙█▓▒░▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▒░∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒█░▒░∙∙░░▒▓▓▓▓▓▓▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙█▓∙∙▓▓▓▓▓░∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓███▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░▒░∙∙░░▒▒▒▒▒▒▒▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█▒∙▒█▓▓▓▓▒∙░▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████▓∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░▒░∙∙░░▒▓▓▓▓▓▓▓▓▓▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▒∙▓▓▓▓▒▓▓▓▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒████████∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒█░▒░∙∙░░▒▓▓▓▓▓▓▓▓▒▒██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█░∙▓▓▓▓░░██▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓████████▓∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░▒░∙∙░░▓▓▓▓▓▓▓▓▓▓▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░█▓▓▓∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▒∙∙∙∙∙∙░▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░▒░∙∙░░▒▓▓▓▓▓▓▓▓▒▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████▒∙∙∙∙∙∙▒██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░▓▒∙∙░▒▓▓▓▓▓▓▓▓▓▒▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓▓▓██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓██████████∙∙∙∙∙∙▒██▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░▓▒∙∙░▒▓████████▓███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙██░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█▓∙∙▒██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██████████▒∙∙∙∙∙∙░█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓█▒▓▒∙∙∙▒▒▓▓▓▓▓▓▓▓▒▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓▓∙∙∙░▓█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░▓▓░∙░▒▓██████▓▓▒▓██
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█▒∙∙∙░▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒▓█░▓▓░∙∙░▒▓▓▓▓▓▓▓▓░███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█▓∙∙∙▒▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒▓▓▒∙∙▒▒▓▓▓▓▓▓▓▒▒███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▒∙░▓█▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓█▒▓█▓∙∙░▒▓▓▓▓▓▓▓▒▒███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓∙░██▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒▓█▓░∙░▒▒▓▓▓▓▓▒▒▓███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓∙∙▒▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█████████▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒▓█▓▒∙∙▒▓▓▓▓▓▒▒▒▓███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒▓██▓░∙░▒▒▒▒▒▒▒▒▓███
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓█████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒▓██▓▒∙░▒▒▒▒▒▒▒▒████
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒████▓░∙░▒▒▒▒▒▓█████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒███▓▓▒░▒▓▓▓▓▓██████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓█▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒███████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒████████▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙░██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒░░░▓██████████∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██████████∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒▒░░░░▓██████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██████████▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒░░░▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▒▒░░░▒██████████▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒░░░▓██████████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░░▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒░░▒▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░▓██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██████████▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▒█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░░░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░░∙▒█████████▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████████▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒░∙∙∙∙∙∙░▒░▒∙∙░▓█████████▒∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙▒██████████▒∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░░∙∙∙∙░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓██▒∙∙∙∙∙∙∙▒▒▒░∙∙░▓█████████▓∙∙∙∙∙∙∙▒░∙∙∙∙∙∙▒█████████▓░∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒▒░∙░▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙░▒▓▓███████▒∙∙∙∙∙∙∙░▒░▒░∙∙∙▒█████████░∙∙∙∙∙∙▒░∙∙∙∙∙░█████████▒∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░░░∙░░▒▒▒▒▒░░∙∙░░▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙███████████▒∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙░▓███████░∙∙∙∙∙∙▒░∙∙∙∙∙▒███████▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒░∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙░▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙███████████▒∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙░▒██████▒∙∙∙∙∙∙▒░∙∙∙∙∙▒██████▓░∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▒█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙████████▓▒█▒∙∙∙∙∙∙∙∙░▒░▒░∙∙∙∙∙∙▒██████▓∙∙∙∙∙▒░∙∙∙∙▒██████░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙███▓▒░░░∙∙▓▒∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙▒▒░░▓█▓░∙∙∙▒∙∙∙░▓█▓░░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▓∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙▒██▓∙░▒░∙▒██▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█░∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██▓▓▒▒███▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▒█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙██▒░▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░██████░∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓∙∙∙▒▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█████░∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙▓████▓∙∙∙∙∙∙∙∙∙∙∙∙∙▒░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█░∙∙▓▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█████∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙█▓░▒█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▒█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙∙∙∙▓▒∙∙∙∙∙∙∙∙∙░▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▒▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙█▒∙∙∙∙∙▒▓██▒∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙░█▒∙∙∙░▓████▒∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙░▒▓██░∙∙∙░█████▒∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒░∙∙∙∙∙∙∙░█████░∙∙∙░█████░∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙▓█████░∙∙∙∙▒▓█▓▒∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙▓█████∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒░∙∙∙∙∙░▓██▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓█████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░░▒▒▓█░████▓▓█████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▒████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▒▒████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒░▒▒▒░░∙∙∙∙∙∙∙∙∙░░░▒▒░▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▒▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░▒▒▒▒▒░░░░░░▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▒▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒░▒▒▒▒░▒▒▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▒▒▒▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█▒█████▓▓████████████
    // █████████▒▓█████▒▓▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░░▒▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░███▓▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░▒▒▒▒▒▓▓▓▒▒▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▒▒▒▒▓▓▓▓▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░████▓▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒░▒▓▓▒▒▒▒▒▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░▒▒▒▒▓▓▓▒▓▒░▒▒░░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░▒▒▒▓▓▒▒▓▒░▒▒░░▒▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒∙░▒▒▓▓▓▒▒▒▒░░░▒░░▓█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▓▒░▒▒▒▒▒▒▒░░░░░▒░∙▒▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░██████▓████████████
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙░░░▓▒▒░▒░∙░░▒▒░░░∙░░▒░░░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░▒▒░▒▒░∙░░▒▒░░░∙∙░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙░░░░▒░░▒░▒▒∙∙∙∙∙∙░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░▒░░▒░░▒░░▓░∙∙∙∙░░░∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓█▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░▓▒░▒░░▒▒░▓▒∙░░░░░▒░∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒░░▒░░▒▓▒▒▓░░░▒░░▒░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░∙∙░░░░∙░▒░░░▒▒▒▒▒▒░░░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░∙░∙∙░▒░░▒▒▒▒▒▒░░░░▒▒░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░███▓█▓▓████████████
    // █████████▒▓▓████▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░∙░▒░∙░▒▒▒▒▒▒▒▒░░░▒▒▒▒░░▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░███░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░▒▒▒▒▒▒▒▒▒░░▒▒░▒▒░▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░███▓██▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░░∙∙░▒▒▒▒▒▒▒▒░░∙░░░▒▒▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙░░∙∙░▒░▒▓▒▒▓▓░░░░▒░▒▒▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░███▓██▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙░░░░░▒░░▒▒▒▒▒▒░░▒▓▓▒▒▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙░∙∙▒░▒▓░▒░░░▒░░▒▒░░▒▒▒▒▒░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█░████▓█▓████████████
    // █████████▒▓█████▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░░▓░░▒░░▒░░▒▓▒░▒▒░▒░░▒░░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓░░░▒▒▒░░░░▒▒░░░░░░∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓█▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▒░░▒▒▓░░░░░░░▒░░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░███▓██▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░▒▒░░░░░░░░▒▒░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░███▓██▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░∙░▒░∙∙░░░░░░░▒░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░██████▓████████████
    // █████████▒▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙░░░░░░░░░░░░░░∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░░░∙∙∙∙∙∙∙∙∙░░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙░░░░░░░░░░░░░░░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░∙░░░░░░░░▒░░░░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░██████▓████████████
    // █████████▓▓█████▒▓▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙░░░∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░░░░░░░░░▒▒▓░░░░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░██████▓████████████
    // █████████▒▓█████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙░░∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░░░░░░░░▒▒▒▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░█████▓▓████████████
    // █████████▓▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙░∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙░▒▒▒░░▒░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░███▓██▓████████████
    // █████████▓▓▓████▒▓▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙░░░░░░░░░░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░█████▓▓████████████
    // █████████▓▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙▒░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙░░░░░∙∙░░▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓█░████▓▓▓████████████
    // █████████▓▓█████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░▒▒░∙∙∙∙∙∙∙░░∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙░░░░░∙░▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░█████▓▓████████████
    // █████████▓▓█████▒▒▓▒░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░▒∙∙▒░∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░▒░∙░░░░░∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░█████▓▓████████████
    // █████████▓▓▓████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙▒∙∙░∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙░░░░░∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░█████▓▓████████████
    // █████████▓▓█████▒▒▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙░▒∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░███▓▓▓▓████████████
    // █████████▓▓▓████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▒▒▓▓░████▓▒▓████████████
    // ██████████▓█████▒▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▒▓▓░████▓▒▓████████████
    // ██████████▓▓████▓▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▒▓████████████
    // █████████▓▓█████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██▒∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙░░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▒▓████████████
    // █████████▓▓▓████▓▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓██▓∙∙∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙∙▒∙∙∙▓▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█∙∙∙▒∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓▒████▓▓▓████████████
    // █████████▓▓▓████▓▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙▒█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▒∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓▒███▓▓▓▓████████████
    // █████████▓▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙▒∙∙∙▓▓∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙▓█∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓▒████▓▓▓████████████
    // ██████████▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙▒█▒∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▒▒████▓▓▓████████████
    // ██████████▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▒∙░░∙∙∙∙∙∙∙∙∙∙░█▓∙∙∙░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙▓█░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒█▒▒███▓▓▓▓████████████
    // █████████▓▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▒∙░▓▓▒░∙∙∙∙∙∙∙∙∙▓░∙∙░░∙∙∙░∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░∙∙∙░░∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒░░░▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓▒▒███▓▓▓█████████████
    // ██████████▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓∙∙▓▒░▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙∙▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▓▓▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▒▒████▓▓█████████████
    // ██████████▒▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙∙▓░∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙░░∙∙∙▒∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▓█▓▓▒▒▒▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒█▒▓███▓▓▓▓████████████
    // ██████████▒▓████▓▒▓▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙░░∙∙∙░∙∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▓▓▓▓▓▓▒▒▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█░▓███▓▓▓█████████████
    // ██████████▒▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓░░▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░░∙∙░░∙∙░∙∙∙░∙∙∙∙∙∙∙▒░∙∙∙∙∙∙∙∙∙∙░∙∙∙▒∙∙∙░∙∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒█▓▓▓▓▓▒▒▒▒▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░▓███▓▓▓▓████████████
    // ██████████▓▓█████▒▓▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▒∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙▒∙∙∙░∙∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙▒░∙∙░∙∙∙░∙∙∙░∙∙∙▒∙∙∙░∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▒▓▒▒▓▓▓▓▓▓▓▒▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▓▓█████████████
    // ██████████▒▓▓████▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙▓██∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒∙∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙▒░∙∙░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓█▓██▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▓▓█████████████
    // ███████████▓█████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░█▓█▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙░∙∙∙▒∙∙∙▒∙∙∙▒░∙∙░∙∙∙░∙∙∙▒∙∙∙░░∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▓▓▓█▓▓▓██▓▓▓▓██▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░████▓▓▓█████████████
    // ██████████▓▓▓████▒▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙███░∙∙∙░██▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░░∙∙∙▒∙∙∙▒∙∙∙▒░∙∙░∙∙∙░∙∙∙░░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓▓▓▓▓▓██▓▓█▓▓▓▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▓▓█████████████
    // ██████████▓▓█████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙▓▓∙░▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙░▒∙∙∙▒∙∙∙▒░∙∙░░∙∙░∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓▓▓▓▓▓▓█▓██▓▓▓▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓▓▒████▓▒▓█████████████
    // ██████████▓▓▓████▓▒▓▓▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓▓░∙∙▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓░∙░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙▒∙∙∙▒░∙∙░░∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒▓▓▓▓▓▓▓██▓▓▓▓█▓▓▒▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒█▒▒████▓▓▓█████████████
    // ███████████▒▓████▓▒▓▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓░∙▒▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓∙∙▒▒∙∙░▓█░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒▒▓▓▓▓█▓▓█████▓▓▒▒▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓█░▓███▓▓▒▓█████████████
    // ███████████▒▓████▓▒▓▓▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓░∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓∙░█▒∙▒▓▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒▒▓▓▓▓▓▓█▓████▓▓▒▒▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓▓░▓████▓▓██████████████
    // ███████████▓▓█████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓█▓░∙▓▓░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▒∙▒▓∙░▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▓▓▓▓▓▓▓▓▓██▓▓▓▓▓▓▓▒▓▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▓▓██████████████
    // ███████████▓▓▓████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓█░∙▓▒∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▒∙░▓▒░▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▓▓▓▓▓▓██▓▓█▓▓▓▓▓▓▓▒▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▓░████▓▓▓██████████████
    // ███████████▓▓▓████▒▒▓▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▓▓░▒▓░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓█░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▓▓▓▓▓▓▓█▓▓▓██▓▓▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓▒▒████▓▓▓██████████████
    // ████████████▓▓████▓▒▓▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙∙∙∙∙∙∙∙∙∙∙█▒░▓░░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▓▓▓▓▓▓█▓▓▓███▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒▓░▓████▓▓▓██████████████
    // ████████████▒▓████▓▒▒▓▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙∙∙∙∙∙∙∙∙∙∙∙█▒░▓▒░▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▒▓▓▓▓▓▓▓▓▓▓▓█▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▓░████▓▓▓███████████████
    // ████████████▓▓▓████▒▒▒▒▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙∙∙∙∙∙∙∙∙∙░█▒░▓░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒█▓▓▓▓▓▒▒▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▒░████▓▓▓███████████████
    // ████████████▓▓▓████▒░▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙▒▓░▒▓░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▓▓▓▓▓▓▒▒▒▒▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▓░▒████▓▓▓███████████████
    // █████████████▒▓████▓▒▒▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙∙∙∙∙∙∙∙░░░▓▒∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▒▒▒▒▒▓▓▓▓▓▒▒▒▒▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒░█████▓▓▓███████████████
    // █████████████▓▓▓████▒▒▒▒░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░∙▒▒∙∙∙∙∙∙∙∙▓▓░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▓██▓▒▒▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒░░████▓▓▓████████████████
    // █████████████▓▓▓████▓░▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒∙░▓▓░∙∙∙░▒▓▓░∙▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░▒▒▒▒▒▒▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒░▒████▓▓▓████████████████
    // ██████████████▒▓████▓░░▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙░▓▓▓▒▒▓▓▓░∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒▒░█████▓▓▓████████████████
    // ██████████████▓▓▓████▒░▒░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒░░∙░▒▓▓▒░∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░▒░▒████▓▓▓█████████████████
    // ██████████████▓▒▓▓███▓░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒░░∙∙∙∙░░▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙▓████▓▓▓█████████████████
    // ███████████████▓▓▓████▒░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙▒████▓▓▓██████████████████
    // ███████████████▓▓▓▓███▓∙░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░▓████▓▓▒██████████████████
    // ████████████████▓▓▓▓███▒∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙▒▓██▓▓▓▓▓██████████████████
    // ████████████████▓▓▓▓▓▓█▓░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░▓██▓▓▓▓▒███████████████████
    // █████████████████▓▓▓▓▓▓█▒∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▓▒▓███████████████████
    // █████████████████▓▒▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▓▓████████████████████
    // ██████████████████▓▓▓▓▓▓▓▓∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙∙▓▓▓▓▓▓▓▒█████████████████████
    // ██████████████████▓▒▓▓▓▓▓▓▒∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙▒▓▓▓▓▓▒▒▓█████████████████████
    // ███████████████████▓▒▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▒▒██████████████████████
    // ████████████████████▓▒▓▓▓▓▓▓░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▓▓▓▓▓▓▒▒███████████████████████
    // ████████████████████▓▒▒▓▓▓▓▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▓▓▓▒▒▒▓███████████████████████
    // █████████████████████▓▒▒▒▒▓▒▓▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▒▒▒▒▒▒▓████████████████████████
    // ██████████████████████▓▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▓▒▒▒▒▒▒▒█████████████████████████
    // ███████████████████████▒▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒▒▒██████████████████████████
    // ████████████████████████▓▒▒▒▒▒▒▒▒░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░▒▒▒▒▒▒▒▒▒███████████████████████████
    // █████████████████████████▒▒▒▒▒▒▒▒▓▒░∙∙░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░∙∙∙▒▒▒▒▒▒▒▒▒▒▓███████████████████████████
    // ██████████████████████████▒▒▒▒▒▒▒▒▒▒░∙∙░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░∙∙░▒▓▒▒▒▒▒▒▒▒▓████████████████████████████
    // ███████████████████████████▒▒▒▒▒▒▒▒▓▓▒░∙∙░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░∙∙░▒▓▓▒▒▒▒▒▒▒▒██████████████████████████████
    // ████████████████████████████▓▒▒▒▒▒▒▒▓▓▓▒░∙░░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░▒░░∙░▒▓▓▓▒▒▒▒▒▒▒▒███████████████████████████████
    // █████████████████████████████▓▒▒▒▒▒▒▒▓▓▓▓▒░∙░░▒▒▒░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░▒▒▒▒░∙░▒▓▓▓▓▒▒▒▒▒▒▒▓████████████████████████████████
    // ██████████████████████████████▓░▒▒▒▒▒▓▓▓▓▓▓▓▒░░░▒▒▒▒▒▒░░░░░░░░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░░░░░░░░▒▒▒▒▒▒░░░▒▓▓█▓▓▓▓▒▒▒▒▒▒▓█████████████████████████████████
    // ████████████████████████████████▒▒▒▒▒▒▓▓▓▓▓▓██▓▒░░░▒▒▓▓▒▒▒▒▒░░░░░░░░░░░░░░∙░░∙░∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙∙░∙░░░░░░░░░░░░░░░▒▒▒▒▓▓▓▒▒░░░▒▓███▓▓▓▓▓▒▒▒▒▒▒███████████████████████████████████
    // █████████████████████████████████▓▒▒▒▒▒▓▓▓▓▓▓████▓▒░░░░▒▒▒▓▓▓▓▓▒▒▒▒▒▒▒▒▒▒▒▒▒▒░▒░▒░░░░░░░░░░░░░░▒░░░░░░░░▒░░▒░░░░░░░░░░░░░░░░░░░░░░▒░░░░░▒░░░░░░░░░░░░░░░░░░▒░▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▓▓▓▓▓▓▒▒▒░░░░▒▓████▓▓▓▓▓▓▒▒▒▒▒▓████████████████████████████████████
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xef3c, 0xde38, 0xcd12, 0xb46f, 0xb42e, 0xbc6f, 0xc4d0, 0xd573, 0xddd5, 0xe616, 0xe616, 0xee78, 0xee78, 0xee98, 0xf6fa, 0xf6fa, 0xf6fa, 0xf71a, 0xff3b, 0xff3b, 0xff3b, 0xff3b, 0xff3b, 0xff3b, 0xff7c, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbd, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbd, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xffbe, 0xffbe, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff3b, 0xff9d, 0xff3b, 0xff1b, 0xf71a, 0xff1b, 0xf6fa, 0xf6fa, 0xf6fa, 0xf6fa, 0xf6b9, 0xee78, 0xee78, 0xe657, 0xe616, 0xddb4, 0xd573, 0xccf1, 0xbc6f, 0xac2e, 0xb42e, 0xc4d1, 0xe637, 0xf75c, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xe699, 0xcd32, 0xac2e, 0xb40d, 0xbc90, 0xcd53, 0xddb4, 0xe5f5, 0xe616, 0xee78, 0xee98, 0xf6fa, 0xf71a, 0xf71a, 0xf71a, 0xff3b, 0xff3b, 0xff3b, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff5c, 0xf6fa, 0xdeba, 0xe678, 0xe658, 0xe637, 0xddb4, 0xd5b4, 0xbd75, 0xc512, 0xc533, 0xc4f1, 0xc4f1, 0xc4f1, 0xb4b1, 0xac90, 0xac90, 0xb490, 0xac90, 0xb46f, 0xac70, 0xac2e, 0xac0e, 0xa470, 0xac2e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xac0e, 0xa450, 0xb46f, 0xac70, 0xb490, 0xa470, 0xb490, 0xa470, 0xc4f1, 0xbcb0, 0xc4f1, 0xc4f1, 0xc512, 0xc554, 0xcd74, 0xddb4, 0xddf5, 0xe637, 0xe658, 0xde99, 0xe6da, 0xf6da, 0xff7d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xffbe, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff7d, 0xff3b, 0xff3b, 0xff1b, 0xf71a, 0xf71a, 0xf6b9, 0xee98, 0xee78, 0xe637, 0xe5d5, 0xddb4, 0xdd52, 0xc490, 0xabed, 0xac0d, 0xc4f1, 0xe678, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf73c, 0xcd53, 0xbc90, 0xb42e, 0xc4b0, 0xd532, 0xddb4, 0xe5f6, 0xe637, 0xee78, 0xee98, 0xf6fa, 0xf71a, 0xff1b, 0xff3b, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xff9d, 0xffbe, 0xffbe, 0xf75c, 0xe678, 0xd5d6, 0xb4f2, 0xa44f, 0xa3cc, 0x936b, 0x830a, 0x82e9, 0x82c7, 0x72c8, 0x830a, 0x832a, 0x830a, 0x8309, 0x8bad, 0x8b8c, 0xa3ac, 0x9bac, 0x93cd, 0x93ee, 0x940e, 0x93ee, 0xa44f, 0xa470, 0xa44f, 0x9c70, 0xa470, 0xac90, 0xac90, 0xacd2, 0xacd2, 0xacd2, 0xacd2, 0xacd2, 0xacd2, 0xacf3, 0xacd2, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacf2, 0xacd2, 0xacd2, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacf3, 0xacd2, 0xacf3, 0xacd2, 0xacf2, 0xacd2, 0xacf3, 0xacf3, 0xacd2, 0xacd2, 0xacd2, 0xac91, 0xb490, 0xac90, 0xb490, 0x8c51, 0xb44e, 0x9450, 0x942f, 0x942e, 0x93cd, 0x93ee, 0x9bcd, 0x9bac, 0x8b8c, 0x8b6c, 0x832a, 0x830a, 0x832a, 0x830a, 0x7aea, 0x7ac7, 0x82e9, 0x82e9, 0x9b8b, 0x8bad, 0xa40e, 0xc4f1, 0xbd95, 0xe678, 0xff5c, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xff9d, 0xff9d, 0xff5c, 0xff3b, 0xf71b, 0xf71a, 0xf71a, 0xeeb9, 0xee78, 0xe637, 0xe616, 0xddb4, 0xd594, 0xccf1, 0xabed, 0xb44f, 0xcd53, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xde16, 0xc4d1, 0xb44f, 0xbc8f, 0xd553, 0xddb5, 0xe5f6, 0xee57, 0xee98, 0xf6da, 0xf71a, 0xf71a, 0xff1b, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf71b, 0xd573, 0xb48f, 0x82e9, 0x7ac8, 0x7a86, 0x7ac8, 0x8b09, 0x93ce, 0x9c71, 0xacd2, 0xa4f3, 0xbd96, 0xc5f7, 0xc618, 0xc67a, 0xc659, 0xce9a, 0xcebb, 0xcebb, 0xcebb, 0xcedb, 0xcedb, 0xcedb, 0xcedb, 0xce7a, 0xce9b, 0xcebb, 0xce7a, 0xce79, 0xce9a, 0xce79, 0xcebb, 0xbe9a, 0xc67a, 0xce79, 0xce59, 0xce9a, 0xce59, 0xce59, 0xce59, 0xcebb, 0xce59, 0xce79, 0xce9b, 0xce59, 0xce79, 0xce9a, 0xce59, 0xce59, 0xce7a, 0xce7a, 0xce7a, 0xce7a, 0xce59, 0xce9a, 0xce79, 0xce9b, 0xce79, 0xce59, 0xcebb, 0xce59, 0xce59, 0xce79, 0xce9b, 0xce79, 0xd6db, 0xce59, 0xce7a, 0xce9a, 0xce59, 0xce9a, 0xce7a, 0xc69a, 0xce9a, 0xc6ba, 0xce99, 0xce9b, 0xce79, 0xd6fc, 0xce79, 0xd6fc, 0xce59, 0xd6fc, 0xce79, 0xce9b, 0xce79, 0xce9b, 0xce9a, 0xd6db, 0xce7a, 0xce7a, 0xce7a, 0xce7a, 0xcebb, 0xce9a, 0xd6db, 0xce9a, 0xd6db, 0xcebb, 0xce9b, 0xce9b, 0xcefc, 0xd6fb, 0xcedc, 0xc69a, 0xcefc, 0xcedb, 0xcedb, 0xcedb, 0xcedb, 0xd6fb, 0xdefb, 0xcebb, 0xcebb, 0xcebb, 0xcebb, 0xc65a, 0xc639, 0xc5f7, 0xc5f7, 0xad14, 0xa514, 0xac91, 0x942f, 0x936b, 0x7aa8, 0x6a67, 0x7a86, 0x8b2a, 0xac0e, 0xcd53, 0xeeda, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff5c, 0xf71b, 0xf71a, 0xeeb9, 0xee98, 0xe637, 0xe637, 0xe5d5, 0xcd11, 0xc4b0, 0xb44e, 0xb490, 0xd5f6, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xc532, 0xb42e, 0xccf1, 0xcd32, 0xd553, 0xe5f5, 0xee57, 0xee78, 0xeeb9, 0xff1b, 0xff1b, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xff3b, 0xd573, 0x9bac, 0x6a03, 0x5a27, 0x7aea, 0x93ce, 0xacb1, 0xad75, 0xb659, 0xce9b, 0xce9b, 0xce7a, 0xce79, 0xbe18, 0xb639, 0xb5d7, 0xad76, 0xad76, 0xad76, 0x94b3, 0xad55, 0x94b2, 0x9d14, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x8c92, 0x8c92, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9d35, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x94d3, 0x9cf4, 0x9492, 0x9492, 0x9492, 0x9cd4, 0x94b3, 0xacb2, 0x9cb2, 0x9cf4, 0x94b2, 0x9492, 0x9492, 0x9492, 0x9492, 0xb4d2, 0x9492, 0x9cf4, 0x9492, 0x9492, 0x9cb2, 0xa4b2, 0x9492, 0x9cf4, 0x9cf4, 0x9492, 0x9492, 0x9492, 0x9cd4, 0x94b3, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0x9492, 0xb4d2, 0x9492, 0x94b3, 0x94f4, 0x94b3, 0x9cf4, 0x9cf4, 0x94f4, 0xa514, 0xad35, 0xad55, 0xad76, 0xad76, 0xadb8, 0xad76, 0xb659, 0xce79, 0xb679, 0xcebb, 0xce59, 0xcedb, 0xce38, 0xc617, 0xa4f3, 0x8bef, 0x7aea, 0x7246, 0x7245, 0x936b, 0xcd53, 0xf71b, 0xffbe, 0xffbe, 0xffbe, 0xff3b, 0xff1b, 0xff1b, 0xf71b, 0xee99, 0xe637, 0xe636, 0xddb4, 0xcd12, 0xc4b0, 0xbc4e, 0xb44f, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xd5f6, 0xbc90, 0xbc4f, 0xccf1, 0xd573, 0xddf6, 0xe637, 0xe637, 0xee99, 0xff3b, 0xff3b, 0xff7d, 0xffbe, 0xffbe, 0xff5c, 0xc511, 0x7aa8, 0x5182, 0x5225, 0x8bad, 0x94f4, 0xadd8, 0xadd8, 0xadb8, 0x9d35, 0x9d15, 0x94b3, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x7c31, 0x7bf0, 0x8431, 0x5c6f, 0x7bf1, 0x93ad, 0x8c71, 0x7bd0, 0x8c51, 0x6b8e, 0x73f0, 0x738e, 0x8430, 0x738e, 0x73af, 0x73af, 0x73cf, 0x73cf, 0x73af, 0x73d0, 0x73af, 0x73af, 0x738e, 0x73f0, 0x738e, 0x7410, 0x6b6e, 0x7c31, 0x6b6e, 0x7c11, 0x6b8e, 0x73f0, 0x738e, 0x73f0, 0x73af, 0x73d0, 0x73af, 0x6450, 0x6c30, 0x6430, 0x7410, 0x738f, 0x8410, 0x73ae, 0x8431, 0x738e, 0x8c51, 0x6b6e, 0x8c71, 0x6b8e, 0x546f, 0x83d1, 0x8c0f, 0x7bf0, 0x8430, 0x73af, 0x8410, 0x7bcf, 0x8c50, 0x8430, 0x8430, 0x83ef, 0x7c11, 0x73af, 0x8430, 0x738e, 0x8c51, 0x93ce, 0x7c31, 0x8c71, 0x6b6e, 0x7431, 0x544f, 0x83d0, 0x8c2f, 0x8431, 0x7bf0, 0x7c31, 0x8430, 0x83ef, 0x8411, 0x8c0f, 0x83f0, 0x8451, 0x73af, 0x8430, 0x7c31, 0x8c51, 0x93cd, 0x8c51, 0x8c71, 0x7c31, 0x8c51, 0x7bf0, 0x8c71, 0x8c30, 0x8bce, 0x7c31, 0x8431, 0x8410, 0x8c71, 0x7bcf, 0x7bf0, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x8c71, 0x94f4, 0x94f4, 0x9d35, 0xad76, 0xae19, 0xb639, 0xadb7, 0x9cf3, 0x83ce, 0x6247, 0x5183, 0x7266, 0xc4f2, 0xf75c, 0xffbe, 0xffbe, 0xffbe, 0xeeb9, 0xff3b, 0xe637, 0xe637, 0xe637, 0xe616, 0xd532, 0xcd12, 0xc4b0, 0xbc90, 0xde17, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xcd94, 0xabed, 0xc4af, 0xccf1, 0xd573, 0xe5f5, 0xe637, 0xe637, 0xee99, 0xff3b, 0xff7c, 0xffbe, 0xf77d, 0xd5d5, 0x8b2a, 0x5104, 0x5185, 0x6b2c, 0x8c93, 0x94d3, 0x94d3, 0x8c51, 0x7c11, 0x8c0f, 0x7c11, 0x7c31, 0x8431, 0x7bf0, 0x7bf0, 0x73af, 0x73cf, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b4d, 0x4a6a, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x5b0c, 0x6b4d, 0x632d, 0x630b, 0x732c, 0x6b4d, 0x632d, 0x6aca, 0x6b2c, 0x6b4d, 0x6b4d, 0x5b0c, 0x730b, 0x6b4d, 0x6b4d, 0x4a69, 0x6b4d, 0x6b4d, 0x6b4d, 0x5b0c, 0x732b, 0x634d, 0x630c, 0x732c, 0x6b4d, 0x6b2d, 0x62ec, 0x62ec, 0x6b0b, 0x6b4c, 0x6b4d, 0x6b4d, 0x5b0c, 0x6b4d, 0x6b4d, 0x5b0c, 0x730b, 0x62ec, 0x6b4d, 0x62ec, 0x6b4d, 0x5b0c, 0x634d, 0x630c, 0x732c, 0x6b4d, 0x632d, 0x630d, 0x630c, 0x632d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x5b0c, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b6d, 0x630c, 0x6b4d, 0x634d, 0x632c, 0x6b4d, 0x632d, 0x632d, 0x632d, 0x632d, 0x632d, 0x632d, 0x6b4d, 0x6b4d, 0x5b2b, 0x6b4d, 0x6b4d, 0x5b0c, 0x6b6d, 0x5b0c, 0x730b, 0x6b4d, 0x6b4d, 0x6b4d, 0x5b0c, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6d, 0x6b6e, 0x6b6d, 0x6b6d, 0x73d0, 0x6b6e, 0x8c51, 0x6b6e, 0x7bd0, 0x5c4f, 0x73d0, 0x7c10, 0x8bce, 0x83f1, 0x8c51, 0x8c51, 0x8c92, 0x94d3, 0x8c32, 0x6b4e, 0x3a25, 0x4982, 0x82e8, 0xd5b5, 0xf73c, 0xff9d, 0xff3b, 0xff3b, 0xff1b, 0xee99, 0xe637, 0xe5f5, 0xd5b4, 0xccd1, 0xc4b0, 0xabed, 0xbcf1, 0xf75d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xef1b, 0xbcb0, 0xb44e, 0xbc6f, 0xd532, 0xd573, 0xe637, 0xe637, 0xe657, 0xee99, 0xff5c, 0xff7d, 0xef1b, 0xc554, 0x7287, 0x3902, 0x4a08, 0x632c, 0x73d0, 0x73d0, 0x6b6e, 0x6b4d, 0x6b6d, 0x6b4d, 0x6b6d, 0x6b4d, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b4d, 0x632d, 0x630c, 0x6b4d, 0x632c, 0x632c, 0x5acb, 0x5aab, 0x528a, 0x6289, 0x5acb, 0x4a6a, 0x4a69, 0x4a69, 0x4a69, 0x634d, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x5a89, 0x5a89, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x6aa9, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x6289, 0x5269, 0x4a69, 0x4a69, 0x52cc, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x528a, 0x52cb, 0x4a69, 0x4a69, 0x5aaa, 0x5aaa, 0x52ab, 0x52aa, 0x5aec, 0x52ab, 0x630c, 0x6b4d, 0x62ec, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b6d, 0x6b4d, 0x6b4d, 0x6b4d, 0x6b6d, 0x6b6d, 0x6b8e, 0x738e, 0x6b6e, 0x738e, 0x73af, 0x7bd0, 0x736e, 0x4208, 0x3103, 0x6206, 0xb46f, 0xeefb, 0xf77d, 0xff3b, 0xf71b, 0xe657, 0xe637, 0xe616, 0xdd93, 0xcd32, 0xc4b0, 0xb42e, 0xc4f1, 0xeeda, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde78, 0xbcd1, 0xbc6f, 0xbc6f, 0xd553, 0xd573, 0xe5f5, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xeefa, 0xc531, 0x6a25, 0x30a2, 0x3986, 0x4aab, 0x632d, 0x5b0c, 0x5aec, 0x5aec, 0x5aec, 0x5acc, 0x5aec, 0x5acc, 0x6b4d, 0x528a, 0x632d, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x3a28, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4229, 0x4229, 0x4a49, 0x3a28, 0x4229, 0x4a49, 0x3a28, 0x4249, 0x3a28, 0x4a49, 0x4a49, 0x4a49, 0x3225, 0x4a49, 0x4a49, 0x4249, 0x3a29, 0x4a49, 0x4a49, 0x4229, 0x4229, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a69, 0x4a69, 0x4a49, 0x4a49, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a49, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a6a, 0x5acb, 0x6289, 0x4a8a, 0x5acc, 0x5aec, 0x5aec, 0x5aec, 0x632c, 0x6b4d, 0x5acb, 0x5aec, 0x6b4d, 0x62ec, 0x6b2d, 0x530b, 0x31c7, 0x30c2, 0x59a4, 0xb490, 0xef1b, 0xff7d, 0xf71a, 0xe657, 0xe637, 0xe616, 0xddb4, 0xcd12, 0xc4b0, 0xb44e, 0xbcb0, 0xe6b9, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xe6b9, 0xa3cc, 0xb44e, 0xccf1, 0xd532, 0xddd5, 0xe5d5, 0xe637, 0xe657, 0xeeb9, 0xef3b, 0xc595, 0x6a68, 0x2082, 0x2144, 0x4248, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x4229, 0x4228, 0x4228, 0x4208, 0x4208, 0x39e8, 0x3208, 0x39e7, 0x49c6, 0x3a08, 0x39c7, 0x2966, 0x49a5, 0x31c7, 0x2986, 0x2966, 0x2966, 0x3186, 0x2986, 0x2966, 0x3186, 0x2986, 0x31a7, 0x3186, 0x2966, 0x3186, 0x3186, 0x2986, 0x41a5, 0x3186, 0x3186, 0x3205, 0x31c7, 0x2966, 0x39c7, 0x3186, 0x2966, 0x3186, 0x39c7, 0x2966, 0x3186, 0x3986, 0x41c6, 0x31a7, 0x2966, 0x3186, 0x3186, 0x2986, 0x3186, 0x31e5, 0x3186, 0x2966, 0x3208, 0x3186, 0x4a06, 0x31c7, 0x3186, 0x49c6, 0x31a7, 0x3186, 0x31e7, 0x31a6, 0x3206, 0x31a7, 0x39c7, 0x39c7, 0x31e6, 0x31a6, 0x39c7, 0x3186, 0x31e8, 0x2986, 0x4228, 0x3186, 0x3a28, 0x3186, 0x4228, 0x3186, 0x4208, 0x31a6, 0x3a08, 0x31c6, 0x39e8, 0x39c7, 0x39c7, 0x39e7, 0x3a27, 0x39e7, 0x3a08, 0x31e8, 0x3208, 0x31c8, 0x3a08, 0x2986, 0x4249, 0x2985, 0x3208, 0x4228, 0x3186, 0x4228, 0x3206, 0x41e8, 0x4228, 0x3a28, 0x39e8, 0x39e8, 0x3a28, 0x4227, 0x3a27, 0x4228, 0x39c7, 0x4208, 0x4a49, 0x4229, 0x4a49, 0x4229, 0x4229, 0x4a69, 0x4a49, 0x4a69, 0x4a49, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x528b, 0x528a, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x4a69, 0x31a6, 0x0861, 0x6206, 0xcd74, 0xef1a, 0xf71a, 0xee78, 0xe616, 0xe5f5, 0xddb4, 0xcd32, 0xc4b0, 0xbc4f, 0xbcb0, 0xde37, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xd5f6, 0xac0d, 0xb44e, 0xbcd1, 0xcd32, 0xd573, 0xe5b4, 0xe5d4, 0xee78, 0xee98, 0xde58, 0x8b8c, 0x28e1, 0x18c3, 0x31a7, 0x3a08, 0x4249, 0x4249, 0x4a48, 0x4a49, 0x4a49, 0x4248, 0x4249, 0x4229, 0x4a49, 0x4228, 0x4228, 0x4228, 0x4208, 0x31a6, 0x4208, 0x39c7, 0x39e7, 0x41c6, 0x31c7, 0x2966, 0x3986, 0x3986, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x31a7, 0x3186, 0x2966, 0x2966, 0x31c7, 0x2986, 0x31e5, 0x2966, 0x3186, 0x31c7, 0x31c5, 0x3186, 0x31c6, 0x31c5, 0x2966, 0x2966, 0x2966, 0x39a7, 0x31e6, 0x2985, 0x31a7, 0x3186, 0x39c7, 0x2966, 0x2966, 0x2966, 0x2966, 0x39c7, 0x2966, 0x2966, 0x2966, 0x3186, 0x31a7, 0x3186, 0x31a7, 0x2966, 0x2966, 0x31a7, 0x31e6, 0x29a5, 0x31a7, 0x3186, 0x39c7, 0x3186, 0x2966, 0x31c7, 0x2966, 0x2966, 0x3186, 0x31a7, 0x2966, 0x2966, 0x3186, 0x31a7, 0x31a7, 0x31c7, 0x2966, 0x2966, 0x31a7, 0x39c7, 0x31e6, 0x2985, 0x2966, 0x2966, 0x2966, 0x2966, 0x49a5, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x29a5, 0x31c5, 0x2966, 0x2966, 0x2966, 0x3186, 0x3186, 0x31a7, 0x3186, 0x2966, 0x2966, 0x2966, 0x41a5, 0x3166, 0x31c7, 0x3205, 0x2966, 0x2966, 0x2966, 0x3186, 0x31a7, 0x2966, 0x2966, 0x2966, 0x39c7, 0x39c7, 0x2966, 0x31a7, 0x3186, 0x2966, 0x39e8, 0x31a6, 0x31a7, 0x3186, 0x3206, 0x3186, 0x2966, 0x4228, 0x3186, 0x4208, 0x39c8, 0x4228, 0x4228, 0x4228, 0x4228, 0x4248, 0x4249, 0x4229, 0x4228, 0x4a49, 0x4229, 0x4a49, 0x4229, 0x4a49, 0x4229, 0x4228, 0x4a49, 0x3226, 0x1062, 0x3903, 0x7baa, 0xd5f6, 0xf71b, 0xee78, 0xe5f6, 0xe5f5, 0xdd93, 0xd532, 0xc4d0, 0xbc6f, 0xbcb0, 0xde17, 0xf7be, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xd616, 0xac4f, 0xb44e, 0xc4b0, 0xcd32, 0xd552, 0xddb4, 0xe616, 0xee98, 0xeeb9, 0xc533, 0x6247, 0x0021, 0x18c3, 0x2966, 0x2966, 0x2966, 0x31a7, 0x31c7, 0x39c6, 0x39c7, 0x31a7, 0x31e6, 0x31c7, 0x2986, 0x31a7, 0x2966, 0x2966, 0x2966, 0x2986, 0x31e5, 0x2966, 0x2966, 0x3186, 0x31a7, 0x2966, 0x2966, 0x3186, 0x3186, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2945, 0x2966, 0x2966, 0x2965, 0x2945, 0x2966, 0x2965, 0x2945, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2945, 0x2966, 0x2965, 0x2966, 0x2945, 0x2966, 0x2966, 0x2945, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2965, 0x2965, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x39c7, 0x31c7, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x3186, 0x3186, 0x31a5, 0x31c6, 0x3186, 0x2966, 0x39c7, 0x31a6, 0x39e8, 0x3186, 0x39e8, 0x3186, 0x2966, 0x31a7, 0x31a7, 0x2966, 0x2945, 0x1882, 0x4983, 0xac90, 0xee99, 0xee78, 0xe5f5, 0xdd93, 0xd553, 0xcd11, 0xc4d0, 0xbc6f, 0xb44f, 0xde37, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xde58, 0xb46f, 0xbc4e, 0xc48f, 0xcd32, 0xd532, 0xddb4, 0xd573, 0xee98, 0xe637, 0x93cd, 0x3923, 0x0021, 0x18e3, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x3186, 0x3186, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2965, 0x2945, 0x2966, 0x2965, 0x2945, 0x2124, 0x2965, 0x2945, 0x2945, 0x2965, 0x2104, 0x2945, 0x2104, 0x2945, 0x2104, 0x2965, 0x18e4, 0x2966, 0x18e4, 0x2104, 0x2104, 0x2945, 0x20e4, 0x2104, 0x2124, 0x2124, 0x20e4, 0x2125, 0x2125, 0x2124, 0x2945, 0x2104, 0x2104, 0x18e4, 0x1945, 0x2924, 0x1904, 0x18e4, 0x2966, 0x10a3, 0x2965, 0x2104, 0x2945, 0x2104, 0x2945, 0x2124, 0x2945, 0x2124, 0x2124, 0x2125, 0x2124, 0x2945, 0x2104, 0x2945, 0x2104, 0x2965, 0x2104, 0x2965, 0x18e4, 0x2965, 0x18e4, 0x2965, 0x2104, 0x2945, 0x2104, 0x3165, 0x2925, 0x2945, 0x2945, 0x2945, 0x2945, 0x2145, 0x2945, 0x2965, 0x2104, 0x2945, 0x2966, 0x2125, 0x2966, 0x18e4, 0x2966, 0x2966, 0x2165, 0x2945, 0x2965, 0x2945, 0x3165, 0x2925, 0x2965, 0x2125, 0x2125, 0x2945, 0x2965, 0x2104, 0x2945, 0x2966, 0x2125, 0x2966, 0x18e4, 0x2965, 0x2945, 0x2966, 0x2965, 0x2104, 0x2966, 0x2945, 0x2104, 0x2965, 0x2964, 0x2945, 0x2125, 0x2125, 0x2966, 0x2966, 0x2984, 0x2945, 0x2965, 0x2966, 0x2945, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x3186, 0x31a6, 0x3185, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2966, 0x2165, 0x2904, 0x0861, 0x18c2, 0x93ad, 0xde16, 0xee57, 0xe5f5, 0xdd94, 0xd553, 0xcd11, 0xc4b0, 0xbc4f, 0xb44f, 0xde37, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe699, 0xb44f, 0xb42e, 0xc4d0, 0xccf1, 0xcd32, 0xd532, 0xddd5, 0xee57, 0xddf6, 0x832b, 0x1841, 0x0020, 0x10a2, 0x2104, 0x2945, 0x2104, 0x2145, 0x2965, 0x2125, 0x2125, 0x2124, 0x2945, 0x2966, 0x2104, 0x2945, 0x2945, 0x2966, 0x18e4, 0x2966, 0x18e4, 0x2965, 0x18e4, 0x2125, 0x2123, 0x2125, 0x1903, 0x18c3, 0x18e4, 0x1924, 0x18a3, 0x18e4, 0x2144, 0x10a2, 0x2125, 0x10a2, 0x2143, 0x10a2, 0x18e3, 0x1082, 0x18e4, 0x10a2, 0x2125, 0x10a2, 0x18e3, 0x18c3, 0x2104, 0x10a3, 0x18c3, 0x18e4, 0x18c3, 0x18c3, 0x1082, 0x18e4, 0x1082, 0x2124, 0x1082, 0x2143, 0x28a3, 0x1924, 0x1082, 0x18e4, 0x10a2, 0x2145, 0x1861, 0x1924, 0x10a2, 0x2123, 0x10a3, 0x20e3, 0x20e3, 0x18c3, 0x20e4, 0x18c3, 0x18c3, 0x10a3, 0x2104, 0x1082, 0x2945, 0x0841, 0x2965, 0x1082, 0x18e3, 0x10a2, 0x2125, 0x18c2, 0x2143, 0x18c3, 0x2924, 0x20e3, 0x1904, 0x18e3, 0x2104, 0x18e3, 0x1904, 0x18c3, 0x2125, 0x18c3, 0x18e3, 0x2965, 0x1083, 0x2965, 0x1082, 0x18e4, 0x2165, 0x2104, 0x2104, 0x20e4, 0x2104, 0x20e3, 0x20e3, 0x1924, 0x2104, 0x18c3, 0x2104, 0x2104, 0x10a3, 0x2125, 0x2104, 0x2105, 0x18e4, 0x10a2, 0x2965, 0x1082, 0x2965, 0x18e3, 0x10a3, 0x2165, 0x2904, 0x18c3, 0x2144, 0x2123, 0x2104, 0x18c3, 0x20e4, 0x2945, 0x2104, 0x2123, 0x2124, 0x20e4, 0x2945, 0x18a3, 0x2965, 0x18e4, 0x2966, 0x18e4, 0x2965, 0x2104, 0x2945, 0x2104, 0x2945, 0x2124, 0x2125, 0x1924, 0x2945, 0x2965, 0x2945, 0x2964, 0x2965, 0x2945, 0x2964, 0x2965, 0x2165, 0x3124, 0x2966, 0x18e4, 0x2965, 0x10e3, 0x28e3, 0x08c3, 0x0061, 0x20a2, 0x832a, 0xd594, 0xe616, 0xe5d5, 0xd594, 0xd532, 0xcd11, 0xc4b0, 0xb44e, 0xbcb0, 0xe6b9, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xeefb, 0xc512, 0xb44f, 0xc4d0, 0xccf1, 0xcd32, 0xd573, 0xdd93, 0xee57, 0xddd3, 0x6a68, 0x0000, 0x0020, 0x08a2, 0x18c3, 0x10a3, 0x18c3, 0x1083, 0x18e3, 0x2123, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x2945, 0x0861, 0x2125, 0x10a3, 0x2125, 0x10c1, 0x2125, 0x1841, 0x2105, 0x0021, 0x1904, 0x10c1, 0x18c4, 0x18a1, 0x1082, 0x18c3, 0x18c3, 0x1083, 0x10c3, 0x1922, 0x10a3, 0x18c3, 0x18c4, 0x10c1, 0x2105, 0x0020, 0x2966, 0x0000, 0x18c3, 0x1083, 0x18c3, 0x10a3, 0x18c3, 0x10a2, 0x18a2, 0x1882, 0x18c3, 0x0862, 0x18a3, 0x1082, 0x1082, 0x10a3, 0x18c3, 0x1082, 0x1902, 0x1083, 0x1082, 0x18c3, 0x1062, 0x18c3, 0x08c2, 0x1861, 0x08a2, 0x10a2, 0x1903, 0x1082, 0x0882, 0x18c3, 0x1882, 0x10a3, 0x18a3, 0x1082, 0x18a3, 0x10a2, 0x1082, 0x18c3, 0x10a3, 0x18c3, 0x18c3, 0x0020, 0x18c3, 0x1083, 0x18e3, 0x1923, 0x18c3, 0x10a2, 0x08a2, 0x10a2, 0x08a3, 0x10a3, 0x18c3, 0x18c3, 0x0841, 0x10a2, 0x18c3, 0x10c1, 0x18c3, 0x0020, 0x18c3, 0x18c3, 0x10a2, 0x08c3, 0x1861, 0x18c3, 0x1082, 0x10a2, 0x0882, 0x10e3, 0x0861, 0x18c3, 0x18c3, 0x18c3, 0x0861, 0x10a2, 0x18c3, 0x10a1, 0x18c3, 0x0862, 0x18c3, 0x18c3, 0x1841, 0x18c3, 0x08a2, 0x18c3, 0x10c3, 0x20a3, 0x18c3, 0x1083, 0x18c4, 0x18c3, 0x18c3, 0x10a3, 0x18e3, 0x1062, 0x18c3, 0x18e4, 0x1082, 0x18c3, 0x10a3, 0x18c3, 0x10a3, 0x18c3, 0x10a3, 0x18c3, 0x10a3, 0x18c3, 0x10a3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x2104, 0x20e4, 0x18e3, 0x2103, 0x18e3, 0x2104, 0x2123, 0x18e3, 0x1945, 0x1861, 0x2165, 0x1841, 0x2145, 0x0841, 0x2125, 0x0841, 0x18c2, 0x0000, 0x1060, 0x6a46, 0xc512, 0xe616, 0xddb4, 0xd552, 0xd532, 0xcd11, 0xc4b0, 0xb44e, 0xbcb1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xcd73, 0xb470, 0xbc90, 0xcd11, 0xd532, 0xd532, 0xddd5, 0xe637, 0xd594, 0x5a25, 0x0000, 0x0000, 0x0020, 0x18c2, 0x0841, 0x10c2, 0x10c1, 0x18a2, 0x1882, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x18c3, 0x1082, 0x1082, 0x1923, 0x0862, 0x20a3, 0x1902, 0x1861, 0x10a3, 0x1062, 0x0882, 0x08a1, 0x1083, 0x0862, 0x0861, 0x0861, 0x0880, 0x1082, 0x0021, 0x0000, 0x0842, 0x0020, 0x0862, 0x0000, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0021, 0x10a2, 0x0000, 0x0000, 0x0820, 0x1020, 0x0000, 0x0000, 0x0841, 0x0821, 0x0000, 0x1082, 0x0841, 0x0000, 0x0842, 0x0020, 0x0000, 0x0000, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0841, 0x0021, 0x0000, 0x0000, 0x0000, 0x10a2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x10a0, 0x0020, 0x0000, 0x0000, 0x0000, 0x10a3, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0041, 0x0861, 0x0000, 0x0000, 0x0861, 0x0861, 0x0000, 0x0000, 0x0000, 0x0880, 0x0020, 0x0862, 0x0000, 0x0000, 0x1841, 0x0020, 0x08a2, 0x0000, 0x0020, 0x0842, 0x0000, 0x0021, 0x0841, 0x0861, 0x0861, 0x0000, 0x0862, 0x0841, 0x1082, 0x0841, 0x0861, 0x0020, 0x10a2, 0x0020, 0x10a3, 0x0000, 0x18c3, 0x10c1, 0x18a3, 0x1861, 0x10c2, 0x10c1, 0x10a2, 0x1082, 0x18c3, 0x18c3, 0x0861, 0x1082, 0x1083, 0x10a3, 0x18c3, 0x0862, 0x1062, 0x18a3, 0x18c3, 0x08a2, 0x20a3, 0x08a2, 0x18c3, 0x10a2, 0x0841, 0x18a2, 0x0021, 0x0841, 0x1060, 0x5a06, 0xc511, 0xe616, 0xddb4, 0xd553, 0xd532, 0xcd12, 0xc4b0, 0xb42e, 0xbcd1, 0xef3c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xcdb5, 0xbc6f, 0xbcb0, 0xc4f1, 0xcd32, 0xdd73, 0xd594, 0xe616, 0xdd94, 0x5207, 0x0000, 0x0000, 0x0020, 0x08c2, 0x1041, 0x0842, 0x0861, 0x10c2, 0x0861, 0x1082, 0x0861, 0x0861, 0x0861, 0x18c3, 0x10a3, 0x0021, 0x1082, 0x0020, 0x0861, 0x1082, 0x0862, 0x0000, 0x0862, 0x10a0, 0x1041, 0x0020, 0x0841, 0x0000, 0x0000, 0x0841, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0880, 0x0020, 0x1040, 0x0841, 0x10c2, 0x0021, 0x0841, 0x0841, 0x1083, 0x0841, 0x1082, 0x0861, 0x1082, 0x1082, 0x0020, 0x2104, 0x0021, 0x10a2, 0x1841, 0x0862, 0x0020, 0x10a2, 0x1062, 0x0020, 0x0882, 0x0021, 0x0841, 0x0000, 0x1040, 0x6226, 0xc512, 0xe616, 0xddb4, 0xd594, 0xd553, 0xcd12, 0xc4b0, 0xb42e, 0xcd74, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xd617, 0xb46f, 0xc48f, 0xccf1, 0xcd32, 0xdd93, 0xe5b4, 0xe616, 0xe5d5, 0x5a48, 0x0020, 0x0000, 0x0000, 0x0020, 0x0882, 0x0020, 0x0841, 0x0021, 0x0841, 0x0041, 0x0882, 0x0841, 0x1082, 0x0862, 0x0861, 0x0841, 0x1841, 0x0820, 0x18c3, 0x0020, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0841, 0x0021, 0x0000, 0x20e4, 0x0841, 0x1082, 0x0020, 0x0000, 0x1903, 0x0000, 0x18e3, 0x0020, 0x0862, 0x1082, 0x0041, 0x08a2, 0x0021, 0x0842, 0x0000, 0x1060, 0x6a67, 0xcd53, 0xe616, 0xdd94, 0xd594, 0xd553, 0xcd12, 0xc4b0, 0xbc6f, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xc512, 0xbc8f, 0xccf1, 0xd573, 0xdd93, 0xddb5, 0xe5f6, 0xe637, 0x7a89, 0x1041, 0x0000, 0x0000, 0x1082, 0x0000, 0x0020, 0x1082, 0x0000, 0x0841, 0x1062, 0x0820, 0x1861, 0x0021, 0x0841, 0x0841, 0x10a2, 0x0861, 0x0820, 0x0020, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x0020, 0x18c3, 0x0020, 0x2041, 0x0861, 0x0000, 0x0862, 0x0000, 0x0020, 0x0841, 0x0020, 0x0041, 0x0021, 0x0021, 0x0000, 0x0000, 0x1081, 0x7aea, 0xddd5, 0xe616, 0xddb4, 0xd552, 0xd532, 0xcd12, 0xc48f, 0xb44f, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xcd95, 0xbc6f, 0xccf1, 0xcd32, 0xdd73, 0xe5b4, 0xe616, 0xee78, 0x9bab, 0x2081, 0x0020, 0x0000, 0x0000, 0x0841, 0x0000, 0x0020, 0x0841, 0x0000, 0x0020, 0x0841, 0x0841, 0x1062, 0x0000, 0x0842, 0x0841, 0x0841, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x0020, 0x18a3, 0x0000, 0x0000, 0x08e3, 0x0000, 0x0021, 0x0863, 0x0000, 0x0820, 0x1041, 0x0000, 0x0841, 0x0842, 0x0000, 0x20a2, 0x93ad, 0xe637, 0xe615, 0xddb4, 0xddb4, 0xd552, 0xc4d0, 0xb42e, 0xcd94, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe699, 0xc4d1, 0xc4d1, 0xcd32, 0xdd73, 0xe5d4, 0xe616, 0xeeb9, 0xbcd1, 0x3123, 0x0020, 0x1083, 0x0000, 0x2124, 0x0000, 0x0000, 0x0000, 0x0820, 0x1841, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0061, 0x0000, 0x0000, 0x0021, 0x0000, 0x0020, 0x0820, 0x0880, 0x10a1, 0x0021, 0x0842, 0x0841, 0x18c2, 0xac70, 0xee57, 0xe637, 0xe5f5, 0xddb5, 0xcd32, 0xc4b0, 0xbc6f, 0xde78, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xcd53, 0xbc8f, 0xcd11, 0xdd73, 0xe5f6, 0xe637, 0xf6b9, 0xe616, 0x49e6, 0x0820, 0x2104, 0x0841, 0x0000, 0x0841, 0x0000, 0x0020, 0x1083, 0x0020, 0x0841, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2061, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0862, 0x0882, 0x0842, 0x1902, 0x0880, 0x0000, 0x51a3, 0xddd5, 0xee58, 0xe5f5, 0xe5f5, 0xe5d4, 0xcd32, 0xc4b0, 0xb42e, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde58, 0xb44f, 0xccf1, 0xdd73, 0xe5d5, 0xe616, 0xe637, 0xf6da, 0x8aeb, 0x1841, 0x08e3, 0x0861, 0x2124, 0x0020, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0820, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0020, 0x0020, 0x0020, 0x10a2, 0x18e3, 0x2104, 0x1082, 0x8b4b, 0xee98, 0xee57, 0xe637, 0xe5f5, 0xd532, 0xcd32, 0xb44e, 0xd5b5, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xcd53, 0xc4af, 0xd552, 0xe616, 0xe637, 0xe637, 0xf71b, 0xbcd1, 0x3124, 0x2104, 0x2966, 0x20e4, 0x0841, 0x2160, 0x0000, 0x18a4, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x1082, 0x1062, 0x1062, 0x1083, 0x2125, 0x18e5, 0x30a2, 0xc553, 0xf6fa, 0xe657, 0xe637, 0xe637, 0xd532, 0xc4b0, 0xb44f, 0xe6fa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe679, 0xb42e, 0xccf1, 0xddb4, 0xe637, 0xe637, 0xeeb9, 0xee99, 0x6a69, 0x1904, 0x2165, 0x0861, 0x2945, 0x0841, 0x10c4, 0x0000, 0x0020, 0x0020, 0x0000, 0x0040, 0x1100, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x10a4, 0x10a4, 0x10a4, 0x10a5, 0x10a4, 0x10a4, 0x10a4, 0x10a4, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0841, 0x0863, 0x0000, 0x1041, 0x20a3, 0x0862, 0x18e3, 0x2966, 0x2966, 0x1062, 0x7246, 0xe6da, 0xe678, 0xe637, 0xe637, 0xe593, 0xcd32, 0xc4f1, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75d, 0xcd53, 0xc4d0, 0xd573, 0xe616, 0xe637, 0xeeb9, 0xff7d, 0xb48f, 0x28e2, 0x31a6, 0x31a7, 0x2966, 0x0841, 0x18c3, 0x0020, 0x0000, 0x1940, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x18e4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x2945, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a0, 0x10c0, 0x0000, 0x0863, 0x1922, 0x2964, 0x39c7, 0x3226, 0x30c2, 0xc533, 0xff9d, 0xe657, 0xe637, 0xe637, 0xcd32, 0xc4b0, 0xb490, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe6b9, 0xc4b0, 0xccf1, 0xddb4, 0xe637, 0xe637, 0xeeb9, 0xee98, 0x7289, 0x31a4, 0x3a07, 0x3186, 0x2966, 0x2965, 0x0841, 0x18a4, 0x0000, 0x10a4, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x61e1, 0x8aa0, 0x5181, 0x1060, 0x0840, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x1128, 0x18e5, 0x18c4, 0x18e4, 0x18c5, 0x18e4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18e5, 0x2125, 0x18c5, 0x18c5, 0x18c5, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0842, 0x1923, 0x1903, 0x18c4, 0x2945, 0x2966, 0x4a8a, 0x10a3, 0x6a05, 0xeefb, 0xff3b, 0xe637, 0xe637, 0xe637, 0xcd32, 0xc4b0, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf79e, 0xd594, 0xc4d0, 0xd594, 0xe637, 0xe657, 0xf6b9, 0xff7c, 0xc532, 0x4164, 0x4208, 0x528a, 0x31a7, 0x2966, 0x0861, 0x1104, 0x2881, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x20e0, 0xfe60, 0xf700, 0xee80, 0xf5a0, 0xb3a0, 0x3922, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0862, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0885, 0x18c5, 0x20e4, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18e4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c4, 0x18c4, 0x2105, 0x2105, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0862, 0x0862, 0x18e4, 0x2966, 0x31a7, 0x4a49, 0x4a6a, 0x30e3, 0xc532, 0xf71b, 0xe657, 0xe637, 0xe637, 0xd552, 0xc4d1, 0xcd33, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xbc90, 0xcd11, 0xddb4, 0xe637, 0xee99, 0xff3b, 0xf6fa, 0x832b, 0x41c7, 0x4a6a, 0x4a69, 0x31a7, 0x2966, 0x2966, 0x0841, 0x0021, 0x1924, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2900, 0x1880, 0x0000, 0x0000, 0x0000, 0x20e0, 0xfde0, 0xbba0, 0x49e0, 0xb420, 0xde60, 0xd560, 0x6220, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x18c5, 0x18e4, 0x20e4, 0x18c5, 0x18c4, 0x10c7, 0x18e4, 0x18c5, 0x2945, 0x18c5, 0x18c5, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c4, 0x18e4, 0x10c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1082, 0x1062, 0x2104, 0x2104, 0x2945, 0x39c7, 0x4a49, 0x5aec, 0x4208, 0x72a5, 0xf75c, 0xff3b, 0xee78, 0xe637, 0xe616, 0xcd12, 0xc4b0, 0xde78, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde78, 0xb44f, 0xd573, 0xe637, 0xe657, 0xf6b9, 0xff7c, 0xcdb5, 0x6227, 0x5a8a, 0x52ab, 0x4a49, 0x31a7, 0x2966, 0x2124, 0x1082, 0x1083, 0x2061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x30e0, 0xf5a0, 0x92e0, 0x0000, 0x0000, 0x0000, 0x20e0, 0xf620, 0x9b00, 0x0000, 0x0000, 0x4140, 0xd4e0, 0xdda0, 0x6220, 0x0820, 0x0000, 0x0000, 0x0000, 0x0863, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x18c4, 0x10c6, 0x18c5, 0x18e4, 0x10c7, 0x18e5, 0x18e5, 0x20e4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18e4, 0x10c7, 0x18c4, 0x18c5, 0x1904, 0x1105, 0x18c5, 0x18c4, 0x18c5, 0x18c4, 0x18c4, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1041, 0x1061, 0x0861, 0x2103, 0x2965, 0x4208, 0x4a49, 0x52cb, 0x6b6e, 0x38e3, 0xe657, 0xffbe, 0xf71b, 0xe637, 0xe636, 0xd553, 0xc4b0, 0xcd74, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xcd33, 0xccd0, 0xdd93, 0xe637, 0xee98, 0xff3b, 0xff5c, 0xa44f, 0x5268, 0x636d, 0x52ab, 0x4249, 0x31a6, 0x2966, 0x0881, 0x2945, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1040, 0xc460, 0xee80, 0x7240, 0x0000, 0x0882, 0x0000, 0x18c0, 0xd5a0, 0x92e0, 0x0000, 0x0000, 0x0000, 0x5180, 0xdd40, 0xb4a0, 0x3120, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x18c5, 0x18c4, 0x20e4, 0x18c5, 0x18c4, 0x18e4, 0x10c7, 0x18c4, 0x18c5, 0x2105, 0x18e5, 0x18c5, 0x18c4, 0x18e4, 0x18e5, 0x18e5, 0x10c6, 0x18e4, 0x18c5, 0x10c6, 0x18e4, 0x18e4, 0x10c5, 0x18c4, 0x18c4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0882, 0x1904, 0x2163, 0x2984, 0x39c7, 0x4a49, 0x528a, 0x73d0, 0x4186, 0xac2d, 0xffbe, 0xff1b, 0xee78, 0xe637, 0xddf6, 0xbc90, 0xb46f, 0xf75c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef3c, 0xbc8f, 0xd532, 0xe5f5, 0xe657, 0xf6b9, 0xff7c, 0xe699, 0x832b, 0x5acb, 0x73af, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x2142, 0x2104, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x61c1, 0xeec0, 0x92e0, 0x0840, 0x0000, 0x738e, 0x31a7, 0x0820, 0x3921, 0x10c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x6a80, 0xee00, 0x8360, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1080, 0x1880, 0x1880, 0x1860, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1082, 0x18c5, 0x10c6, 0x18c5, 0x18e4, 0x10c6, 0x18c5, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x7bc5, 0x2966, 0x18c5, 0x18c4, 0x18c5, 0x10c7, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x1905, 0x18e4, 0x18c5, 0x10c6, 0x0863, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0861, 0x2104, 0x2966, 0x39e7, 0x4a49, 0x5aec, 0x73cf, 0x6b8e, 0x5162, 0xff9d, 0xff5c, 0xf71b, 0xe637, 0xe616, 0xcd11, 0xbcb0, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde17, 0xbc4f, 0xdd94, 0xe637, 0xee78, 0xf6fa, 0xff9d, 0xbd32, 0x6aa8, 0x6b8e, 0x73af, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x20e4, 0x1062, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xbc00, 0xf640, 0x1060, 0x0000, 0x0000, 0xb575, 0xbe19, 0x52aa, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x20c0, 0xaca0, 0xc4c0, 0x3920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1041, 0x2080, 0x20a0, 0x28c1, 0x4181, 0x5161, 0x5161, 0x5161, 0x28a1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x18c5, 0x18c5, 0x18e4, 0x18c6, 0x18c5, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0xef65, 0x2966, 0x18c5, 0x18c5, 0x18c5, 0x18e5, 0x18c4, 0x18c5, 0x10c5, 0x18c4, 0x18c4, 0x10c5, 0x18c5, 0x18c4, 0x18c4, 0x1106, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18c3, 0x2124, 0x2966, 0x39e8, 0x4a49, 0x52ab, 0x6b4d, 0x8c92, 0x4164, 0xe616, 0xffbe, 0xff1b, 0xee98, 0xe616, 0xdd73, 0xc4b0, 0xcdb5, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde17, 0xccb0, 0xdd94, 0xe657, 0xee99, 0xf71b, 0xff7d, 0xa44e, 0x6ac9, 0x7c11, 0x73af, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x10a3, 0x20a3, 0x08c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0xd5a0, 0xcc20, 0x0840, 0x0000, 0x0000, 0x2125, 0xd679, 0xef5c, 0x7bcf, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9360, 0xf540, 0x59c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a0, 0x20a0, 0x28c1, 0x4901, 0x5161, 0x5981, 0x5981, 0x5981, 0x5981, 0x5161, 0x61a1, 0x4961, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0862, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x18e5, 0x10c5, 0x18c5, 0x18e5, 0x18c4, 0x18c5, 0x49e6, 0x6305, 0x2125, 0x18c5, 0x18c5, 0x94c5, 0x2125, 0x18c5, 0x18e5, 0x5245, 0x73a5, 0x18c5, 0x18c5, 0x18c6, 0x18c5, 0x10c5, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x10c5, 0x1082, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0862, 0x2104, 0x2966, 0x39a6, 0x4a49, 0x630c, 0x6b6d, 0x94f4, 0x62ea, 0x936b, 0xffbe, 0xff3b, 0xf71a, 0xe637, 0xddd5, 0xc4d0, 0xc512, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf79d, 0xd594, 0xcd11, 0xddd5, 0xee78, 0xff3b, 0xff5c, 0xeeb9, 0x8b8c, 0x7b8d, 0x8c51, 0x6b8e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x08c3, 0x20a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x20c1, 0xd640, 0x8b20, 0x0820, 0x0000, 0x0000, 0x0021, 0x5aeb, 0xffbe, 0xf77d, 0xb596, 0x5aaa, 0x0000, 0x0000, 0x0000, 0x0000, 0x8ac0, 0xfd80, 0x6240, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1041, 0x20a1, 0x30c1, 0x4181, 0x4961, 0x5981, 0x5981, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5981, 0x5981, 0x2081, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10c5, 0x18c5, 0x18c4, 0x18c5, 0x18c5, 0x18c4, 0x18c5, 0x5206, 0xc625, 0x4245, 0x18c5, 0x18c5, 0x49c6, 0x2105, 0x18c5, 0x2945, 0xbd66, 0x7be5, 0x18c5, 0x18c4, 0x18c4, 0x18e5, 0x18c5, 0x18c5, 0x10c5, 0x18c4, 0x10c5, 0x18c5, 0x10c6, 0x18e4, 0x0821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1883, 0x18a3, 0x2125, 0x39c6, 0x4a49, 0x630c, 0x6b6d, 0x8c93, 0x8431, 0x61e4, 0xff7c, 0xff7c, 0xf71a, 0xe637, 0xddf6, 0xc4f1, 0xbc90, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6da, 0xbc8f, 0xd573, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xcdd5, 0x832b, 0x8c30, 0x8c72, 0x738e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x08a2, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x20c1, 0xd640, 0x9320, 0x0820, 0x0000, 0x0000, 0x0000, 0x1082, 0x83ef, 0xffbe, 0xffbe, 0xad55, 0x0000, 0x0000, 0x0000, 0x0000, 0x8ae0, 0xfd60, 0x6220, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3121, 0x7240, 0x61e0, 0x4121, 0x4941, 0x5161, 0x5981, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x59a1, 0x4121, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x10c5, 0x10c5, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c4, 0x6325, 0x3185, 0x5304, 0x94a5, 0xbd66, 0x9d05, 0x8c85, 0x18c2, 0x5ae2, 0x10a2, 0x0863, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x18e5, 0x18e5, 0x18c4, 0x18c5, 0x18e4, 0x18c4, 0x10c6, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18e3, 0x2125, 0x31c7, 0x4a49, 0x5acb, 0x6b4d, 0x8c51, 0xa556, 0x5161, 0xee99, 0xffbe, 0xf71b, 0xeeb9, 0xe616, 0xd532, 0xc4b0, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde37, 0xc48f, 0xdd93, 0xe637, 0xee78, 0xff3b, 0xff9d, 0xb532, 0x7b2b, 0x9cf4, 0x8451, 0x6b6e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x18e3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0xd620, 0xb3c0, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0xbdd7, 0xef1c, 0x7bae, 0x0000, 0x0000, 0x0000, 0x0000, 0x9360, 0xfd60, 0x59e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1060, 0x5180, 0x82c0, 0xb440, 0xed00, 0xdcc0, 0x9300, 0x3100, 0x4141, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x5161, 0x59a1, 0x51c1, 0x5161, 0x5161, 0x4121, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x51e7, 0xbd85, 0xf7c5, 0xf7e5, 0xf7e5, 0xa462, 0x0021, 0x1928, 0x39c7, 0x10a3, 0x0862, 0x1083, 0x18c4, 0x18c5, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x10c6, 0x18c5, 0x10c6, 0x1083, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x10a2, 0x2124, 0x3186, 0x4229, 0x5aeb, 0x6b4d, 0x8c51, 0xae18, 0x6225, 0xcd33, 0xffbe, 0xff3b, 0xf6fa, 0xe616, 0xdd93, 0xc4b0, 0xcd74, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xd5d6, 0xccd0, 0xe5b4, 0xee57, 0xf6da, 0xff5c, 0xf75c, 0xac6f, 0x7bac, 0x9d55, 0x7bf0, 0x6b6e, 0x52ab, 0x4208, 0x3186, 0x2966, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xcca0, 0xed60, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x31a6, 0x528a, 0x18e3, 0x0000, 0x0000, 0x0000, 0x1880, 0xa460, 0xcce0, 0x3920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x1880, 0x6200, 0xab80, 0xd4a0, 0xf520, 0xfd40, 0xf500, 0xfd80, 0xece0, 0x5180, 0x3161, 0x4961, 0x5161, 0x5201, 0x5981, 0x5161, 0x4961, 0x3981, 0x3101, 0x1880, 0x1880, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0884, 0x10c6, 0x18c4, 0x18c4, 0x10c6, 0x10c6, 0x2945, 0x49a6, 0x3145, 0x18c5, 0xad27, 0xef46, 0xf725, 0xf7e5, 0x73e2, 0x3186, 0xa4f3, 0xb598, 0xc5f7, 0x9cf3, 0x4a49, 0x0021, 0x1082, 0x18c5, 0x18e5, 0x10c6, 0x10c5, 0x18e4, 0x18c5, 0x18e4, 0x10c6, 0x18c5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x2966, 0x4228, 0x52ab, 0x6b4d, 0x8c51, 0xadb6, 0x83ce, 0x934b, 0xffbe, 0xff3b, 0xf6fa, 0xe637, 0xddd5, 0xbcb0, 0xbcd1, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xc512, 0xd532, 0xe616, 0xe657, 0xeeb9, 0xff5c, 0xeefa, 0x9bee, 0x8c30, 0xad75, 0x7bcf, 0x634c, 0x52aa, 0x4229, 0x31a6, 0x2966, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7a60, 0xf6a0, 0x6a20, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6220, 0xe600, 0x83a0, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18a1, 0x6a40, 0xbc40, 0xe500, 0xfd20, 0xf4e0, 0xf4c0, 0xf4a0, 0xf480, 0xfd20, 0xfd60, 0x82a0, 0x4981, 0x5981, 0x5981, 0x31c1, 0x40c1, 0x1880, 0x1880, 0x0880, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c5, 0x18e5, 0x18e4, 0x18c4, 0x18c5, 0x18c5, 0x73a5, 0xbde6, 0x8ca5, 0x2984, 0xce85, 0xf7e5, 0xf785, 0xb644, 0x1903, 0xb5b8, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0xbdd7, 0x4229, 0x0021, 0x1083, 0x18c4, 0x18e5, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x2966, 0x4228, 0x52ab, 0x6b4d, 0x7c11, 0xad55, 0xa514, 0x6205, 0xffbe, 0xff7d, 0xf6fa, 0xe637, 0xddf6, 0xc4d0, 0xbcb1, 0xef1b, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75d, 0xbcb0, 0xd552, 0xe5d5, 0xee78, 0xf6fa, 0xff5c, 0xde57, 0x938c, 0x9cf2, 0xa575, 0x7bcf, 0x6b6d, 0x52aa, 0x39e7, 0x3186, 0x30e3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1880, 0xe540, 0xe640, 0x4161, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3920, 0xc4c0, 0xcd40, 0x49c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1060, 0x6a20, 0xc420, 0xe4e0, 0xfd40, 0xf4e0, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf480, 0xfda0, 0xfd80, 0x5a60, 0x38e1, 0x38c1, 0x1880, 0x0860, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c5, 0x18c4, 0x10c6, 0x10c6, 0x18c4, 0x18c4, 0x31a5, 0x4a65, 0x3a04, 0x1905, 0xad05, 0xf7a5, 0xf7e5, 0x6aa2, 0x52f1, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0xbdd7, 0x632d, 0x2946, 0x0841, 0x1083, 0x18c5, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2945, 0x2966, 0x4228, 0x4a8a, 0x6b4d, 0x8431, 0x9d35, 0xce38, 0x59c3, 0xf6fa, 0xffbe, 0xf6fa, 0xe637, 0xe616, 0xd531, 0xc4f1, 0xe6ba, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xbc6f, 0xe593, 0xe616, 0xee78, 0xff3b, 0xffbe, 0xcdd6, 0x8b6b, 0xad34, 0x9d35, 0x7c10, 0x732c, 0x5a8a, 0x4a49, 0x31a6, 0x1944, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x28e0, 0xf620, 0xde60, 0x59e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3920, 0xc4a0, 0xf5e0, 0x7a80, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x5181, 0xd480, 0xece0, 0xfd40, 0xf4c0, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf480, 0xfd60, 0xfd80, 0xf500, 0x8241, 0x1880, 0x0820, 0x0820, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c5, 0x18c4, 0x18e4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x41e5, 0xe725, 0xfea1, 0x20a0, 0xbe3b, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0xe71c, 0xde9a, 0x736e, 0x0862, 0x1083, 0x18e4, 0x10c7, 0x18c5, 0x18c4, 0x18c5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x2966, 0x4228, 0x4a69, 0x632d, 0x8c51, 0x8c92, 0xd6dc, 0x59e5, 0xe617, 0xffbe, 0xff1b, 0xf6d9, 0xe616, 0xdd52, 0xc4d1, 0xde57, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xb44f, 0xd573, 0xe637, 0xee78, 0xff5c, 0xffbe, 0xc594, 0x836b, 0xad96, 0x9cf4, 0x7bef, 0x632d, 0x528a, 0x39e7, 0x3186, 0x2965, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5181, 0xf580, 0xe680, 0xc420, 0x4121, 0x0000, 0x0000, 0x0000, 0x20c0, 0x9340, 0xddc0, 0xede0, 0x82e0, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1940, 0xcbc0, 0xe560, 0xfd40, 0xf4c0, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf4e0, 0xfd40, 0xfd40, 0xd460, 0x7a60, 0x3900, 0x1060, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0020, 0x0000, 0x0000, 0x10a4, 0x2966, 0x0000, 0x0000, 0x2945, 0xb596, 0x52ab, 0x0000, 0x0841, 0x18e4, 0x10a3, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x39a5, 0x2105, 0x2961, 0x3140, 0x196a, 0xf79e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xd69a, 0x4a69, 0x0863, 0x18c4, 0x18c5, 0x18e4, 0x08c7, 0x18c5, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4228, 0x4a69, 0x632d, 0x738e, 0x94b3, 0xcedc, 0x72a8, 0xc4d1, 0xffbe, 0xff3b, 0xf6fa, 0xe637, 0xddb4, 0xc4b0, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde17, 0xc48f, 0xe593, 0xee58, 0xf71a, 0xff5c, 0xff9d, 0xbd33, 0x7bcd, 0xadf7, 0x9cf3, 0x7bcf, 0x630d, 0x528a, 0x3a29, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x20c0, 0xbbe0, 0xfe40, 0xeec0, 0xde60, 0xdd80, 0xddc0, 0xe6a0, 0xf660, 0xd480, 0x51e0, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9b00, 0xe4e0, 0xfd40, 0xf4c0, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf4c0, 0xfd40, 0xfd60, 0xcc20, 0x51c0, 0x1880, 0x0840, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x18c3, 0x0000, 0x0000, 0x39c7, 0x4a6a, 0x0861, 0x0000, 0x0021, 0x7bcf, 0x0000, 0x0000, 0x3186, 0xf75d, 0x9cb2, 0x0000, 0x10a3, 0x4a4a, 0x39c7, 0x0000, 0x0000, 0x4a6a, 0x2945, 0x0000, 0x0000, 0x2946, 0x2945, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c4, 0x18c5, 0x10c6, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x5265, 0xc625, 0x4204, 0x0020, 0xad55, 0xdefc, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7baf, 0x0862, 0x1083, 0x18c4, 0x18c4, 0x18c4, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4228, 0x4a69, 0x632d, 0x8430, 0x8c72, 0xcedc, 0x8bee, 0x8b8c, 0xffbe, 0xff3b, 0xf6fa, 0xe637, 0xddd5, 0xb44e, 0xc533, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xcd94, 0xd532, 0xe5b3, 0xe637, 0xee78, 0xff5c, 0xf75c, 0xb490, 0x93ef, 0xbe18, 0x9cf3, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x1880, 0x82c0, 0xbbc0, 0xeca0, 0xcc20, 0x9b00, 0x3941, 0x0840, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x0000, 0x59e0, 0xe4e0, 0xfe20, 0xf4a0, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf4c0, 0xfda0, 0xfde0, 0xcc40, 0x4980, 0x0840, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2966, 0x39c7, 0x0000, 0x0000, 0x52aa, 0x4a6a, 0x0862, 0x0000, 0x3186, 0x632d, 0x1082, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x3186, 0xef3c, 0x8410, 0x0000, 0x1082, 0x4a49, 0x39e8, 0x0000, 0x0000, 0x5acb, 0x2965, 0x0000, 0x0000, 0x52ab, 0x3a08, 0x0841, 0x0000, 0x10a4, 0x4a8b, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x20e4, 0x18c4, 0x18c4, 0x10c6, 0x10c6, 0x18c4, 0x18c5, 0x5aa6, 0x6265, 0x1081, 0x4a6a, 0xf75d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7bd0, 0x0862, 0x1083, 0x18c5, 0x18c4, 0x08c8, 0x0042, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2966, 0x3186, 0x4229, 0x632d, 0x6b6e, 0x8c51, 0xd69a, 0xa514, 0x6a24, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xddf5, 0xbc6f, 0xbd12, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe699, 0xc4af, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xeefa, 0xac2e, 0x9c70, 0xb5d7, 0x8c71, 0x7bcf, 0x630d, 0x528a, 0x51e6, 0x3185, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xc3c0, 0xfd40, 0xfd60, 0xf480, 0xf480, 0xf480, 0xf480, 0xf4c0, 0xfd60, 0xfd60, 0xd460, 0x4960, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3186, 0x2966, 0x0000, 0x0842, 0x4a4a, 0x528a, 0x0000, 0x0000, 0x4228, 0x4a6a, 0x10a2, 0x0000, 0x2125, 0x632d, 0x1082, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x3186, 0xef3c, 0x8410, 0x0000, 0x18e4, 0x4a69, 0x2965, 0x0000, 0x1082, 0x630c, 0x2965, 0x0000, 0x0000, 0x738e, 0x2126, 0x0021, 0x0000, 0x4a69, 0x632d, 0x0000, 0x0000, 0x1082, 0x4a4a, 0x1083, 0x0000, 0x0000, 0x0000, 0x0862, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0043, 0x10c7, 0x10c6, 0x10c6, 0x20e4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0021, 0x630c, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x736d, 0x0863, 0x18c4, 0x08c7, 0x18e5, 0x20e4, 0x0821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x4228, 0x4a69, 0x632d, 0x8c51, 0x8c71, 0xb699, 0xa597, 0x59c3, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xddf5, 0xc48f, 0xc4f1, 0xf75c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb46f, 0xccf1, 0xde17, 0xee78, 0xff3b, 0xff5c, 0xe6b9, 0x9bee, 0x9cf4, 0xb5d8, 0x9492, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x7240, 0xe560, 0xfd80, 0xf4a0, 0xf480, 0xf480, 0xf480, 0xf4a0, 0xf4c0, 0xf540, 0xdc80, 0x61e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x0841, 0x0000, 0x0841, 0x4228, 0x6b4d, 0x0000, 0x0000, 0x3186, 0x528a, 0x18c3, 0x0000, 0x3186, 0x4a69, 0x18c3, 0x0000, 0x0000, 0x7bcf, 0x10a2, 0x0000, 0x0000, 0x738f, 0x0020, 0x0000, 0x3186, 0xef3c, 0x8410, 0x0000, 0x18e4, 0x4a6a, 0x2965, 0x0000, 0x18c3, 0x52ab, 0x2124, 0x0000, 0x0000, 0x5acb, 0x1082, 0x0000, 0x0000, 0x736e, 0x2945, 0x0000, 0x0021, 0x3186, 0x632d, 0x0000, 0x0000, 0x18c3, 0x2125, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c4, 0x18e4, 0x20e4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0841, 0x0000, 0xdeda, 0xf77d, 0xffbe, 0xffbe, 0xff9e, 0xff9e, 0xff9e, 0xff9e, 0xff9e, 0xff9e, 0xff9e, 0xf77d, 0x8450, 0x08a2, 0x0863, 0x18c5, 0x18c4, 0x20e4, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x2125, 0x3186, 0x4229, 0x632d, 0x6b6e, 0x8c51, 0xe5d8, 0xce38, 0x5104, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe616, 0xccd0, 0xc532, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbc90, 0xe593, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xde58, 0x93ac, 0xb595, 0xb5d7, 0x7bf0, 0x6b6e, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x1880, 0xa340, 0xf5a0, 0xfd80, 0xf4a0, 0xf480, 0xf480, 0xf4a0, 0xf4c0, 0xfd40, 0xdd60, 0x7a60, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x0841, 0x0000, 0x0000, 0x630c, 0x6b4d, 0x0000, 0x0000, 0x2124, 0x6b4d, 0x0020, 0x0000, 0x2965, 0x52ab, 0x2104, 0x0000, 0x18c3, 0x52ab, 0x2124, 0x0000, 0x0000, 0x7bcf, 0x10a2, 0x0000, 0x0000, 0x8410, 0x1124, 0x0000, 0x3186, 0xef5d, 0x84b2, 0x0000, 0x2945, 0x5acb, 0x2945, 0x0000, 0x18e4, 0x5acb, 0x2124, 0x0000, 0x0841, 0x738e, 0x1082, 0x0000, 0x0000, 0x8c2f, 0x10a4, 0x0000, 0x0861, 0x4a6a, 0x31a7, 0x0000, 0x0020, 0x39c7, 0x52ab, 0x0862, 0x0000, 0x0841, 0x10a4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0043, 0x10c7, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0021, 0x0000, 0x738e, 0x9db6, 0xb5b6, 0x9515, 0x9515, 0xa515, 0xb534, 0x9515, 0xa556, 0xa514, 0x4a6a, 0x0862, 0x0863, 0x18c4, 0x18c4, 0x18c5, 0x18c4, 0x10a4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2104, 0x4206, 0x4a49, 0x632c, 0x6b6d, 0x8c51, 0xad55, 0xcefb, 0x39e2, 0xeeb9, 0xff9d, 0xf6fa, 0xe657, 0xddf5, 0xc4f1, 0xc4f1, 0xe6b9, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xabab, 0xd553, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xde58, 0x9bcd, 0xc595, 0xb5b7, 0x8c92, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x51c0, 0xd460, 0xfde0, 0xf4e0, 0xf480, 0xf480, 0xf480, 0xf4a0, 0xfd60, 0xedc0, 0xcbc0, 0x1920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x52ab, 0x39e7, 0x0020, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x18e3, 0x5aeb, 0x2104, 0x0000, 0x10a2, 0x4a69, 0x39c7, 0x0000, 0x0000, 0x52aa, 0x2965, 0x0000, 0x0000, 0x738e, 0x1082, 0x0000, 0x0000, 0x5aeb, 0x2861, 0x0000, 0x2945, 0xc618, 0x5aeb, 0x0000, 0x18c3, 0x39c7, 0x18c3, 0x0000, 0x29a5, 0x5aeb, 0x2104, 0x0000, 0x3166, 0x630c, 0x0862, 0x0000, 0x0841, 0x8c71, 0x0000, 0x0000, 0x1082, 0x632c, 0x18e4, 0x0000, 0x1082, 0x4a49, 0x39e7, 0x0000, 0x0000, 0x4208, 0x4228, 0x0862, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c4, 0x10c6, 0x10c6, 0x20e4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x0021, 0x0021, 0x0021, 0x0000, 0x0021, 0x0020, 0x0000, 0x0021, 0x0021, 0x0021, 0x0021, 0x0021, 0x0863, 0x18c5, 0x18c5, 0x18c5, 0x20e4, 0x08c7, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x2125, 0x2966, 0x4229, 0x52eb, 0x6b6d, 0x8c51, 0xad55, 0xd6fc, 0x59c3, 0xe637, 0xff9d, 0xff1b, 0xf6d9, 0xddf5, 0xccf1, 0xc4f1, 0xe699, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xabcc, 0xdd93, 0xe637, 0xee78, 0xff5c, 0xffbe, 0xd617, 0x836c, 0xbdf8, 0xad96, 0x7bf0, 0x738e, 0x5acb, 0x4a69, 0x31c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18a0, 0x8280, 0xe500, 0xfd80, 0xf4c0, 0xf480, 0xf480, 0xf4a0, 0xf4e0, 0xf520, 0xcc60, 0x59e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x18c3, 0x0020, 0x0000, 0x3186, 0x6b6d, 0x0841, 0x0000, 0x0000, 0x7bcf, 0x0862, 0x0000, 0x10a2, 0x4a49, 0x39e7, 0x0000, 0x1082, 0x4a69, 0x4208, 0x0000, 0x0000, 0x39c7, 0x18e3, 0x0000, 0x0000, 0x2104, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1841, 0x1020, 0x0000, 0x0000, 0x18e3, 0x39c7, 0x0841, 0x0000, 0x2965, 0x7bcf, 0x0000, 0x0000, 0x18c3, 0x738e, 0x0000, 0x0000, 0x2124, 0x5aec, 0x2124, 0x0000, 0x0841, 0x528a, 0x31a6, 0x0000, 0x0000, 0x2105, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0063, 0x10c6, 0x18e4, 0x18c5, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x20e4, 0x08c8, 0x18c4, 0x18c4, 0x0841, 0x18c5, 0x10a4, 0x0862, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x2966, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x3186, 0x4249, 0x630c, 0x73af, 0x8c51, 0xad55, 0xef5c, 0x6227, 0xddf6, 0xff9d, 0xf6fa, 0xe657, 0xddf5, 0xccf1, 0xbcb0, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef3c, 0xb44f, 0xd553, 0xe637, 0xee98, 0xff5c, 0xffbe, 0xcdd6, 0x832b, 0xbe18, 0xad75, 0x8c51, 0x73af, 0x5aab, 0x4249, 0x31a7, 0x2945, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x3120, 0xb3a0, 0xfd40, 0xf4c0, 0xf480, 0xf480, 0xf480, 0xf4c0, 0xfd40, 0xdd20, 0xa340, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0841, 0x0000, 0x0000, 0x4a49, 0x4a6a, 0x1082, 0x0000, 0x0000, 0x73ae, 0x10a2, 0x0000, 0x0000, 0x4229, 0x528a, 0x0000, 0x0841, 0x39c7, 0x52ab, 0x0000, 0x0000, 0x18c3, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2124, 0x0000, 0x0020, 0x31a7, 0x5aec, 0x0000, 0x0020, 0x31a6, 0x5acb, 0x0000, 0x0000, 0x3165, 0x5acb, 0x2124, 0x0000, 0x0841, 0x630d, 0x31a6, 0x0021, 0x0000, 0x0861, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c3, 0x10c6, 0x18c5, 0x18c4, 0x18c5, 0x18c5, 0x10c7, 0x18e4, 0x18c4, 0x18c4, 0x18c4, 0x18e5, 0x20e4, 0x18c5, 0x18c5, 0x2125, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c5, 0x18c4, 0x18c5, 0x10c5, 0x10a4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x31e7, 0x4a49, 0x4a8a, 0x6b4d, 0x8c51, 0xa555, 0xd6fc, 0x72c9, 0xbd12, 0xff9d, 0xf71b, 0xf6b9, 0xe5f6, 0xd511, 0xbc90, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xeeda, 0xbc6f, 0xdd93, 0xe657, 0xf6fa, 0xff5c, 0xffbe, 0xcdd5, 0x8b6a, 0xc679, 0x9d55, 0x7c10, 0x6b4d, 0x52ab, 0x4229, 0x31a6, 0x2124, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2900, 0xac00, 0xfd80, 0xf4c0, 0xf480, 0xf480, 0xf480, 0xf500, 0xf500, 0xbc00, 0x5161, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x31a7, 0x0861, 0x0000, 0x10a2, 0x5aeb, 0x2945, 0x0020, 0x0000, 0x4a6a, 0x4a69, 0x0000, 0x0000, 0x2125, 0x736d, 0x0000, 0x0000, 0x0862, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2104, 0x18c3, 0x0000, 0x1082, 0x4208, 0x4229, 0x0000, 0x0841, 0x4a28, 0x4228, 0x0061, 0x0000, 0x2966, 0x6b4c, 0x18c3, 0x0000, 0x0000, 0x4229, 0x18e5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1062, 0x18c4, 0x18c5, 0x18e4, 0x10c6, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x20e4, 0x08c7, 0x18c4, 0x18c4, 0x18c5, 0x18c5, 0x18c5, 0x18c4, 0x18c5, 0x18c5, 0x18e5, 0x18e5, 0x18c4, 0x10c6, 0x10a4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x52ab, 0x6b4d, 0x8c51, 0xa535, 0xdf3c, 0x72ea, 0xb46f, 0xff9d, 0xf6fa, 0xee78, 0xe5f5, 0xcd11, 0xbcb0, 0xde37, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffde, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6da, 0xc48f, 0xd594, 0xe637, 0xee78, 0xff5c, 0xffbe, 0xcdd5, 0x836b, 0xc659, 0x9d15, 0x8410, 0x736d, 0x5aaa, 0x4208, 0x3186, 0x2143, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x59c0, 0xfd00, 0xfd20, 0xf480, 0xf480, 0xf4c0, 0xfd20, 0xd4e0, 0x9320, 0x1880, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4208, 0x10a2, 0x0000, 0x2104, 0x5acb, 0x2965, 0x0000, 0x0000, 0x4a69, 0x4a8a, 0x0862, 0x0000, 0x18c3, 0x8430, 0x0000, 0x0000, 0x0020, 0x41c6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18e4, 0x10a2, 0x0000, 0x18e4, 0x528a, 0x2966, 0x0000, 0x0000, 0x52aa, 0x4206, 0x0841, 0x0000, 0x18e3, 0x7bcf, 0x18e4, 0x0000, 0x0841, 0x3a09, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1083, 0x10a5, 0x10c6, 0x18e4, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x10c5, 0x20e4, 0x10c6, 0x18c4, 0x18c4, 0x18c4, 0x18c5, 0x18c4, 0x18c4, 0x18c5, 0x18c4, 0x18c5, 0x18c4, 0x18c4, 0x18c4, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x3985, 0x4a29, 0x4a69, 0x6b4d, 0x8c51, 0x94b3, 0xe75d, 0x7bcf, 0x9bcd, 0xff9d, 0xf71a, 0xeeb9, 0xe616, 0xcd11, 0xac2e, 0xbd13, 0xd5d5, 0xde16, 0xddf6, 0xde17, 0xde17, 0xef3c, 0xff9e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde16, 0xc4af, 0xe5f5, 0xe657, 0xeeb9, 0xff5c, 0xffbe, 0xcdb5, 0x838c, 0xc65a, 0x9d14, 0x7c10, 0x6b2c, 0x5a8a, 0x4249, 0x31a7, 0x20e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5180, 0xed00, 0xfda0, 0xf4e0, 0xf500, 0xfd40, 0xcc80, 0x6220, 0x1060, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0xce38, 0x5acb, 0x0000, 0x0000, 0x4208, 0x4a49, 0x0861, 0x0000, 0x1102, 0x632c, 0x18c3, 0x0000, 0x0000, 0x528a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x3186, 0x10a3, 0x0000, 0x18e3, 0x630c, 0x2104, 0x0000, 0x0000, 0x5aec, 0x4229, 0x0000, 0x0020, 0x31a6, 0xc639, 0x630c, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x10a5, 0x18e5, 0x10c6, 0x18c4, 0x20e4, 0x10c6, 0x18c4, 0x18c4, 0x10c7, 0x18c4, 0x18c4, 0x18c5, 0x18c4, 0x18c4, 0x18c5, 0x18c4, 0x18c4, 0x10c5, 0x10c5, 0x10a3, 0x1083, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x41a6, 0x4228, 0x5289, 0x6b4d, 0x8c51, 0x9492, 0xd71d, 0x9c71, 0x834b, 0xff9d, 0xf6fa, 0xe637, 0xe615, 0xac4e, 0x59e6, 0x7aa9, 0xb44e, 0xc4b0, 0xc4b0, 0xc4b0, 0xbc6f, 0xd594, 0xde16, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xd5f6, 0xccee, 0xe5d5, 0xe657, 0xf6d9, 0xff5c, 0xff7d, 0xbd33, 0x8bce, 0xce79, 0x9cf3, 0x8410, 0x6b4e, 0x52aa, 0x4249, 0x31a7, 0x20e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x20c0, 0x9b60, 0xf580, 0xfdc0, 0xf560, 0xb3e0, 0x4120, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x2965, 0xce38, 0xb575, 0x2104, 0x0000, 0x2104, 0x52ab, 0x2945, 0x0000, 0x0000, 0x52aa, 0x2125, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4208, 0x4208, 0x0862, 0x0000, 0x18e4, 0x7bcf, 0x0841, 0x0000, 0x0861, 0xa514, 0xe71b, 0x4208, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1082, 0x10c5, 0x18e4, 0x18c6, 0x18c4, 0x18c4, 0x18c5, 0x20e4, 0x10c6, 0x18e4, 0x10c6, 0x18e4, 0x18c5, 0x20e5, 0x18c4, 0x18e5, 0x18c5, 0x0864, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1904, 0x31a6, 0x3208, 0x5aaa, 0x6b6d, 0x8431, 0xa4d3, 0xd6fc, 0xac92, 0x7aa8, 0xff9d, 0xf6fa, 0xe637, 0xd593, 0x6a87, 0x3103, 0x9bac, 0xd573, 0xd593, 0xdd94, 0xddb4, 0xddb4, 0xd553, 0xc4b0, 0xcdb5, 0xffbe, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xd5b5, 0xd50f, 0xe5f6, 0xe657, 0xf6d9, 0xff5c, 0xff7c, 0xbcf2, 0x93ee, 0xce9a, 0x9cf3, 0x7bef, 0x6b4d, 0x52ab, 0x4208, 0x3186, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2081, 0x82c0, 0x7b00, 0x51a0, 0x0000, 0x0000, 0x0000, 0x30e0, 0x72a0, 0x8b40, 0x7a80, 0x20c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2946, 0x2965, 0x0000, 0x0861, 0x6b4d, 0xe6fb, 0x73ae, 0x0000, 0x0000, 0x4229, 0x528a, 0x10a3, 0x0000, 0x18e4, 0x18c3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x0861, 0x0000, 0x0000, 0x5aec, 0x528a, 0x0021, 0x0000, 0x528a, 0xf77d, 0x9471, 0x0000, 0x0000, 0x18c3, 0x39c8, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x18a4, 0x10c6, 0x18c5, 0x10c7, 0x18c4, 0x20e4, 0x10c6, 0x10c6, 0x18e4, 0x10c6, 0x18e4, 0x18e5, 0x18c5, 0x18c4, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10e4, 0x2966, 0x3a28, 0x528a, 0x6b4d, 0x73f0, 0xa491, 0xd6fc, 0xa4d4, 0x72a9, 0xff9d, 0xf6fa, 0xe636, 0xb490, 0x3903, 0x59c6, 0xbc6f, 0xd594, 0xddf5, 0xddf6, 0xe616, 0xe616, 0xe5f5, 0xcd32, 0xbc4e, 0xf73c, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xd5b5, 0xcd12, 0xe5b4, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xbcf2, 0x940e, 0xc67a, 0x9cf3, 0x7bef, 0x630c, 0x528a, 0x4208, 0x31a6, 0x2104, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0xabe0, 0xe4a0, 0xbc40, 0xd4e0, 0x6280, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2145, 0x6b6d, 0x10a3, 0x0000, 0x2124, 0xa513, 0xce38, 0x4228, 0x0000, 0x18e3, 0x4208, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0x18c3, 0x0020, 0x0000, 0xce59, 0xce59, 0x18e4, 0x0000, 0x10a2, 0x52ab, 0x4a49, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0862, 0x0064, 0x18c4, 0x18c4, 0x18c4, 0x10c6, 0x18c4, 0x0864, 0x18a4, 0x0862, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x4229, 0x4a69, 0x6b4d, 0x8410, 0x94d4, 0xd6db, 0xa514, 0x6246, 0xff9d, 0xee98, 0xddd5, 0x8b4b, 0x28c2, 0x82ea, 0xd553, 0xe637, 0xeeda, 0xeefa, 0xf6fa, 0xf6fa, 0xeefa, 0xd594, 0xc4af, 0xe6b9, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xcd74, 0xcd11, 0xe5d4, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xb4f1, 0x944f, 0xce9a, 0x94d3, 0x7bef, 0x632d, 0x52aa, 0x4208, 0x3186, 0x18c3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3941, 0xee60, 0x4980, 0x4160, 0xbca0, 0xe5e0, 0x6220, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x3186, 0x0000, 0x0000, 0x0841, 0x4a6a, 0x52aa, 0x0000, 0x0000, 0x4a69, 0xdeba, 0x9491, 0x1082, 0x0000, 0x0861, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x0020, 0x0000, 0x8410, 0xf77d, 0x528b, 0x0000, 0x0841, 0x4208, 0x5aeb, 0x10a2, 0x0000, 0x0841, 0x18e4, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0842, 0x0842, 0x0841, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2965, 0x4229, 0x4a69, 0x6b4d, 0x7bcf, 0x94b3, 0xd679, 0xbdd6, 0x6225, 0xff7d, 0xe637, 0xcd53, 0x61c4, 0x3923, 0x936b, 0xcd32, 0xe616, 0xe678, 0xe699, 0xee98, 0xeeb9, 0xeeda, 0xd594, 0xc4d0, 0xcd53, 0xffdf, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc532, 0xcd32, 0xe616, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xb4f1, 0x9470, 0xce7a, 0x9cd3, 0x7bef, 0x630c, 0x528a, 0x3a08, 0x4206, 0x18e4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x28e0, 0xeee0, 0x7220, 0x4101, 0xbbc0, 0xb440, 0xbc60, 0x3100, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x7bcf, 0x31a6, 0x0000, 0x0020, 0x18e4, 0x634d, 0x39c7, 0x0000, 0x10a3, 0x632c, 0x6b4d, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x73ae, 0x9492, 0x0841, 0x0000, 0x18c3, 0x630c, 0x18c3, 0x0000, 0x0000, 0x2966, 0x528b, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2945, 0x4229, 0x4a69, 0x5b0b, 0x8410, 0x9cb3, 0xbe99, 0xce38, 0x6225, 0xf71b, 0xe616, 0xac4f, 0x2081, 0x4944, 0x9bed, 0xde16, 0xf71b, 0xf73b, 0xf73b, 0xf73b, 0xf73c, 0xf75c, 0xe637, 0xccf1, 0xbc6f, 0xffde, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc532, 0xd552, 0xe5d4, 0xe657, 0xee99, 0xff5c, 0xf73b, 0xb490, 0x9470, 0xc67a, 0x9cf3, 0x7bef, 0x6b4d, 0x52aa, 0x39e7, 0x31a6, 0x10a2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9ae0, 0x1920, 0x0840, 0x9ba1, 0xe560, 0xbce0, 0x8a80, 0x6220, 0xdca0, 0x61e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x7bcf, 0x18e4, 0x0000, 0x0841, 0x3186, 0x6b4d, 0x10a3, 0x0000, 0x1082, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2104, 0x0000, 0x0861, 0x630c, 0x4a49, 0x0000, 0x0000, 0x18e3, 0x5aec, 0x4229, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4229, 0x4a69, 0x632c, 0x73af, 0x9472, 0xce99, 0xce38, 0x6224, 0xf6fa, 0xddd5, 0x8b4b, 0x18a2, 0x7288, 0xac4f, 0xd5b5, 0xee98, 0xeeb9, 0xeeb9, 0xeeb9, 0xeeb9, 0xf6fa, 0xe658, 0xd532, 0xbc6f, 0xf75c, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde58, 0xccd0, 0xe616, 0xe657, 0xf71a, 0xff9d, 0xf73c, 0xbcd1, 0xa491, 0xce59, 0x9492, 0x7bef, 0x630c, 0x528a, 0x4229, 0x31a7, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xb3c0, 0xfdc0, 0x0860, 0x0000, 0x20a0, 0x41a0, 0x39a0, 0x30e0, 0x8b00, 0xbc80, 0x2940, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a7, 0x39e7, 0x0841, 0x0000, 0x0000, 0x4229, 0x6b6d, 0x0000, 0x0000, 0x0862, 0x4208, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x4a6a, 0x1082, 0x0000, 0x0861, 0x4a49, 0x52ab, 0x1082, 0x0000, 0x0000, 0x4208, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2125, 0x41e8, 0x4a49, 0x62ec, 0x8410, 0x8c71, 0xbe19, 0xce7a, 0x6204, 0xee78, 0xcd74, 0x6247, 0x20c2, 0x7287, 0xa3cd, 0xde16, 0xf75c, 0xf75c, 0xf75c, 0xf75c, 0xf75c, 0xff7d, 0xee78, 0xdd93, 0xbc6f, 0xef1b, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc512, 0xccd0, 0xe5b4, 0xe657, 0xff3b, 0xff5c, 0xef1b, 0xac6f, 0xacd1, 0xbe5a, 0x94b3, 0x7bef, 0x5acb, 0x4a69, 0x3a47, 0x31e7, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8aa0, 0xfd40, 0x3980, 0x2861, 0xcc40, 0x7a60, 0x0000, 0x28e0, 0xd4e0, 0xc540, 0x51a1, 0x0040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x7b8f, 0x3186, 0x0020, 0x0000, 0x0841, 0x738e, 0x4a6a, 0x0000, 0x0020, 0x0841, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1920, 0x1920, 0x1920, 0x1920, 0x1940, 0x1920, 0x1920, 0x1920, 0x08a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0861, 0x0000, 0x0000, 0x3186, 0x6b2d, 0x1082, 0x0000, 0x0000, 0x3186, 0x6b4d, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x4228, 0x4a69, 0x62cc, 0x738e, 0x8c71, 0xce79, 0xce58, 0x6204, 0xe637, 0xbcf2, 0x28a2, 0x20e3, 0x830a, 0xc4d1, 0xeed9, 0xff7d, 0xff3b, 0xff3b, 0xff3b, 0xff3b, 0xff9d, 0xf71b, 0xd573, 0xc4d0, 0xef3c, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd532, 0xe636, 0xe657, 0xff3b, 0xff5c, 0xeefa, 0xa40e, 0xa513, 0xce59, 0x8c72, 0x7bef, 0x630c, 0x528a, 0x4208, 0x41e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xd620, 0xbbe0, 0x0840, 0xe5a0, 0xf4c0, 0xf5c0, 0xc420, 0x0820, 0x20c0, 0x18c0, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x30c3, 0x8451, 0x0861, 0x0000, 0x0000, 0x10a2, 0x630c, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1100, 0x1940, 0x2a01, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1960, 0x21a1, 0x21a1, 0x1940, 0x0880, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x4a49, 0x39c7, 0x0000, 0x0000, 0x31a7, 0x6b4d, 0x3186, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18a3, 0x3187, 0x3226, 0x4a69, 0x6b4d, 0x6b6d, 0x8c71, 0xb5f9, 0xce7a, 0x6204, 0xe616, 0xac4f, 0x0820, 0x20c2, 0x7267, 0x8b2a, 0xc511, 0xee98, 0xeeb9, 0xf6fa, 0xff3b, 0xff3b, 0xee99, 0xe657, 0xd553, 0xbc6f, 0xde99, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd532, 0xe5b3, 0xe657, 0xff3b, 0xff5c, 0xeefb, 0xac70, 0xad13, 0xbe5a, 0x94d3, 0x7bef, 0x5acb, 0x4a69, 0x4208, 0x31a6, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x30c1, 0xedc0, 0xede0, 0x92e0, 0x1060, 0x3140, 0xe6a0, 0x1920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x528a, 0x4a6a, 0x0882, 0x0000, 0x0020, 0x3186, 0x7bf0, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1100, 0x2160, 0x2a01, 0x1981, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x21e1, 0x2181, 0x0860, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0020, 0x0000, 0x10a3, 0x630c, 0x4208, 0x0020, 0x0000, 0x0000, 0x52ab, 0x4a8a, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x39c7, 0x4a49, 0x5acc, 0x6b6d, 0x8c71, 0xad76, 0xc67a, 0x61e3, 0xe593, 0xac2e, 0x0000, 0x28e3, 0x8ae8, 0xbcb0, 0xf73b, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff3b, 0xe657, 0xd553, 0xef1b, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xeefa, 0xac0e, 0xbd34, 0xce58, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x3a08, 0x4229, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4941, 0xf600, 0x0000, 0x0020, 0x62e1, 0xe5a0, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x6b6e, 0x4229, 0x0861, 0x0000, 0x0000, 0x632d, 0x8c2f, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1100, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2161, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x0040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a0, 0x636b, 0x4a69, 0x0000, 0x0000, 0x0000, 0x528a, 0x6b6e, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1920, 0x2984, 0x31c7, 0x4a49, 0x6b4d, 0x6b6e, 0x8c71, 0xb5d8, 0xce38, 0x6227, 0xdd52, 0x8b4b, 0x0000, 0x20c2, 0x7aa8, 0xac2e, 0xddb4, 0xee78, 0xee99, 0xee58, 0xe637, 0xee78, 0xee99, 0xe657, 0xd553, 0xbc6f, 0xd5f6, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd532, 0xe593, 0xe657, 0xff3b, 0xff5c, 0xeefa, 0xac0e, 0xad13, 0xbe39, 0x94b3, 0x7bef, 0x5acb, 0x4a69, 0x4208, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8280, 0xeec0, 0x2100, 0x0000, 0x0000, 0x7240, 0xfd80, 0xeee0, 0x7a40, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0862, 0x0000, 0x0000, 0x2104, 0x73ae, 0x2124, 0x0000, 0x0000, 0x0000, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10e0, 0x29e1, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2a21, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2105, 0x10a2, 0x0000, 0x0000, 0x31a6, 0x7bef, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0xad76, 0xce38, 0x6207, 0xe471, 0x7aa8, 0x0000, 0x20c2, 0x6206, 0x6a89, 0xbcf2, 0xf6da, 0xff3b, 0xff3b, 0xff3b, 0xff3b, 0xf6b9, 0xe657, 0xe5b3, 0xccf1, 0xd5f6, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc4d1, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xeeda, 0xac0e, 0xad13, 0xc67a, 0x8c71, 0x6b6e, 0x6b6d, 0x5acb, 0x39c7, 0x4208, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x0840, 0x0020, 0x1920, 0x8ae0, 0x1060, 0x1060, 0x1060, 0x2180, 0xdc20, 0x5161, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4228, 0x4208, 0x0841, 0x0000, 0x0000, 0x2104, 0x8431, 0x2125, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10e0, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x2a21, 0x0860, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x738e, 0x2104, 0x0000, 0x0000, 0x0021, 0x6b4d, 0x52cb, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x39c8, 0x4a49, 0x72ea, 0x6b6d, 0x7c31, 0xad75, 0xae38, 0x6227, 0xc4d1, 0x7267, 0x0020, 0x28e3, 0x8b09, 0xbcd1, 0xff3c, 0xff5c, 0xff5c, 0xf73b, 0xff7c, 0xf73b, 0xf71a, 0xe657, 0xe637, 0xd553, 0xd5f6, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc4b0, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6ba, 0x93ce, 0xad54, 0xbe18, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x4a49, 0x39c7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6200, 0xaba0, 0x4980, 0x1040, 0x0020, 0x0000, 0xe4c0, 0xec60, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x6b6e, 0x528a, 0x0861, 0x0020, 0x0000, 0x3186, 0x5acb, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10e0, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2a01, 0x1981, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0x2945, 0x0000, 0x0000, 0x0841, 0x4a49, 0x7bcf, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x4228, 0x4a69, 0x4a69, 0x6b4d, 0x8c51, 0x9d14, 0xc638, 0x6206, 0xbc4e, 0x6a26, 0x0820, 0x4103, 0x6a46, 0x8b09, 0xc4b0, 0xd5b4, 0xd594, 0xd553, 0xd553, 0xd553, 0xd553, 0xd553, 0xd532, 0xbc8f, 0xcd74, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0e, 0xd54e, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bad, 0xb556, 0xc638, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x39c7, 0x4208, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xa3e0, 0xee60, 0xf580, 0x8281, 0x28e0, 0x20a0, 0x8aa0, 0x8ac0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0861, 0x0862, 0x0000, 0x0000, 0x10a3, 0x5aec, 0x52e9, 0x18c2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10e0, 0x1981, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1940, 0x1920, 0x1921, 0x1941, 0x1940, 0x1961, 0x2181, 0x2161, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x0880, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x4a69, 0x6b6e, 0x0841, 0x0000, 0x0000, 0x1082, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x3186, 0x4a49, 0x4a69, 0x6b4d, 0x7bf0, 0x9cf4, 0xb638, 0x6206, 0xb42d, 0x6a26, 0x0820, 0x4123, 0x6a46, 0x7aa7, 0xc4f1, 0xe637, 0xe616, 0xe616, 0xe616, 0xe616, 0xe5d5, 0xe616, 0xd594, 0xd552, 0xbcd1, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbc90, 0xd552, 0xe5f5, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xad75, 0xb618, 0x8c52, 0x7bcf, 0x5acb, 0x4a69, 0x3a28, 0x31c7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8b00, 0xab80, 0x9b00, 0xccc0, 0xc4a0, 0xc420, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x3187, 0x528a, 0x18c3, 0x0000, 0x0000, 0x10a2, 0x5aec, 0x4a49, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10c0, 0x21a1, 0x21c1, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1940, 0x10e0, 0x10e0, 0x31c2, 0x31c3, 0x10e1, 0x1920, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2a01, 0x0880, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x52aa, 0x6b4d, 0x0862, 0x0000, 0x0000, 0x10a2, 0x5acb, 0x39c7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2125, 0x4208, 0x4a49, 0x4a69, 0x6b4d, 0x5c4f, 0xa4f4, 0xc638, 0x6206, 0xa3ac, 0x61e5, 0x0840, 0x4123, 0x7288, 0xa42f, 0xd5b4, 0xdd93, 0xcd11, 0xcd11, 0xd532, 0xcd11, 0xd532, 0xdd73, 0xe637, 0xcd12, 0xbcd1, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe616, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9b8c, 0xbd74, 0xbe39, 0x9472, 0x73af, 0x5acb, 0x4a69, 0x39e7, 0x4208, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4181, 0xcc20, 0x3940, 0x59e1, 0xe620, 0xfe20, 0x28e0, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x5acb, 0x62ec, 0x18c3, 0x0021, 0x0000, 0x10a3, 0x4228, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1921, 0x1921, 0x6c63, 0xb6e4, 0xa645, 0x4ac3, 0x1100, 0x1940, 0x1961, 0x2181, 0x1961, 0x2181, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x29e1, 0x0860, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x4229, 0x1082, 0x0000, 0x0000, 0x18e3, 0x5aeb, 0x632c, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x31a6, 0x4a49, 0x4a69, 0x6b4d, 0x83d0, 0xa4f4, 0xb638, 0x6a06, 0x9b8c, 0x51c5, 0x1080, 0x3982, 0x51c5, 0x6a46, 0xabec, 0xc48f, 0xbc8f, 0xc4b0, 0xc48f, 0xbc8f, 0xbc8f, 0xbc8f, 0xcd32, 0xb44e, 0xac2e, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe5d4, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x93ac, 0xb596, 0xc639, 0x9471, 0x73af, 0x5aeb, 0x4a6a, 0x4229, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1060, 0x1060, 0x0000, 0x0000, 0xa3c0, 0x7b20, 0x93c1, 0xabc0, 0xabc0, 0x51c0, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x10a2, 0x0000, 0x0000, 0x0861, 0x4208, 0x630c, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10e0, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1960, 0x1121, 0x4b24, 0xdfc5, 0xdfa5, 0xd785, 0xb624, 0x3221, 0x10c0, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x6b4d, 0x630c, 0x0000, 0x0000, 0x0020, 0x1082, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2125, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x8bce, 0x94d4, 0xc659, 0x6206, 0x9b6b, 0x59a5, 0x3081, 0x4143, 0x6226, 0x7a87, 0xb44e, 0xcd12, 0xcd11, 0xcd32, 0xcd11, 0xccf1, 0xcd11, 0xd573, 0xddd5, 0xcd11, 0x9329, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bac, 0xbd96, 0xbe19, 0x8c71, 0x7bae, 0x5b0c, 0x4a8a, 0x39e7, 0x39e7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1880, 0x6aa0, 0x8340, 0x3960, 0x0840, 0x51a0, 0xdda0, 0xcd00, 0x20e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x528a, 0x2124, 0x0000, 0x0000, 0x0862, 0x4a69, 0x5b0b, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0881, 0x21a2, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1940, 0x10c0, 0x5b62, 0xe7c5, 0xcf64, 0xd745, 0xb645, 0x3242, 0x10c0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x21e1, 0x0880, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x6b4d, 0x4a49, 0x0000, 0x0000, 0x0020, 0x1904, 0x4a8a, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x73d0, 0x9cd3, 0xae5a, 0x7246, 0x9309, 0x59a5, 0x2081, 0x3942, 0x59e6, 0x8b2a, 0xb46f, 0xbc90, 0xb44f, 0xbc90, 0xbc6f, 0xbc4e, 0xb40d, 0xd553, 0xe657, 0xc4f1, 0xac2e, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x9bac, 0xb595, 0xb5d8, 0x8451, 0x73cf, 0x5acb, 0x4a69, 0x41e8, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x4140, 0xccc0, 0xf600, 0xbca0, 0x72a0, 0x18a0, 0x6a40, 0x4160, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x4a49, 0x630c, 0x2966, 0x0862, 0x0000, 0x0880, 0x31a5, 0x1904, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1101, 0x21a2, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1962, 0x1961, 0x1961, 0x1961, 0x2181, 0x1960, 0x10c0, 0x10c0, 0x10c0, 0x29c1, 0x9563, 0xc744, 0xc724, 0x7c64, 0x2142, 0x1900, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x39e7, 0x0020, 0x0000, 0x0020, 0x31a7, 0x52ab, 0x4a6a, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2945, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x7bcf, 0xa535, 0xbe38, 0x6a67, 0x9309, 0x59e6, 0x2041, 0x4903, 0x5a06, 0x6a46, 0x9b6b, 0xb46f, 0xbc6f, 0xb44f, 0xb44f, 0xb44f, 0xac0d, 0xc4b0, 0xcd32, 0xbc6f, 0xa3cc, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb40e, 0xd552, 0xe5f5, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x9bad, 0xb5b6, 0xb5f8, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x4208, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x4140, 0xa360, 0x9300, 0x93a0, 0xd520, 0xa440, 0x49c0, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x39c7, 0x5aeb, 0x4a49, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1962, 0x2181, 0x1961, 0x1961, 0x10c0, 0x1902, 0x10c0, 0x1922, 0x29e1, 0x3262, 0x42a3, 0x63e2, 0x5342, 0x21a1, 0x1100, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x21a1, 0x08a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a49, 0x6b4d, 0x39c7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x7bef, 0x94d3, 0xbe5a, 0x6a47, 0x9309, 0x51a4, 0x1881, 0x3963, 0x6206, 0x7267, 0xa3ac, 0xbc6f, 0xbc6f, 0xbc6f, 0xb44f, 0xb46f, 0xbc90, 0xcd12, 0xe616, 0xc4d0, 0x9b8b, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe5f5, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xbdb6, 0xbe19, 0x8c71, 0x73ae, 0x5acb, 0x4a69, 0x4208, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1880, 0x3100, 0x1880, 0x18a0, 0x5a20, 0xd540, 0xd500, 0x3120, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x31a7, 0x31a7, 0x0000, 0x0000, 0x0841, 0x2124, 0x528a, 0x4208, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1100, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x08a0, 0x3aa1, 0x7484, 0x84e3, 0x9d65, 0x9de4, 0xb644, 0x9564, 0x63a3, 0x1082, 0x08a0, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2145, 0x630a, 0x2945, 0x0000, 0x0000, 0x0841, 0x2965, 0x31a7, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x7bf0, 0x94d3, 0xbe5a, 0x6a67, 0x9a68, 0x59c5, 0x2081, 0x3922, 0x51a5, 0x6a47, 0x8b2a, 0xa3ac, 0xa3cc, 0xabed, 0xabcc, 0xabcc, 0xa3cc, 0xccf1, 0xddf5, 0xbc8f, 0xac0d, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0d, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x9bac, 0xbd95, 0xbe19, 0x8c71, 0x73af, 0x5acb, 0x4a69, 0x4208, 0x39e7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x49a0, 0x72a0, 0x18c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x3186, 0x6b4d, 0x4208, 0x0842, 0x0000, 0x0000, 0x18c3, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x08c2, 0xa664, 0xdfa5, 0xe7c5, 0xcfa4, 0xc764, 0xcf25, 0xc724, 0xbec5, 0x5323, 0x08a0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x2181, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1904, 0x20e2, 0x0000, 0x0000, 0x0841, 0x39c7, 0x5aec, 0x39c7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2945, 0x39e7, 0x4a47, 0x4a69, 0x6b4d, 0x7bcf, 0x9d14, 0xce38, 0x5a68, 0xa2e9, 0x59e6, 0x1841, 0x4103, 0x5a06, 0x6a26, 0x9b6b, 0xbc6f, 0xbc6f, 0xbc8f, 0xbc6f, 0xbc6f, 0xbc6f, 0xd573, 0xdd94, 0xccf1, 0xa3ed, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x93ac, 0xb575, 0xbe18, 0x8c51, 0x738e, 0x5acb, 0x4a69, 0x4208, 0x31c7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2966, 0x52aa, 0x52ab, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x08a0, 0x1942, 0xe7c5, 0xd785, 0x6426, 0x5342, 0xb6c4, 0xae84, 0xb6a4, 0xcf25, 0xa5a4, 0x2142, 0x10e0, 0x1100, 0x0880, 0x0880, 0x1120, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x2181, 0x2181, 0x08a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x528a, 0x9cd3, 0x9cb2, 0x39e7, 0x0841, 0x39c7, 0x52ab, 0x2945, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39e8, 0x4a48, 0x4a69, 0x6b4d, 0x8410, 0x94b3, 0xce7a, 0x6a88, 0x9b4a, 0x51c5, 0x0820, 0x38e2, 0x59c4, 0x6a67, 0xa3ac, 0xbc6f, 0xc4b0, 0xc4b0, 0xc4b0, 0xbc6f, 0xbc8f, 0xd553, 0xe616, 0xbc90, 0xa3cd, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0d, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb5b7, 0xb5d8, 0x8c51, 0x7bcf, 0x5acb, 0x4a69, 0x4229, 0x31c7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x0000, 0x0000, 0x0020, 0x10a2, 0x4208, 0x6b4d, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x21e1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x0040, 0x29c3, 0xf7e5, 0xae84, 0x08a2, 0x29c1, 0xc724, 0xae84, 0xae84, 0xbee4, 0xbec5, 0x4ae2, 0x0040, 0x10c0, 0x3241, 0x6402, 0x3243, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1100, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0xa514, 0xd69a, 0xffbe, 0xffbe, 0xc638, 0x6bcf, 0x18e3, 0x18e3, 0x0000, 0x0000, 0x0000, 0x1082, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2125, 0x31c7, 0x4a49, 0x4a69, 0x6b4d, 0x7bf0, 0x94d4, 0xce9b, 0x72a8, 0x9b4a, 0x51c5, 0x0820, 0x38e2, 0x51e4, 0x6a47, 0x9b6b, 0xb40e, 0xb44e, 0xb44e, 0xb44e, 0xb42e, 0xb44e, 0xcd12, 0xe5f5, 0xb4b1, 0xa3ed, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bee, 0xbdd7, 0xbdf8, 0x8451, 0x738e, 0x5acb, 0x4a69, 0x39e7, 0x4208, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6b4e, 0x630c, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0040, 0x1920, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x0040, 0x42e3, 0xf7e5, 0x8d43, 0x0840, 0x6c62, 0xe785, 0xae84, 0xae84, 0xbee4, 0xcf84, 0x7483, 0x1102, 0x4b63, 0xb684, 0xdf65, 0x7464, 0x1921, 0x1920, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1100, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a8a, 0xbdd7, 0xff9e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xbe17, 0x0000, 0x0000, 0x0000, 0x10a1, 0x4268, 0x62ec, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x39c7, 0x31a7, 0x4229, 0x4a69, 0x6b4d, 0x7c11, 0x9cf4, 0xce9b, 0x7ac9, 0x9b4a, 0x59c5, 0x2041, 0x28c2, 0x6206, 0x6a47, 0xa3ac, 0xbc6f, 0xc4b0, 0xbcb0, 0xbcb0, 0xc4b0, 0xccf1, 0xdd94, 0xe616, 0xbc90, 0xa3cd, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdd7, 0xb618, 0x8c51, 0x7bcf, 0x5acb, 0x4a69, 0x4a49, 0x39c7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x5acb, 0x6b4d, 0x31a7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0020, 0x10c0, 0x29e1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x0040, 0x5c42, 0xf7e5, 0x6c82, 0x0860, 0xae64, 0xcf65, 0xb684, 0xb664, 0x95a3, 0xbe84, 0xcf24, 0xa664, 0xcf25, 0xf7e5, 0xc6a4, 0x4b02, 0x1961, 0x1940, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8410, 0xdeba, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xd699, 0x2104, 0x0000, 0x18e3, 0x632c, 0x630c, 0x2125, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2945, 0x4208, 0x4a49, 0x4a69, 0x6b4d, 0x8c51, 0x94b2, 0xcefc, 0x7ac9, 0xa3ac, 0x6a26, 0x0820, 0x1881, 0x51c3, 0x72e9, 0xb42e, 0xc4d0, 0xc4d1, 0xc4d1, 0xc4d1, 0xc4d1, 0xcd12, 0xd553, 0xd573, 0xa3ac, 0xac4f, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabac, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bed, 0xbdd7, 0xc5f7, 0x8c51, 0x738e, 0x5acb, 0x4a69, 0x39e7, 0x4208, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x3a45, 0x6b4d, 0x5aeb, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1940, 0x1981, 0x1961, 0x2181, 0x1961, 0x2161, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x0040, 0x7ce3, 0xf7e5, 0x3a84, 0x0880, 0xc744, 0xb6a4, 0xb6c4, 0xb665, 0x4aa4, 0x6382, 0xdfc5, 0xefc5, 0xcf25, 0x7ca5, 0x31e2, 0x0880, 0x1100, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x21a1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0xad34, 0xef3c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xce59, 0x1082, 0x39c7, 0x6b4d, 0x39e8, 0x10a2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a7, 0x39c7, 0x4a49, 0x6aea, 0x6b6d, 0x8c71, 0xad55, 0xd6fc, 0x7ae9, 0xb42d, 0x6a26, 0x0000, 0x20c2, 0x6226, 0x7aa8, 0xbcb0, 0xd573, 0xcd32, 0xcd32, 0xcd32, 0xcd32, 0xcd32, 0xd532, 0xddf6, 0xcd11, 0xbd13, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdb6, 0xb5d7, 0x8c71, 0x7bcf, 0x5acb, 0x4a69, 0x4208, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9d35, 0xdeba, 0x31a6, 0x0000, 0x0000, 0x0840, 0x18c3, 0x4a69, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a0, 0x2a01, 0x1961, 0x1961, 0x1961, 0x1961, 0x1962, 0x1962, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1940, 0x3201, 0x63a5, 0x0881, 0x5362, 0xefa5, 0xae84, 0xb6c4, 0xa624, 0x1921, 0x2162, 0x9565, 0xa604, 0x3a62, 0x0881, 0x10e1, 0x1940, 0x1960, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1920, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0xc618, 0xf79d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf75d, 0x7bef, 0x0841, 0x3186, 0x2965, 0x0841, 0x0000, 0x0000, 0x31a7, 0xad55, 0x8430, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x3186, 0x4228, 0x4a69, 0x526a, 0x6b6d, 0x8c71, 0x9d15, 0xd6fc, 0x7ae9, 0xbc4e, 0x7267, 0x0000, 0x18a2, 0x59c5, 0x7a67, 0xabed, 0xc4b0, 0xccd1, 0xcd12, 0xccf1, 0xcd12, 0xd532, 0xddf6, 0xd573, 0xa3cc, 0xbd33, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bed, 0xbdd7, 0xbdf8, 0x8451, 0x6b6e, 0x5acb, 0x4a69, 0x4208, 0x4229, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6b8f, 0xf77d, 0xf75d, 0xa514, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1960, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x0040, 0x0840, 0x0860, 0xae64, 0xcf85, 0xb684, 0xc6e5, 0xc744, 0x7443, 0x0020, 0x0860, 0x0860, 0x0020, 0x10c0, 0x1960, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x21a1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8430, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0x6b4d, 0x0841, 0x0000, 0x0020, 0x0020, 0x0000, 0x18e3, 0x9471, 0xf75d, 0xff9e, 0x7c30, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x3186, 0x4229, 0x5aec, 0x6b6d, 0x8c71, 0xad76, 0xf77d, 0x7ae9, 0xc46f, 0x8b2b, 0x0000, 0x1882, 0x5a06, 0x938c, 0xd532, 0xdd73, 0xcd32, 0xd594, 0xd573, 0xd5b4, 0xddd5, 0xd573, 0xccf1, 0xabed, 0xbd33, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdb6, 0xb5b7, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x39c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xa514, 0xffbe, 0xf79d, 0x7bcf, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a0, 0x2a01, 0x1961, 0x2161, 0x2181, 0x1961, 0x2181, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x0000, 0x29c1, 0xcfa5, 0xcf64, 0x9e24, 0xae84, 0xdfa5, 0xe7c5, 0x7d23, 0x10c0, 0x08a0, 0x2181, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1100, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0xbdd7, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x7bcf, 0xffbe, 0xffbe, 0xa514, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x3a49, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0x9d56, 0xd6fc, 0x7ae9, 0xccb0, 0xac2e, 0x0000, 0x2081, 0x6a05, 0x8b09, 0xcd12, 0xee78, 0xee78, 0xee58, 0xf6da, 0xee98, 0xe637, 0xe637, 0xee98, 0xbc90, 0xde78, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xdd4e, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x93ad, 0xbdd7, 0xbdd7, 0x8431, 0x6b6e, 0x5acb, 0x4a69, 0x3a49, 0x3a08, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x2965, 0xef5c, 0xdedb, 0x5acb, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1960, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x0000, 0x6385, 0xf7e5, 0xdf25, 0x21a4, 0x1921, 0x8543, 0xefa5, 0xe7c5, 0x8505, 0x1103, 0x10c0, 0x1960, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1960, 0x2180, 0x1100, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x5aab, 0xd69a, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0x8c51, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0xef5c, 0xbdf8, 0x4229, 0x0000, 0x0000, 0x0020, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x39c7, 0x4a49, 0x6b4d, 0x6b6d, 0x8c71, 0xa576, 0xf77d, 0x82c9, 0xf46f, 0xac4f, 0x0820, 0x1041, 0x4923, 0x82e9, 0xac2e, 0xc4b0, 0xcd11, 0xccf1, 0xcd32, 0xd553, 0xdd93, 0xe593, 0xccb0, 0x92e8, 0xce17, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdb6, 0xb5d7, 0x8c51, 0x7bcf, 0x5acb, 0x4a69, 0x49e7, 0x41c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x632d, 0x18e4, 0x0861, 0x0000, 0x0000, 0x0020, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x2181, 0x1961, 0x1961, 0x1961, 0x2161, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1940, 0x0000, 0xa664, 0xd7a5, 0xae64, 0x0000, 0x0000, 0x0881, 0x5344, 0xc6e4, 0xe7c5, 0x9583, 0x2161, 0x10c0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1980, 0x0a40, 0x1900, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x2124, 0x8c51, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9e, 0xe6db, 0x4a69, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x18c3, 0x0000, 0x0000, 0x0020, 0x0861, 0x2945, 0x5acb, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39c7, 0x3a26, 0x4a49, 0x5aec, 0x6b6d, 0x8c71, 0xad76, 0xd71c, 0x7aea, 0xbd54, 0xcd53, 0x59c5, 0x1881, 0x59c5, 0x934b, 0xd573, 0xee78, 0xeeb9, 0xf6fa, 0xf6fa, 0xf6fa, 0xe657, 0xddd5, 0xd532, 0xb42e, 0xd638, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bed, 0xbdd7, 0xb5d7, 0x8431, 0x6b6e, 0x5acb, 0x4a69, 0x3a29, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a6a, 0x73af, 0x528a, 0x10a3, 0x1061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x0020, 0x0841, 0xd7a5, 0xefc5, 0x7443, 0x0000, 0x0020, 0x0880, 0x3221, 0x9e03, 0xdfc5, 0xc6e5, 0x4ae2, 0x10e0, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x2181, 0x2144, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3a08, 0xad96, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0xc617, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x2124, 0x528a, 0x738e, 0x5acb, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x3187, 0x41e8, 0x4a49, 0x632d, 0x6b6d, 0x8c71, 0xa576, 0xef5c, 0x7aa8, 0xd573, 0xddd5, 0x7288, 0x1020, 0x4923, 0x82c8, 0xac0d, 0xccf1, 0xcd32, 0xddb4, 0xe5b4, 0xe5f5, 0xd573, 0xd532, 0xc4d1, 0x7ac8, 0xef1b, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdb7, 0xb5d7, 0x8c51, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x52aa, 0x738e, 0x732b, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0840, 0x1940, 0x1981, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1920, 0x0860, 0x4b25, 0xf7e5, 0xdf65, 0x2183, 0x0040, 0x2181, 0x6c23, 0xc705, 0xdf85, 0xbec4, 0x6424, 0x1902, 0x1941, 0x21a1, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x2160, 0x10e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18a3, 0x5acb, 0xe71c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6db, 0x8431, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4a49, 0x6b6d, 0x4229, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x39c7, 0x4208, 0x4a49, 0x528a, 0x6b6d, 0x8c71, 0xad76, 0xd71c, 0x7b0a, 0xd573, 0xddf5, 0x938c, 0x1060, 0x4123, 0x8b2a, 0xb46f, 0xc4d1, 0xcd32, 0xcd11, 0xd532, 0xd552, 0xd532, 0xd532, 0xbc6f, 0x9b4a, 0xef3c, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe699, 0x9bed, 0xbdd7, 0xbdd7, 0x7c51, 0x6b8e, 0x5acb, 0x4a69, 0x3a28, 0x4228, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x18c3, 0x1082, 0x0020, 0x0000, 0x0000, 0x0000, 0x528a, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a0, 0x2a01, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1120, 0x0861, 0x42c1, 0xc784, 0xefc5, 0x8dc3, 0x0880, 0x42a2, 0xa624, 0xf7c5, 0xdf45, 0x9d64, 0x2a01, 0x0020, 0x10e0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1960, 0x19a0, 0x1901, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x31a6, 0x9492, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf75d, 0xce38, 0x4a49, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x39c7, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0862, 0x18c3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x3186, 0x3a07, 0x4a49, 0x632d, 0x6b6d, 0x8c71, 0xb576, 0xef5d, 0x7b0a, 0xe5b4, 0xee98, 0xbcf1, 0x2962, 0x2081, 0x6a46, 0xabed, 0xc4f1, 0xd552, 0xdd73, 0xddb4, 0xcd32, 0xcd11, 0xcd11, 0xb44e, 0x9b8b, 0xffbe, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd551, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x93ac, 0xbdd7, 0xb5d7, 0x7c71, 0x6bce, 0x5acb, 0x4a69, 0x39c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x52ab, 0x528a, 0x2945, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x21c1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1100, 0x0880, 0x3ae4, 0xd765, 0xf7e5, 0xade4, 0x21a1, 0x5342, 0xe7c5, 0xefa5, 0xb644, 0x5b83, 0x1922, 0x0880, 0x10e0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1980, 0x0a20, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x5aeb, 0xc618, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6fb, 0x9cb2, 0x2925, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2124, 0x4a49, 0x5acb, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x31a7, 0x49e6, 0x4a49, 0x5b0c, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7b0a, 0xd594, 0xf6da, 0xd594, 0x72a8, 0x1081, 0x5a06, 0x936b, 0xac2e, 0xbc8f, 0xbc6f, 0xbc8f, 0xbc90, 0xbc6f, 0xb44e, 0xa3cc, 0xbcd1, 0xffdf, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd54f, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x9bcd, 0xbdd7, 0xb5d7, 0x8c30, 0x7b8e, 0x5acb, 0x4a69, 0x41e8, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x4a6a, 0x52ab, 0x528a, 0x39c7, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1120, 0x11c0, 0x2161, 0x1961, 0x1961, 0x1961, 0x2161, 0x2181, 0x1961, 0x1100, 0x08a1, 0x4b42, 0xbf24, 0xf7e5, 0xbe05, 0x1961, 0x0840, 0x7483, 0xbe84, 0x9504, 0x3241, 0x0040, 0x10e0, 0x1961, 0x2161, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x2181, 0x1940, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x6b4c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xce18, 0x6b6d, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3186, 0x4a49, 0x5acb, 0x4a49, 0x2945, 0x0841, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x3186, 0x3a08, 0x4a49, 0x5aec, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7b0a, 0xddd5, 0xf6d9, 0xddd5, 0x9bee, 0x18a2, 0x3123, 0x8b4a, 0xbc6f, 0xbc90, 0xbc90, 0xc4b0, 0xc4b0, 0xb44e, 0xabed, 0x9b4a, 0xbcf2, 0xffdf, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0d, 0xd552, 0xe637, 0xeeb9, 0xff3b, 0xff9d, 0xe6b9, 0x9bed, 0xbdd7, 0xb5d7, 0x8431, 0x738f, 0x5acb, 0x4a69, 0x39c7, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x528a, 0x6b4d, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a0, 0x19c0, 0x2181, 0x2161, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x10c0, 0x4b24, 0xbf24, 0xf7e5, 0xbe64, 0x31e3, 0x0880, 0x08a0, 0x2a01, 0x3aa2, 0x1922, 0x0880, 0x10e0, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x21a1, 0x10c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e8, 0xa514, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0xbdb6, 0x4a28, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x5aeb, 0x4a69, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x31a7, 0x39e8, 0x4a49, 0x52ab, 0x6b6d, 0x8c71, 0xad76, 0xdf3c, 0x7b0a, 0xddf6, 0xf6fa, 0xe637, 0xcd53, 0x5a06, 0x20e2, 0x72c8, 0xa3cc, 0xabed, 0xac0d, 0xabed, 0xabed, 0xa3ac, 0x9b6a, 0x8b0a, 0xd617, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe616, 0xf6d9, 0xff3b, 0xff7d, 0xe6b9, 0x9bed, 0xbdd7, 0xb5d7, 0x8410, 0x73ae, 0x5acb, 0x4a69, 0x39e8, 0x39e7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2104, 0x0021, 0x0000, 0x0000, 0x0000, 0x18c3, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x18c1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1100, 0x2182, 0xbea4, 0xf7e5, 0xb605, 0x3222, 0x08a0, 0x1961, 0x1961, 0x1940, 0x08a0, 0x10e0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x21c1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x6b4d, 0xce38, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6db, 0x8430, 0x2945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x2124, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x31a6, 0x31e7, 0x4a49, 0x630c, 0x6b6d, 0x8c71, 0xa576, 0xe73c, 0x7b0a, 0xddf6, 0xf71b, 0xe637, 0xddf5, 0x93cd, 0x2102, 0x49c4, 0x9b4a, 0xa3ac, 0xa3ac, 0xa3ac, 0xa3ac, 0x9b6a, 0x934a, 0xa44f, 0xef5c, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe616, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x9bac, 0xbdb6, 0xb5d7, 0x8430, 0x73ae, 0x5acb, 0x4a69, 0x39e7, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e8, 0x52ab, 0x4a49, 0x39e7, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1941, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x10e0, 0x1902, 0x8c63, 0xa5a4, 0x3a03, 0x10c0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1960, 0x08a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x8c51, 0xf79d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0xce38, 0x5aeb, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c2, 0x3186, 0x4208, 0x632d, 0x39e8, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x31a7, 0x3a07, 0x4a49, 0x630c, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7ae9, 0xe678, 0xf75c, 0xe637, 0xe616, 0xcd12, 0x6227, 0x30c2, 0x7247, 0x8b2a, 0x934a, 0x934a, 0x934a, 0x9b8c, 0xbcd1, 0xef1b, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0d, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe699, 0x9bcd, 0xbdd7, 0xb5d7, 0x8430, 0x73af, 0x5acb, 0x4a69, 0x39e7, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2965, 0x39c7, 0x52aa, 0x528a, 0x528a, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x4208, 0x630c, 0x4208, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10c0, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x10e0, 0x29a1, 0x2181, 0x10e0, 0x1960, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x21e1, 0x08a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5acb, 0xbdd7, 0xf79d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0x9cd3, 0x4208, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x39c7, 0x5aeb, 0x528a, 0x4208, 0x31a6, 0x1083, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x31a7, 0x39c7, 0x4a49, 0x5acb, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7ae9, 0xe658, 0xf75c, 0xe637, 0xe616, 0xdd93, 0xa3cd, 0x7288, 0x9c0f, 0xb4d1, 0xbcd1, 0xbd12, 0xcd74, 0xd637, 0xef3c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe698, 0x93ac, 0xbdd7, 0xb5b7, 0x8410, 0x738e, 0x5acb, 0x4a69, 0x39e8, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3186, 0x4a6a, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x738e, 0xce38, 0xdedb, 0xce38, 0x9492, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x10e0, 0x21a1, 0x21a1, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x10e0, 0x1940, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x29e1, 0x10e1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x7bcf, 0xdeba, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6fb, 0x6b4d, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2966, 0x3186, 0x18e3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x3186, 0x4208, 0x4a49, 0x5aec, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7ae9, 0xe658, 0xff7d, 0xeeb9, 0xee37, 0xdd93, 0xc48f, 0xbcb1, 0xe699, 0xf75d, 0xf75c, 0xf77d, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x9bcd, 0xbdd7, 0xb5b6, 0x8431, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3186, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x630c, 0xe6fb, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0xbdb6, 0x4a69, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1100, 0x1981, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2161, 0x2161, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x0a20, 0x10e0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e7, 0xa534, 0xef3c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0xb5b6, 0x4228, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x3186, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x31a7, 0x39c7, 0x4a49, 0x52ab, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7b0a, 0xe658, 0xff9d, 0xf6fa, 0xe657, 0xddb5, 0xc4d0, 0xc511, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe678, 0x938c, 0xbdd7, 0xb5b7, 0x8410, 0x738e, 0x5acb, 0x4a69, 0x3a08, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x4a6a, 0x630c, 0x630c, 0x4208, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x83ef, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xd679, 0x6b6d, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1100, 0x21c1, 0x21a1, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x21e1, 0x2984, 0x00e0, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x630c, 0xce38, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0x8c71, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3186, 0x5acb, 0x6b6d, 0x528a, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3186, 0x31e7, 0x4a49, 0x630c, 0x6b6d, 0x8c71, 0xa576, 0xef5c, 0x7ae9, 0xe658, 0xff9d, 0xf6fa, 0xe637, 0xddd5, 0xc4d1, 0xc4f1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x9bcd, 0xbdd7, 0xb596, 0x8c51, 0x6bae, 0x52aa, 0x4a69, 0x39e7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10a3, 0x2104, 0x39c7, 0x4aaa, 0x7b6c, 0x4a28, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x83ef, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6fb, 0xc5f7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x0880, 0x09a0, 0x19c0, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x21e1, 0x21a1, 0x1081, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x8c30, 0xe6fb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x41e7, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4208, 0x738e, 0x52ab, 0x2965, 0x2124, 0x10a3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3166, 0x4249, 0x4a69, 0x52aa, 0x6b6d, 0x8c71, 0xad76, 0xdf1c, 0x7b0a, 0xe658, 0xff9d, 0xf71b, 0xeeb9, 0xe5f5, 0xccf1, 0xc4d1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe678, 0x938c, 0xbdf8, 0xb5b7, 0x7bf0, 0x6b6e, 0x5acb, 0x4a69, 0x39c7, 0x39e8, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1082, 0x20e3, 0x10a2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5aec, 0xdedb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xce58, 0x4a4a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0060, 0x1120, 0x1961, 0x2181, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x21e1, 0x21a1, 0x08a0, 0x0860, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3a09, 0xbdd7, 0xef5c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xa534, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18e3, 0x1082, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2966, 0x31a6, 0x4a49, 0x632c, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7ac9, 0xe658, 0xff9d, 0xf6fa, 0xe657, 0xddd5, 0xccf1, 0xc4f1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe699, 0x9bcd, 0xbdb6, 0xb596, 0x8c51, 0x7bcf, 0x5acb, 0x4a69, 0x49e6, 0x41c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1084, 0x0000, 0x1021, 0x6885, 0x80e6, 0x7044, 0x5844, 0x2822, 0x0861, 0x43cc, 0xc71a, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef1c, 0x8c71, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0040, 0x1920, 0x1961, 0x2a01, 0x1961, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x1961, 0x1961, 0x1961, 0x1961, 0x2181, 0x2161, 0x2181, 0x21c1, 0x21a1, 0x1981, 0x08a0, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x6b4d, 0xe71c, 0xff9e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x5b2c, 0x18c3, 0x0000, 0x0000, 0x0820, 0x2061, 0x0820, 0x2041, 0x1020, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39c7, 0x4a49, 0x4a69, 0x528a, 0x6b6d, 0x8c71, 0xa556, 0xd6fc, 0x7b0a, 0xe658, 0xff9d, 0xff1b, 0xf6d9, 0xe5f5, 0xd511, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x93ad, 0xbdf8, 0xb5d7, 0x7bef, 0x6b6e, 0x5acb, 0x4a69, 0x4208, 0x39c8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0x6b4d, 0x73ae, 0x632d, 0x39e8, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x2861, 0x20c3, 0x2861, 0x1841, 0xa129, 0xf0cc, 0xf0ca, 0xf0cb, 0xf0cb, 0xe8a9, 0xd088, 0x78a4, 0x7a88, 0xde37, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf79d, 0xd699, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0020, 0x1940, 0x1961, 0x2a21, 0x1961, 0x2a21, 0x1961, 0x2181, 0x19c0, 0x0a40, 0x2181, 0x1200, 0x0a00, 0x1961, 0x08c0, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0xa534, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xc6da, 0x2945, 0x0841, 0x0000, 0x2861, 0x2861, 0x2861, 0x3081, 0x4082, 0x3081, 0x3882, 0x3881, 0x3862, 0x2861, 0x2861, 0x1041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x4208, 0x630c, 0x7bf0, 0x8431, 0x18c5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x3186, 0x4229, 0x6b4d, 0x6b6d, 0x8c71, 0xa556, 0xf75c, 0x7ac9, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xcd32, 0xbd12, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbd96, 0xb596, 0x8c71, 0x73af, 0x528b, 0x4a69, 0x39c7, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x630c, 0x8430, 0x4229, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x2882, 0x3081, 0x4882, 0x3081, 0x20e4, 0x3081, 0x48e5, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf069, 0xe807, 0xd003, 0xc824, 0xed14, 0xff9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe6fb, 0x5aec, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1940, 0x0040, 0x1961, 0x1961, 0x1100, 0x1082, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a6, 0xe6fb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xad35, 0x18e3, 0x0000, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3882, 0x1041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0x8430, 0x5acb, 0x31a6, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x3a49, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0x9d56, 0xd6fc, 0x7ac9, 0xdeba, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xd511, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x93ac, 0xbdf8, 0xb5b7, 0x7bef, 0x6b6e, 0x5acb, 0x4a69, 0x3a49, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0862, 0x0000, 0x0000, 0x0000, 0x2061, 0x4082, 0x20c4, 0x3081, 0x20e4, 0x3081, 0x4882, 0x2861, 0x2822, 0xd889, 0xf8cc, 0xf8ca, 0xf8ca, 0xf928, 0xf967, 0xf8ea, 0xf8ca, 0xf048, 0xd027, 0xb802, 0xe36e, 0xff3c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3d, 0x8452, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x6b6d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x736d, 0x0861, 0x0000, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x4882, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x31c7, 0x4a49, 0x6aa9, 0x6b6d, 0x8c71, 0xad76, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xddd5, 0xcd11, 0xcd32, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xbdb6, 0xb596, 0x8c51, 0x83ae, 0x5aaa, 0x4a69, 0x39c7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0841, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x3883, 0x28c3, 0x2882, 0x3081, 0x3081, 0x5064, 0x2861, 0x3081, 0x20c3, 0x2061, 0x1841, 0x9907, 0xb846, 0xc067, 0xd088, 0xe8c9, 0xe8c9, 0xf0ea, 0xf8ca, 0xf048, 0xd047, 0xb802, 0xc968, 0xf639, 0xff9e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xc618, 0x3186, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x18e3, 0xad76, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xc639, 0x31c7, 0x0020, 0x0020, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x0820, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0021, 0x0841, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39c7, 0x31a6, 0x4229, 0x5aec, 0x6b6d, 0x8c71, 0xa4f5, 0xd6fc, 0x7ac9, 0xe678, 0xff9d, 0xff3b, 0xf6da, 0xe637, 0xd573, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x93ad, 0xbdd7, 0xb5d7, 0x7bf0, 0x634d, 0x52ab, 0x4249, 0x49e6, 0x3a07, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x6b6e, 0x738e, 0x52ab, 0x3a08, 0x2104, 0x1062, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0x1821, 0x2061, 0x2881, 0x3081, 0x3061, 0x4082, 0x20c3, 0x2861, 0x0000, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1041, 0x4862, 0x9066, 0xd0a8, 0xe8c9, 0xf0ca, 0xd888, 0xc823, 0xb845, 0xe514, 0xf71c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xdeba, 0x632c, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x4209, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0x94b2, 0x2124, 0x0020, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x0820, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2105, 0x4a26, 0x4a69, 0x7bcf, 0x7bcf, 0x31a7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2966, 0x4228, 0x4a69, 0x52cb, 0x6b6d, 0x8c71, 0xa556, 0xef5c, 0x7ac9, 0xdeba, 0xff9d, 0xff1b, 0xf6d9, 0xe616, 0xd532, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe699, 0x9bcd, 0xbdb6, 0xb596, 0x8431, 0x73af, 0x5acb, 0x4a69, 0x3a08, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x18e4, 0x31a6, 0x430a, 0x7bcd, 0x5269, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x9066, 0xc109, 0x5084, 0x20a3, 0x28a2, 0x4063, 0x2861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1841, 0x6864, 0xb8a7, 0xf0c9, 0xf8ca, 0xd844, 0xb801, 0xd2ac, 0xf6ba, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef9e, 0x94d3, 0x2104, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x8c51, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0xdeba, 0x6b2c, 0x0820, 0x0820, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3881, 0x3882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3881, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a8a, 0x6b8e, 0x52ab, 0x4208, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2966, 0x31a7, 0x4a49, 0x528a, 0x6b6d, 0x8c71, 0xa556, 0xd6fc, 0x7ac8, 0xee78, 0xff9d, 0xf6fa, 0xe657, 0xe637, 0xd573, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x9bad, 0xbdd7, 0xb5b7, 0x7bf0, 0x6b8e, 0x5acb, 0x4a69, 0x39e8, 0x31c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2022, 0xa887, 0xf8cb, 0xf8cc, 0xe0aa, 0x5883, 0x20a2, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1841, 0x9086, 0xd8a8, 0xf0ca, 0xd888, 0xc002, 0xc968, 0xedd7, 0xf75c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xc5f7, 0x528a, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x39c7, 0xbe19, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0xa514, 0x31a6, 0x0820, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x4082, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2986, 0x4208, 0x4a49, 0x630c, 0x6b6d, 0x8c71, 0xad55, 0xd6fc, 0x7ac9, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd532, 0xcd12, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x9bcd, 0xbdb6, 0xb596, 0x8431, 0x73ae, 0x5acb, 0x4a69, 0x39c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c3, 0x18c3, 0x1082, 0x0861, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x9887, 0xf8ac, 0xf8aa, 0xf8ca, 0xf0aa, 0x5863, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5843, 0xc088, 0xf0ca, 0xf028, 0xd023, 0xb802, 0xd491, 0xd699, 0xf7be, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xdeba, 0x736e, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x5acb, 0xef3c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf7be, 0xdefb, 0x8451, 0x18e4, 0x0820, 0x2041, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x10a2, 0x18e3, 0x18e3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x29a6, 0x31c7, 0x4a49, 0x528a, 0x6b6d, 0x8c71, 0x9d15, 0xdf1c, 0x7b0a, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe636, 0xd553, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe699, 0x9bad, 0xbdd7, 0xb5b7, 0x7c10, 0x736d, 0x5aaa, 0x4a69, 0x39e8, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x4a6a, 0x52ab, 0x4229, 0x4208, 0x31a6, 0x2125, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1001, 0x7065, 0xf0ca, 0xf889, 0xf089, 0xf8cb, 0xb087, 0x2021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4022, 0xb887, 0xf0ca, 0xf8ca, 0xd887, 0xc803, 0x7208, 0xa596, 0xef9d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xa514, 0x39e8, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x9cd3, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xf77d, 0xbe17, 0x530c, 0x0820, 0x1020, 0x2041, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x2061, 0x2061, 0x2061, 0x2061, 0x3061, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x2061, 0x2061, 0x2061, 0x2061, 0x2061, 0x3061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2125, 0x2965, 0x4208, 0x4a69, 0x630c, 0x5acb, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2966, 0x4208, 0x4a49, 0x62ca, 0x6b6d, 0x8c71, 0x9d35, 0xef5c, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xddf6, 0xcd12, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd550, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x9bcd, 0xbdb6, 0xb596, 0x8410, 0x6b8e, 0x52cb, 0x4a69, 0x39e8, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x10a3, 0x2125, 0x39c7, 0x4228, 0x528a, 0x4a49, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3822, 0xc8a9, 0xf0cb, 0xf0ea, 0xf8eb, 0xc0a8, 0x3022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3822, 0xc8a8, 0xf8ca, 0xf8ca, 0xe807, 0xb843, 0x2904, 0x8cf3, 0xdeba, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xc618, 0x632d, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1041, 0x5103, 0x3082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4a49, 0xc5f7, 0xff9e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef5c, 0x94b2, 0x39e7, 0x0820, 0x2041, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x2041, 0x1841, 0x3061, 0x4061, 0x4061, 0x4061, 0x20a1, 0x1041, 0x2061, 0x28c1, 0x2041, 0x2041, 0x2061, 0x2881, 0x3861, 0x4061, 0x3861, 0x2880, 0x2061, 0x2041, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x4a49, 0x5acb, 0x4a49, 0x3186, 0x3186, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2966, 0x39c7, 0x4a49, 0x528a, 0x6b6d, 0x8c71, 0xa535, 0xd6fc, 0x7ae9, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe636, 0xd553, 0xcd12, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb40e, 0xd550, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe699, 0x9bcd, 0xb5d7, 0xad96, 0x8410, 0x6b6d, 0x52aa, 0x4a69, 0x3a08, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1841, 0x88a6, 0xf8cb, 0xe8c9, 0xf0ca, 0xd0c8, 0x4042, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18a2, 0x39a6, 0x5acb, 0x736d, 0x39a7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x4843, 0xe8a9, 0xf8ca, 0xf048, 0xe8a9, 0x7023, 0x10a2, 0x5b0c, 0xbdd7, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0x8410, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x28a2, 0xd269, 0x88a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x7bef, 0xdeda, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xd679, 0x73ae, 0x0882, 0x0820, 0x2041, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x1841, 0x4881, 0x8922, 0xb982, 0xc982, 0xc982, 0xc982, 0xa1e2, 0x8121, 0x3881, 0x10c0, 0x1020, 0x48a1, 0x8141, 0xb1c2, 0xc182, 0xc982, 0xc182, 0xa9a2, 0x7921, 0x38a1, 0x1861, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3861, 0x1041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2986, 0x39e8, 0x4a49, 0x52ab, 0x6b6d, 0x8c71, 0xa515, 0xd6fc, 0x7ae9, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd532, 0xcd12, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb40e, 0xd552, 0xe637, 0xf6b9, 0xff3b, 0xff7d, 0xe6b9, 0x9bcd, 0xb5b6, 0xadb6, 0x8430, 0x6b6d, 0x52aa, 0x4249, 0x41c6, 0x39a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2104, 0x10c3, 0x1082, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x5884, 0xd90a, 0xf8aa, 0xf8aa, 0xe8ca, 0x7064, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x2966, 0x528a, 0x738e, 0x83ef, 0x9c91, 0xc5d6, 0xe6fb, 0xffbe, 0x8430, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6844, 0xf8ca, 0xf8ea, 0xf8aa, 0xd048, 0x4022, 0x0841, 0x39c7, 0xa514, 0xef7d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xa4f3, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xe227, 0x8882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x9492, 0xef5c, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xff9d, 0xa534, 0x4a69, 0x0000, 0x0000, 0x1020, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x28a1, 0x7921, 0xd1a2, 0xfa22, 0xfa22, 0xfa22, 0xe9c2, 0xf9e2, 0xfa22, 0xf222, 0xb982, 0x60a1, 0x70e1, 0xd1c2, 0xfa22, 0xfa22, 0xf202, 0xf202, 0xfa22, 0xfa22, 0xfa02, 0xb9a2, 0x4901, 0x2061, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08a2, 0x2104, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2986, 0x39c6, 0x4a49, 0x52ab, 0x6b6d, 0x8c50, 0xa576, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd552, 0xcd12, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xeeb9, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xbdb6, 0xb5b7, 0x8410, 0x73ae, 0x5acb, 0x4249, 0x41e7, 0x39a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2966, 0x5acb, 0x4a8a, 0x52aa, 0x5a8a, 0x528a, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2021, 0xa087, 0xf8cb, 0xf8aa, 0xf8ca, 0x9886, 0x2021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x5acb, 0x9471, 0x9cd3, 0xb596, 0xd69a, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x8410, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xc888, 0xf8eb, 0xf069, 0xf0ca, 0xa086, 0x0000, 0x0000, 0x1924, 0x7bef, 0xd659, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x39e8, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda27, 0x8082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5aeb, 0xdeda, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x6b4d, 0x2145, 0x0000, 0x0000, 0x0820, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x1841, 0x8961, 0xea22, 0xfa22, 0xc9a2, 0x7901, 0x7101, 0x58a1, 0x68c1, 0x9142, 0xe1c2, 0xfa22, 0xe1c2, 0xe1c2, 0xf202, 0xc982, 0x8922, 0x68c1, 0x60c1, 0x7101, 0x8981, 0xd9e2, 0xf9e4, 0xc9e2, 0x58e1, 0x1841, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3861, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x4a49, 0x528a, 0x528a, 0x428a, 0x5acb, 0x39e7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2966, 0x41e7, 0x4a49, 0x52aa, 0x6b6d, 0x8c50, 0xa576, 0xd6fc, 0x7ac9, 0xde99, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd552, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe699, 0x9bcd, 0xbdd7, 0xb596, 0x7c10, 0x738e, 0x5acb, 0x4a69, 0x39e7, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x18c3, 0x3186, 0x3186, 0x39c7, 0x39e8, 0x4a6a, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4042, 0xd8a9, 0xf909, 0xf928, 0xe8ca, 0x5844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xd679, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7bcf, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4843, 0xf8ea, 0xf906, 0xf8eb, 0xc8a8, 0x3022, 0x0000, 0x0000, 0x10a3, 0x528a, 0xbdd7, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x39c7, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xe227, 0x80a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6b4d, 0xe71b, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xc5f7, 0x736d, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x0820, 0x60c1, 0xe1e2, 0xfa22, 0xb162, 0x48a1, 0x0820, 0x1841, 0x18e0, 0x0000, 0x1841, 0x68c1, 0xc1a2, 0xfa22, 0xf202, 0xa942, 0x4881, 0x2041, 0x1020, 0x1020, 0x0820, 0x1860, 0x60e1, 0xd9a3, 0xfa22, 0xd1c4, 0x2061, 0x1041, 0x3061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x4a69, 0x4208, 0x39e8, 0x3186, 0x3186, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x29a7, 0x31a7, 0x4a49, 0x52ab, 0x6b6d, 0x8c71, 0x9d35, 0xe73c, 0x7ac9, 0xe699, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd532, 0xcd12, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe699, 0x9bac, 0xb595, 0xad96, 0x8410, 0x734d, 0x5aaa, 0x4249, 0x31a7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x58a5, 0xf8cb, 0xf8e9, 0xf909, 0x9886, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7bcf, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xc129, 0xf92a, 0xf8ca, 0xe0a9, 0x7844, 0x0000, 0x0000, 0x0000, 0x0021, 0x31a7, 0x9471, 0xe6fb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7bef, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x8103, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x8410, 0xf77d, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x9cd3, 0x39e7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x20a0, 0xb1a1, 0xfa22, 0xc1a2, 0x3881, 0x2041, 0x2041, 0x3061, 0x28e1, 0x2041, 0x1841, 0x0820, 0x4081, 0x7922, 0x68e1, 0x2841, 0x0860, 0x20c1, 0x2861, 0x2861, 0x2861, 0x2041, 0x1841, 0x6901, 0xe1a2, 0xfa23, 0x70e1, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3061, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x31a6, 0x4208, 0x4a49, 0x528a, 0x6b6d, 0x8c71, 0x94d3, 0xdf1c, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xd511, 0xcd32, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe699, 0x9bac, 0xb5b7, 0xadb7, 0x8411, 0x736e, 0x52aa, 0x4a49, 0x4228, 0x31c7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x98a7, 0xf8ca, 0xf8ca, 0xf8ca, 0x7865, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xe77e, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe75d, 0xb5d7, 0x94b2, 0xd699, 0x8c30, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x70a5, 0xf8cb, 0xf049, 0xf8ca, 0xb087, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x6b4d, 0xd679, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe71c, 0xb575, 0x2104, 0x0000, 0x0000, 0x0000, 0x3081, 0xea05, 0x78e2, 0x0000, 0x0000, 0x0000, 0x2965, 0x8c51, 0xdedb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xe71c, 0x630c, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x60e1, 0xe1e2, 0xf9e2, 0x60c1, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x2061, 0x2061, 0x2101, 0x1041, 0x2861, 0x3081, 0x28a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x1861, 0xa921, 0xf202, 0xe1e2, 0x1840, 0x2861, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3166, 0x31a7, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0xa535, 0xd6fc, 0x7ac9, 0xdeba, 0xff9d, 0xff3b, 0xf6da, 0xddf5, 0xcd11, 0xcd32, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x9bac, 0xb595, 0xa596, 0x8411, 0x738f, 0x5acb, 0x4249, 0x39e7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4a69, 0x6b4d, 0x5aec, 0x528a, 0x5aec, 0x5acb, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3022, 0xd088, 0xf8ca, 0xf8ca, 0xd0a8, 0x5043, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xf79e, 0xffbe, 0xf79d, 0xbe79, 0x9cd3, 0x630c, 0x4208, 0x39e7, 0x2145, 0x18e3, 0xa534, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2021, 0xf8ca, 0xf8ca, 0xf8eb, 0xc8a8, 0x2041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x3186, 0x6b2c, 0x7bcf, 0x4a49, 0x4208, 0xc699, 0xffbe, 0xce38, 0x4a69, 0x0000, 0x0000, 0x3061, 0xd9a4, 0x58a1, 0x0000, 0x0000, 0x4228, 0xbdd7, 0xef5c, 0xc5f7, 0x62eb, 0x4208, 0x6b6e, 0x6b4d, 0x39e7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x80e1, 0xf9e2, 0xd182, 0x3861, 0x1841, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x28a1, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1020, 0x70c1, 0xe1e2, 0xf9c2, 0x2040, 0x0820, 0x2941, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x4a49, 0x632d, 0x52aa, 0x6b4d, 0x6b4d, 0x630c, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x31a7, 0x39c8, 0x4a49, 0x630c, 0x6b6d, 0x7c31, 0xad76, 0xd6fc, 0x7ac9, 0xe699, 0xff9d, 0xff3b, 0xf6da, 0xe636, 0xd573, 0xcd32, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x9bac, 0xbdd7, 0xadb7, 0x7bf0, 0x6b6e, 0x5acb, 0x4a69, 0x49e6, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x18c4, 0x2125, 0x18c3, 0x18e4, 0x31a5, 0x2985, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3842, 0xf0ca, 0xf8ca, 0xf8ca, 0xc087, 0x3822, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xf77d, 0x94f4, 0x3186, 0x2124, 0x18c3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x9cd3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0xf8ca, 0xf8ca, 0xf8eb, 0xd0a8, 0x4843, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1082, 0x0020, 0x0000, 0x2124, 0x8c93, 0xffbe, 0xdedb, 0xa4f3, 0x0041, 0x39c7, 0xe9c5, 0x81a6, 0x18e5, 0x6b8e, 0xdeda, 0xff9e, 0x9d34, 0x2986, 0x0841, 0x0000, 0x0862, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x9121, 0xfa22, 0xb162, 0x2861, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3881, 0x3081, 0x3081, 0x3081, 0x1020, 0x5121, 0xda02, 0xf9a2, 0x4144, 0x0020, 0x38a2, 0x3081, 0x4082, 0x3081, 0x3081, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3186, 0x2104, 0x39c7, 0x18e3, 0x18e3, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x3186, 0x3186, 0x4229, 0x528a, 0x6b6d, 0x8c51, 0xad15, 0xd6fc, 0x7ac8, 0xe678, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd532, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe699, 0x9bac, 0xbd95, 0xb596, 0x8410, 0x6b6e, 0x52ab, 0x4249, 0x39e8, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0020, 0x0840, 0x0041, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4042, 0xf8ca, 0xf8ca, 0xf8ea, 0x9086, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef3c, 0x630c, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9cd3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xc087, 0xf8e9, 0xf967, 0xe0aa, 0x6043, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10c3, 0x52aa, 0xffbe, 0xf77d, 0xce59, 0xddd6, 0xf1e4, 0xd3ae, 0xd699, 0xe71b, 0xe6db, 0x7bef, 0x18e3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x0820, 0x9143, 0xfa43, 0xa962, 0x2860, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1020, 0x6924, 0xe203, 0xfa02, 0x48c2, 0x0020, 0x4062, 0x3081, 0x3081, 0x3081, 0x3081, 0x3862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x39c7, 0x3206, 0x4249, 0x4a69, 0x6b4d, 0x8c71, 0x9492, 0xd6fc, 0x7b0a, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xd511, 0xcd12, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd54e, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bed, 0xb5b6, 0xa596, 0x7bf0, 0x734c, 0x5aaa, 0x4a69, 0x3a08, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4042, 0xf8ca, 0xf8ca, 0xf8ca, 0x9086, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x6b6e, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9cd3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xa066, 0xf8ca, 0xf8e9, 0xe0a9, 0x7044, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2965, 0xdf5d, 0xff1b, 0xe9e4, 0xc021, 0xd965, 0xfd94, 0xce59, 0x528a, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3881, 0x30e1, 0x10c0, 0x88e1, 0xfa02, 0xd183, 0x3861, 0x2061, 0x3081, 0x3081, 0x4082, 0x2961, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x38e1, 0x2901, 0x3081, 0x3081, 0x3081, 0x3081, 0x1020, 0x78e2, 0xe9e2, 0xfa22, 0x2860, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2965, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0xad55, 0xd6fc, 0x7ac9, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xd553, 0xcd32, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xb576, 0xb596, 0x8410, 0x6b6e, 0x52ab, 0x4a69, 0x39c7, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x41e8, 0xd69a, 0xef3c, 0xef3c, 0xef3c, 0xef3c, 0xef3c, 0x4a49, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 0x50c5, 0xf8ca, 0xf8ca, 0xf8ea, 0x8866, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x738e, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9cd3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x9866, 0xf8ca, 0xf8ca, 0xe8a9, 0x9065, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0xa576, 0xdd95, 0x7861, 0x0800, 0x4840, 0xfaea, 0xa4f3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x60a1, 0xe1c2, 0xfa22, 0x50a1, 0x0020, 0x2141, 0x30a1, 0x3081, 0x3081, 0x4882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1020, 0x4101, 0xd182, 0xb942, 0x1820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0xce59, 0xef3c, 0xef3c, 0xef3c, 0xef3c, 0xe6fb, 0x39e8, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4229, 0x4a69, 0x6aa9, 0x6b6d, 0x7c31, 0xad76, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xd531, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe657, 0xff3b, 0xff3b, 0xffbe, 0xe699, 0x93ac, 0xbdd7, 0xb596, 0x7bef, 0x634d, 0x52ab, 0x5247, 0x4207, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2145, 0xad76, 0xef3c, 0xd69a, 0xd69a, 0xef3c, 0xb5b6, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x60a4, 0xf8aa, 0xf048, 0xf8ca, 0x8865, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x738e, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9cd3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x9866, 0xf8ca, 0xf8eb, 0xe0a9, 0x7844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x9e99, 0xf637, 0x9000, 0x0000, 0x4060, 0xfb8b, 0xa555, 0x08c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x28c1, 0xb9e2, 0xfa22, 0x91c1, 0x1860, 0x3862, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3882, 0x3081, 0x3081, 0x3081, 0x3081, 0x0820, 0x0000, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0xb639, 0xd69a, 0xd69a, 0xd69a, 0xd69a, 0xc67a, 0x2945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x2966, 0x4229, 0x5acc, 0x6b6d, 0x8c71, 0xa4f5, 0xd6fc, 0x7ac9, 0xdeba, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xcd32, 0xbd13, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bed, 0xadd7, 0xa596, 0x8431, 0x73af, 0x5acb, 0x4249, 0x39e8, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4043, 0xf8cc, 0xf948, 0xf947, 0x8886, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x738e, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xa4f3, 0x8c71, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xb887, 0xf8ca, 0xf8ea, 0xe0a9, 0x7844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x21a6, 0xf71b, 0xfb8c, 0xf8e1, 0xfb4a, 0xef7d, 0x7c51, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x9101, 0xfa05, 0xf9c3, 0x4081, 0x0000, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2941, 0x30a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39c7, 0x31a6, 0x4229, 0x4a69, 0x6b4d, 0x7c31, 0x94b2, 0xf75c, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe637, 0xd573, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xb576, 0xb596, 0x7bf0, 0x6b2d, 0x52ab, 0x4a49, 0x39e8, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0841, 0x0841, 0x0861, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4042, 0xf8ca, 0xf8ca, 0xf8cb, 0xa8a8, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x738e, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0861, 0x18c3, 0x2946, 0xb576, 0x8c51, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0xc087, 0xf0ea, 0xe0a9, 0xd8a9, 0x6044, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x5b71, 0xe5d6, 0xf2a8, 0xd553, 0x8472, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3881, 0x3882, 0x3081, 0x3081, 0x3081, 0x1841, 0x3881, 0xc9a2, 0xfa22, 0xb9a4, 0x2041, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x40a2, 0x2921, 0x3081, 0x3881, 0x3882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0861, 0x0841, 0x0841, 0x0841, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2965, 0x3208, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0x9d56, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xff3b, 0xf6d9, 0xe616, 0xd532, 0xcd11, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe699, 0x9bcd, 0xbdb6, 0xb596, 0x8410, 0x738e, 0x5acb, 0x4209, 0x31a7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18e3, 0x39c7, 0x31a7, 0x4208, 0x4a6a, 0x5247, 0x18c2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3842, 0xf0a9, 0xf8ca, 0xf8ca, 0xc088, 0x3822, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0xef5c, 0x738e, 0x0000, 0x0000, 0x0000, 0x0841, 0x2124, 0x6b6d, 0xbdb6, 0xef5c, 0xffbe, 0x7bcf, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0xf8ca, 0xf8ca, 0xf8eb, 0xd8c9, 0x4843, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe206, 0x7104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1861, 0x0020, 0x9901, 0xf1e2, 0xf9c2, 0x4881, 0x0020, 0x3862, 0x3061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4208, 0x4a69, 0x39c7, 0x31a7, 0x31a7, 0x31a6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39a4, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0x9d14, 0xd6fc, 0x7ac9, 0xe678, 0xffbe, 0xf75c, 0xe657, 0xe637, 0xd573, 0xc4f1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe699, 0x93ad, 0xbdd7, 0xb596, 0x7bf0, 0x630c, 0x4a6a, 0x4a69, 0x4208, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x528a, 0x632d, 0x5acb, 0x4a69, 0x4229, 0x4208, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3022, 0xc887, 0xf8ca, 0xf8ca, 0xd8a9, 0x6044, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18e3, 0x31a6, 0xef5c, 0x634d, 0x0000, 0x0000, 0x0000, 0x31a6, 0xb596, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x7bcf, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2021, 0xf8ca, 0xf8ea, 0xf8ca, 0xc0a8, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe1e5, 0x7061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3101, 0x10a0, 0x2841, 0xb182, 0xfa22, 0xfa45, 0x4081, 0x0000, 0x2061, 0x28a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x2881, 0x3081, 0x4882, 0x50a2, 0x4882, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a49, 0x4208, 0x5acb, 0x5acb, 0x5acb, 0x5aec, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08e3, 0x2965, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0xa4d4, 0xd6fc, 0x7ac9, 0xdeba, 0xff9d, 0xff3b, 0xf6da, 0xe616, 0xcd11, 0xc512, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe699, 0x9bcd, 0xb5b6, 0xa596, 0x8431, 0x73ae, 0x5acb, 0x4a69, 0x39c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x9086, 0xf8eb, 0xf8ea, 0xf8ca, 0x8065, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e7, 0x7bcf, 0xad35, 0xdedb, 0xef3c, 0x5acb, 0x0000, 0x0000, 0x0000, 0x62eb, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0x738e, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9066, 0xf8eb, 0xf0a9, 0xf8ea, 0xb087, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea05, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1020, 0x4881, 0xc9a2, 0xfa22, 0xe1a2, 0x48a2, 0x0020, 0x1920, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1861, 0x2080, 0x6901, 0x9102, 0x7941, 0x48c2, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3061, 0x2041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4208, 0x4a49, 0x4a69, 0x6b4d, 0x8451, 0x9cd3, 0xd6fc, 0x7ac9, 0xe699, 0xff9d, 0xf71b, 0xeeb9, 0xe616, 0xd553, 0xc4f1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe699, 0x9bcd, 0xb5d7, 0xad96, 0x7bf0, 0x6b2c, 0x5a8a, 0x4a69, 0x39c7, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1082, 0x10a2, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x6084, 0xf8ca, 0xf8ea, 0xf8ca, 0xb0a7, 0x3042, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0xf75d, 0xffbe, 0xffbe, 0xffbe, 0xef3c, 0x5acb, 0x0000, 0x0000, 0x0000, 0x5269, 0xe6fb, 0xffbe, 0xffbe, 0xffbe, 0xe6fb, 0x5269, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0xe0a9, 0xf8ea, 0xf069, 0xe0c9, 0x7844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x80e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2041, 0x0820, 0x58a1, 0xc9a2, 0xfa22, 0xfa45, 0x58a1, 0x1020, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x18a1, 0x28c1, 0x88a2, 0xe122, 0xd922, 0x78c1, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x18c3, 0x0020, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1062, 0x3166, 0x3186, 0x4229, 0x5a8a, 0x6b6d, 0x7c31, 0xa535, 0xd6fc, 0x7ac9, 0xdeba, 0xff9d, 0xf71b, 0xee78, 0xe5f5, 0xccf1, 0xc4d1, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb5b6, 0xad96, 0x8410, 0x6b6e, 0x52cb, 0x4a69, 0x39c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x31a6, 0x31a6, 0x39e8, 0x4229, 0x528a, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4042, 0xd8a9, 0xf8ca, 0xf8aa, 0xe8aa, 0x7065, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xc618, 0xffbe, 0xffbe, 0xffbe, 0xffbe, 0xef1c, 0x4229, 0x0000, 0x0000, 0x0000, 0x18e3, 0x738e, 0xc618, 0xce79, 0xb596, 0x6b2c, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6884, 0xf8ca, 0xf8aa, 0xf8eb, 0xc8c8, 0x2041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x80c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0x3882, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x2881, 0x0820, 0x50a1, 0xc1a2, 0xfa22, 0xf9c2, 0x7923, 0x20a1, 0x2041, 0x2061, 0x3081, 0x2861, 0x2041, 0x2061, 0x38c1, 0xa142, 0xfa04, 0xe1a3, 0xa0e1, 0x3860, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2966, 0x528a, 0x3186, 0x4228, 0x31a6, 0x31a6, 0x2945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x31a7, 0x31c7, 0x4a49, 0x62ca, 0x6b6d, 0x8431, 0x9cf3, 0xd6fc, 0x7ac8, 0xe678, 0xffbe, 0xff5c, 0xee99, 0xe5f5, 0xccf1, 0xc4f1, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xbd95, 0xad96, 0x7bef, 0x6b6e, 0x5acb, 0x4a49, 0x31a7, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x630c, 0x5acb, 0x4a6a, 0x4228, 0x4228, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x8886, 0xf8ca, 0xe8a8, 0xf0ea, 0xb0a8, 0x3842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xad75, 0xff9e, 0xffbe, 0xffbe, 0xffbe, 0xd679, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4208, 0x52ab, 0x2125, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0xe0a9, 0xf8eb, 0xf069, 0xf0ea, 0x9886, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2881, 0xe206, 0x8041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3882, 0x3081, 0x3081, 0x3881, 0x3881, 0x3081, 0x3081, 0x3081, 0x38e1, 0x2061, 0x1041, 0x50a1, 0xb9e2, 0xfa22, 0xfa45, 0x99c1, 0x4081, 0x0020, 0x2041, 0x1841, 0x1041, 0x58e2, 0xc1c2, 0xfa22, 0xe1c2, 0x88e1, 0x30c1, 0x20a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3061, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x4208, 0x4228, 0x4228, 0x5acb, 0x5acb, 0x4208, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x3a28, 0x4a69, 0x4a69, 0x6b4d, 0x7c10, 0xa534, 0xd6fc, 0x7ac9, 0xe699, 0xff9d, 0xf6fa, 0xee78, 0xddf5, 0xc4d0, 0xc512, 0xef1b, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe699, 0x9bcd, 0xb5b6, 0xad96, 0x7bf0, 0x6b4d, 0x52aa, 0x4249, 0x39c7, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4843, 0xe0ca, 0xe909, 0xe8e8, 0xf8ca, 0x8865, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a7, 0xb596, 0xef3c, 0xdeba, 0xb596, 0x6b2d, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x9085, 0xf8ca, 0xe128, 0xf8eb, 0xd8c9, 0x3822, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda47, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x3081, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x38e1, 0x9962, 0xf9e2, 0xfa22, 0xd1a2, 0x68c2, 0x28c1, 0x38e2, 0x8942, 0xd9c3, 0xf9e2, 0xd9a2, 0x7901, 0x3061, 0x1841, 0x2861, 0x3081, 0x3081, 0x3881, 0x30e1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2945, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x8451, 0x9cf4, 0xd6fc, 0x7ac9, 0xe6b9, 0xff9d, 0xff3b, 0xf6da, 0xe5f5, 0xc4b0, 0xcd33, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe699, 0x9bad, 0xb596, 0xad96, 0x7c10, 0x6b4d, 0x52aa, 0x4248, 0x3a08, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18c3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x8866, 0xf8cb, 0xf8ca, 0xf8ca, 0xd0a9, 0x5864, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a6, 0x6b4d, 0x5aab, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x6044, 0xf8ca, 0xf8ca, 0xe107, 0xf0ca, 0x9066, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda27, 0x8061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x4082, 0x3081, 0x3081, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x1841, 0x1841, 0x78c1, 0xd1a2, 0xfa22, 0xf1e3, 0xb1e2, 0xc1c3, 0xfa22, 0xf202, 0xb142, 0x5081, 0x2041, 0x2061, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x28e1, 0x3081, 0x3882, 0x3081, 0x3081, 0x3882, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x18c3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x31a6, 0x3186, 0x4229, 0x4a69, 0x6b4d, 0x8451, 0xa514, 0xd6fc, 0x7ac8, 0xe678, 0xff9d, 0xff3b, 0xf6da, 0xddd4, 0xccf0, 0xd5b5, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42b, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xb596, 0xad96, 0x7bef, 0x6b6e, 0x5acb, 0x4228, 0x39e7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2945, 0x39e8, 0x39e8, 0x4a49, 0x5aeb, 0x4a49, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3842, 0xc0a7, 0xf8ea, 0xf8ca, 0xf8ca, 0xc8a8, 0x4862, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5843, 0xe0a9, 0xf8ca, 0xf8ca, 0xf8ea, 0xc888, 0x2822, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xe227, 0x80a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x18e0, 0x0000, 0x5081, 0xa142, 0xe1c2, 0xfa22, 0xf9e2, 0xd9c2, 0x8161, 0x3061, 0x0860, 0x20a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3081, 0x3882, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x528a, 0x52aa, 0x4229, 0x5248, 0x39e8, 0x39e8, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x8411, 0xa514, 0xd6fc, 0x7ac9, 0xde99, 0xff9d, 0xf6fa, 0xee78, 0xddd4, 0xd572, 0xde16, 0xef1b, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44c, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb596, 0xad96, 0x7bef, 0x6b4d, 0x5aab, 0x4a49, 0x39c7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x4208, 0x528a, 0x39c7, 0x3186, 0x31a6, 0x2124, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x6063, 0xd8a9, 0xf8ea, 0xf089, 0xf8aa, 0xc0c8, 0x5063, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5843, 0xc8a8, 0xf8ea, 0xf8ca, 0xf8ea, 0xf0ca, 0x4023, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x8103, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1841, 0x3882, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x28e1, 0x38a1, 0x3081, 0x3081, 0x3081, 0x28e1, 0x2841, 0x2041, 0x2041, 0x50a1, 0x8922, 0x8102, 0x48a1, 0x2081, 0x2041, 0x2881, 0x30a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3881, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x2965, 0x2966, 0x41e8, 0x4229, 0x5acb, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x8c31, 0x9cf3, 0xd6fc, 0x7ac9, 0xe699, 0xff9d, 0xf71a, 0xee99, 0xddb4, 0xddb4, 0xeeda, 0xf75d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xb576, 0xad96, 0x7bef, 0x632d, 0x52ab, 0x4a69, 0x39e8, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10a2, 0x10a2, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0x8045, 0xe8c9, 0xf8ca, 0xf8ea, 0xf8ca, 0xd0a8, 0x6844, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7044, 0xd0aa, 0xf0ca, 0xf967, 0xf8ca, 0xf8ca, 0x7884, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea05, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2041, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x30a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3061, 0x2061, 0x1900, 0x1821, 0x1841, 0x2061, 0x2861, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x30e1, 0x28a1, 0x3081, 0x3882, 0x3081, 0x3081, 0x3081, 0x3881, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1082, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x3965, 0x3186, 0x4229, 0x52ca, 0x6b6d, 0x8c71, 0x9cd4, 0xd6fc, 0x7ac8, 0xe678, 0xff9d, 0xf6fa, 0xee78, 0xddd5, 0xddb4, 0xe678, 0xef3c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb596, 0xad96, 0x8410, 0x6b4e, 0x52ab, 0x4208, 0x41c6, 0x39a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2021, 0x9866, 0xf0ca, 0xf948, 0xe8e8, 0xf0a9, 0xd8aa, 0x9845, 0x3041, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3022, 0x9066, 0xe0c9, 0xf8cb, 0xf8ca, 0xf908, 0xf8cc, 0x8866, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda27, 0x8041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x28c1, 0x2081, 0x20e1, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x30a1, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x1040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x3186, 0x31e8, 0x4a49, 0x4a8a, 0x6b6d, 0x646f, 0xa4f5, 0xcebb, 0x7b0a, 0xe658, 0xffbe, 0xff5c, 0xeeb9, 0xddd5, 0xcd32, 0xcd53, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xb576, 0xad96, 0x7bf0, 0x734d, 0x5aaa, 0x4a49, 0x41e8, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x39c7, 0x528a, 0x630c, 0x738e, 0x39e8, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2021, 0x9066, 0xf0ea, 0xf0ca, 0xf0ca, 0xf8eb, 0xf0cb, 0xc8a8, 0x8865, 0x2061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3022, 0x9066, 0xc8a8, 0xf0c9, 0xf8eb, 0xf8ca, 0xf8ca, 0xf8cc, 0x7085, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe227, 0x80e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2041, 0x3881, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x38a2, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3881, 0x1020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x4229, 0x6b2c, 0x6b4d, 0x52aa, 0x39e7, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2986, 0x31a6, 0x4249, 0x6289, 0x6b6d, 0x7c71, 0xa4f5, 0xcedc, 0x7ac9, 0xe658, 0xff9d, 0xf71b, 0xee58, 0xd594, 0xabec, 0xac2e, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xb596, 0xa596, 0x7bef, 0x634d, 0x52aa, 0x4249, 0x31c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x5aeb, 0x5acb, 0x3186, 0x18c3, 0x18e3, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x7065, 0xd8a9, 0xf8ea, 0xf069, 0xf8cb, 0xf8eb, 0xe8a9, 0xd0c8, 0xc8a8, 0x7064, 0x3061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1020, 0x4062, 0x8044, 0xb887, 0xd8aa, 0xf0ca, 0xf8ea, 0xf049, 0xf8ca, 0xf8eb, 0xf8ca, 0x6084, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2041, 0x3882, 0x3881, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x3881, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x1020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x18c3, 0x18e3, 0x31a7, 0x4a49, 0x7bcf, 0x2125, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3166, 0x39c7, 0x4a49, 0x5269, 0x6b6d, 0x83f1, 0xad34, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xf6fa, 0xe637, 0xcd53, 0xa38b, 0xc4f1, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xb576, 0xb596, 0x7bef, 0x634d, 0x52ab, 0x4a69, 0x31c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1082, 0x0861, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x4062, 0xd0e9, 0xf8ea, 0xf8eb, 0xf028, 0xf8aa, 0xf8ca, 0xf8ca, 0xe8a9, 0xe0cb, 0xd8a9, 0xd8a9, 0xd8a9, 0xd8a9, 0xd8a9, 0xd8ca, 0xe0ca, 0xf0ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf967, 0xf909, 0xf8eb, 0xc0a8, 0x3022, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea05, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0820, 0x2061, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3881, 0x4082, 0x1841, 0x0820, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0861, 0x10a2, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2966, 0x3186, 0x4229, 0x4a69, 0x6b4d, 0x8bae, 0xa556, 0xce9b, 0x7ac9, 0xdeba, 0xff9d, 0xff1b, 0xf6d9, 0xd574, 0xb42e, 0xc4f1, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcd, 0xad95, 0xa596, 0x8410, 0x6b4e, 0x52ab, 0x4a69, 0x39c7, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0821, 0x7064, 0xe8ea, 0xf8eb, 0xf8eb, 0xf8eb, 0xf8ca, 0xf8ca, 0xf8eb, 0xf8ca, 0xf8eb, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ca, 0xf8ea, 0xf8ea, 0xf069, 0xf8aa, 0xf8ec, 0xe0a9, 0x6884, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe1c5, 0x6841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2061, 0x3081, 0x4082, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3081, 0x3882, 0x3881, 0x3081, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x4228, 0x4a69, 0x4a69, 0x6b4d, 0x7c31, 0x9d15, 0xd6fc, 0x7ac9, 0xee98, 0xff9d, 0xf6fa, 0xe657, 0xddd5, 0xcd32, 0xcd53, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xdd4d, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bac, 0xbd74, 0xb596, 0x7bef, 0x5aeb, 0x4a69, 0x4a69, 0x39c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x630c, 0x8410, 0x8c71, 0x4229, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7865, 0xf0c9, 0xf8ca, 0xf90b, 0xf90b, 0xf8ea, 0xf028, 0xf8ca, 0xf908, 0xf986, 0xf8a9, 0xf069, 0xf8ea, 0xf8ea, 0xf90b, 0xf90b, 0xe0a9, 0x7084, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a4, 0x3081, 0xea26, 0x8185, 0x1965, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2861, 0x3081, 0x4882, 0x3081, 0x4882, 0x3081, 0x3081, 0x3081, 0x3081, 0x3881, 0x4082, 0x3081, 0x3881, 0x3882, 0x3882, 0x3882, 0x3081, 0x1041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0x8430, 0x7c31, 0x7b4c, 0x39a6, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x7c31, 0xad76, 0xce9b, 0x7ac8, 0xe658, 0xff9d, 0xf6fa, 0xe637, 0xe5f5, 0xdd73, 0xcd53, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bee, 0xa5b7, 0xa596, 0x8411, 0x73af, 0x5acb, 0x39c7, 0x4208, 0x39c7, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x7bef, 0x7bcf, 0x4229, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0x9065, 0xc867, 0xf90b, 0xf90b, 0xf8eb, 0xf8ca, 0xf8ca, 0xf8ca, 0xf90b, 0xf089, 0xc847, 0x88a4, 0x2861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x10a4, 0x0020, 0x1145, 0x4165, 0xe9a5, 0x8166, 0x1989, 0x3a08, 0x39e8, 0x2168, 0x0909, 0x2188, 0x2126, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2861, 0x3081, 0x3081, 0x4082, 0x3081, 0x4082, 0x3081, 0x3881, 0x4082, 0x3081, 0x3081, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1940, 0x4248, 0x6b4d, 0x8c51, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2966, 0x4a49, 0x4a69, 0x4a69, 0x6b4d, 0x8c2f, 0x9cf4, 0xce9b, 0x7b0a, 0xe658, 0xff9d, 0xff3b, 0xf6da, 0xe637, 0xe5f5, 0xdd94, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe657, 0xf71b, 0xff3b, 0xffbe, 0xe699, 0x9b8b, 0xbd74, 0xb596, 0x7bef, 0x5aec, 0x4a69, 0x4a69, 0x39c7, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2861, 0x2861, 0x3862, 0x4063, 0x20a3, 0x1841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a4, 0x0021, 0x0020, 0x0000, 0x20e4, 0x1165, 0x1145, 0x40e5, 0xe1a5, 0x7967, 0x29ea, 0x632e, 0x6b8e, 0x5aec, 0x4aad, 0x4acd, 0x42af, 0x19cc, 0x08a4, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x2061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x3186, 0x4229, 0x4a69, 0x6b4d, 0x8c51, 0x9d15, 0xd6fc, 0x7ac8, 0xe658, 0xff9d, 0xf6fa, 0xe616, 0xe5d5, 0xe5f5, 0xdd94, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bed, 0xad96, 0xa535, 0x7bef, 0x6b6d, 0x5acb, 0x4a69, 0x39c7, 0x2986, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x1082, 0x3186, 0x3186, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0863, 0x0021, 0x1083, 0x0841, 0x0000, 0x2945, 0x0841, 0x3186, 0x3a29, 0x1169, 0x4185, 0xe9c5, 0x9aa9, 0x5c4f, 0x7baf, 0x8411, 0xa535, 0xd617, 0xb534, 0x8c52, 0x63b1, 0x5c56, 0x7433, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x2104, 0x1082, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x4228, 0x4a69, 0x4a69, 0x6b4d, 0x738e, 0xad75, 0xce9b, 0x7ac9, 0xe678, 0xff9d, 0xff1b, 0xf6b9, 0xe637, 0xddd5, 0xd594, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xb576, 0xb596, 0x7bef, 0x6b2d, 0x52ab, 0x4a49, 0x31c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10a2, 0x2966, 0x4229, 0x734d, 0x738e, 0x31a6, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x0021, 0x0000, 0x0000, 0x18c3, 0x0861, 0x18c5, 0x2965, 0x39e8, 0x4a6a, 0x4b0c, 0x5a28, 0xf1c3, 0xbb6d, 0x7d35, 0x8451, 0x7bf0, 0x8452, 0x9515, 0xadb7, 0xd5f8, 0xa4b3, 0x6c75, 0x84f7, 0x9558, 0x428d, 0x0883, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x6b4d, 0x632d, 0x52ab, 0x2125, 0x18e3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2966, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x8c51, 0xa4f4, 0xcebb, 0x7ac9, 0xdeba, 0xff9d, 0xf71a, 0xe636, 0xe5f5, 0xe616, 0xddb4, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd551, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb595, 0xa596, 0x7bf0, 0x6b4d, 0x52ab, 0x39e8, 0x39e7, 0x31a6, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10c3, 0x52ab, 0x5aec, 0x4208, 0x28c2, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0862, 0x0021, 0x0000, 0x1083, 0x2104, 0x3186, 0x1965, 0x39e8, 0x4249, 0x336f, 0x72ee, 0xe122, 0xa2cb, 0x8cf5, 0x94f4, 0x94d3, 0x8c53, 0x6454, 0x6494, 0x8cb4, 0xbd35, 0x8433, 0x2ad1, 0x2af5, 0x2b17, 0x224e, 0x18c4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x4a49, 0x632c, 0x738e, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2966, 0x3186, 0x4a49, 0x4a69, 0x6b4d, 0x7c31, 0xacf3, 0xcedc, 0x7ac8, 0xee78, 0xffbe, 0xff7c, 0xeeb9, 0xe637, 0xe5f5, 0xdd94, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd54f, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bad, 0xb575, 0xa596, 0x8410, 0x632d, 0x528a, 0x4a49, 0x49e7, 0x3986, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0862, 0x0841, 0x0821, 0x0020, 0x0000, 0x0041, 0x0861, 0x3a49, 0x4229, 0x31e9, 0x31c8, 0x3331, 0x8b4d, 0xe9a3, 0x9a6a, 0x6475, 0x94f4, 0x9d14, 0xa4d4, 0x9473, 0x9cd4, 0x6390, 0x630f, 0x8c53, 0x5332, 0x326f, 0x2ab0, 0x5c98, 0x6bb0, 0x08a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1082, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x41e8, 0x4a49, 0x4a69, 0x6b4d, 0x7c30, 0x9d35, 0xcebb, 0x7ac8, 0xe658, 0xff9d, 0xf6fa, 0xe637, 0xe637, 0xe616, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xad76, 0xad96, 0x7bef, 0x6b4d, 0x52ab, 0x4229, 0x39c8, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2124, 0x2965, 0x52ab, 0x0841, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0842, 0x0841, 0x0000, 0x0000, 0x1062, 0x0821, 0x0000, 0x1104, 0x2966, 0x5b0c, 0x632d, 0x42ad, 0x29e7, 0x1a0b, 0x6aac, 0xf1e4, 0xc36d, 0x7cd6, 0xa556, 0xad56, 0x8c33, 0x6b70, 0x94d5, 0x5b71, 0x29cd, 0x632f, 0x6b92, 0x52f1, 0x5b10, 0x6457, 0xadb8, 0x6c15, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x4208, 0x39e8, 0x2104, 0x1082, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2125, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x8c2f, 0x9d14, 0xcedc, 0x7ac9, 0xe699, 0xff9d, 0xf6fa, 0xe636, 0xe637, 0xe616, 0xd593, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xb576, 0xad96, 0x7bef, 0x630c, 0x528a, 0x4a49, 0x31a7, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x3186, 0x4208, 0x630c, 0x5acb, 0x39e8, 0x0020, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0021, 0x0021, 0x0000, 0x0861, 0x0021, 0x0841, 0x0863, 0x2945, 0x5acb, 0x62ca, 0x738e, 0x8431, 0x29c6, 0x51c6, 0xf1a3, 0xcbce, 0xa5f9, 0xb5d8, 0xb597, 0x8432, 0x5b72, 0x7414, 0x7390, 0x5a48, 0x41c5, 0x4a6a, 0x6370, 0x21ce, 0x4270, 0x8cd7, 0xdf1c, 0x8c72, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2966, 0x52aa, 0x528a, 0x528a, 0x39c7, 0x18c3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2966, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x8410, 0xa535, 0xce9b, 0x7ac9, 0xe6ba, 0xff9d, 0xf6fa, 0xee57, 0xee36, 0xe657, 0xd594, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x9bcd, 0xad75, 0xad96, 0x7bf0, 0x736d, 0x5aaa, 0x4249, 0x31c7, 0x3186, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e7, 0x52aa, 0x4208, 0x2124, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0021, 0x0000, 0x10a2, 0x18c3, 0x1083, 0x1041, 0x2945, 0x41e8, 0x4a07, 0x83ae, 0xb576, 0x6b8f, 0x51a6, 0xe943, 0xaacc, 0x6432, 0x7baf, 0x736f, 0x6330, 0x5b54, 0x4ad2, 0x4a90, 0x6a8a, 0x4983, 0x4207, 0x83f1, 0x32ee, 0x198b, 0x4b54, 0x8476, 0x95b9, 0x31c9, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x4229, 0x5aec, 0x39c7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2966, 0x3186, 0x4229, 0x4a69, 0x6b4d, 0x7bcf, 0xa555, 0xce9b, 0x7ac9, 0xe699, 0xff9d, 0xf71a, 0xee78, 0xe636, 0xe657, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe5f5, 0xf6b9, 0xff3b, 0xffbe, 0xe6b9, 0x9bad, 0xad75, 0xad96, 0x7c10, 0x6b4d, 0x5aaa, 0x4208, 0x41c7, 0x3186, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x31a6, 0x1924, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x31a7, 0x2145, 0x2882, 0x3186, 0x39e8, 0x52ab, 0xbcb2, 0x7bef, 0x6bcf, 0x6228, 0xe1a4, 0x7946, 0x1105, 0x41e7, 0x6aca, 0x8bd0, 0x7b90, 0x4a0c, 0x4a6e, 0x62cc, 0x3904, 0x3986, 0x5b2d, 0x53f1, 0x42f0, 0x2ad3, 0x3a92, 0x53b6, 0x5354, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2945, 0x0862, 0x0000, 0x0000, 0x0000, 0x10a2, 0x18c3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2986, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x8c0f, 0x9d35, 0xce9b, 0x7ac9, 0xe6b9, 0xffbe, 0xff3b, 0xee78, 0xee57, 0xe657, 0xcd53, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe5f5, 0xeeb9, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xb596, 0xad96, 0x7bef, 0x634d, 0x52ab, 0x3a08, 0x39c7, 0x39a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x4a69, 0x6b6d, 0x1924, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2126, 0x4aaa, 0x39a6, 0x2188, 0x2189, 0x2a2d, 0x9474, 0x6b6d, 0x4acb, 0x7b0c, 0xe9e5, 0x8103, 0x18c3, 0x5aaa, 0x62ca, 0x83ae, 0x8bad, 0x4164, 0x49e6, 0x4a49, 0x28e3, 0x2142, 0x41a4, 0x4aaa, 0x4351, 0x2a71, 0x2a71, 0x3a91, 0x42f6, 0x3a0d, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0x52cb, 0x528a, 0x39a6, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2986, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x83ef, 0x9d56, 0xce9b, 0x7ac8, 0xe678, 0xffbe, 0xf73b, 0xee57, 0xe636, 0xee57, 0xd594, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x9bad, 0xb575, 0xad96, 0x7bef, 0x6b4d, 0x52cb, 0x4229, 0x31c7, 0x31a7, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x4208, 0x528a, 0x5acb, 0x4208, 0x3186, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0841, 0x0841, 0x0841, 0x0021, 0x0842, 0x0021, 0x0842, 0x29e9, 0x634d, 0x3a4b, 0x0909, 0x098d, 0x32cf, 0x632d, 0x3b2c, 0x6289, 0xea05, 0x7942, 0x2a24, 0x734d, 0x4a4a, 0x634d, 0x8c72, 0x3186, 0x3124, 0x31a4, 0x2941, 0x2981, 0x4961, 0x4a27, 0x22d2, 0x1a0f, 0x21f0, 0x2a70, 0x2a72, 0x3252, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2945, 0x4228, 0x5acb, 0x52aa, 0x31a6, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2945, 0x39c6, 0x4a49, 0x4a69, 0x6b4d, 0x8451, 0x94f4, 0xcedb, 0x7ac8, 0xe678, 0xff9d, 0xf71a, 0xee57, 0xee16, 0xee78, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd54f, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xad75, 0xad96, 0x7bef, 0x630c, 0x528a, 0x4a49, 0x31a7, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x52aa, 0x4208, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0842, 0x0021, 0x0821, 0x0021, 0x0021, 0x0021, 0x0863, 0x1083, 0x0883, 0x31eb, 0x73f0, 0x52cd, 0x120e, 0x3b10, 0x7d35, 0x42eb, 0x4183, 0xea26, 0x81c5, 0x4ae5, 0x9bcb, 0x7288, 0x72ea, 0xa534, 0x5aec, 0x18e4, 0x2168, 0x1947, 0x3184, 0x39e2, 0x4a46, 0x22d3, 0x11ad, 0x118e, 0x29f0, 0x3a91, 0x21d1, 0x08e6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x1904, 0x4228, 0x4a6a, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39e7, 0x4a49, 0x4a69, 0x6b4d, 0x7bcf, 0xa514, 0xcebb, 0x7ac9, 0xe6ba, 0xff9d, 0xf71a, 0xee57, 0xe616, 0xee78, 0xd594, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd551, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x9bcd, 0xb575, 0xad96, 0x8410, 0x6b6e, 0x52ab, 0x4229, 0x31a6, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x10a3, 0x0841, 0x0000, 0x0000, 0x0000, 0x3186, 0x630c, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x1083, 0x1105, 0x08a6, 0x10a6, 0x426e, 0x8411, 0x224e, 0x3af1, 0xa67b, 0x4b91, 0x5184, 0xe9e5, 0x89c6, 0x4ac7, 0xb42b, 0x9b48, 0x7a82, 0xb4f0, 0x9c91, 0x2924, 0x2988, 0x4aad, 0x62ec, 0x4a63, 0x6287, 0x5356, 0x3a70, 0x098d, 0x21af, 0x3271, 0x21b0, 0x194b, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x52ab, 0x2945, 0x0000, 0x0000, 0x0000, 0x0861, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2125, 0x31c7, 0x4a49, 0x4a69, 0x6b4d, 0x8410, 0x9cd3, 0xcedc, 0x7ac9, 0xe699, 0xff9d, 0xff1b, 0xee78, 0xe616, 0xee78, 0xd594, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xad76, 0xa596, 0x7bf0, 0x630c, 0x528a, 0x4a49, 0x31a7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x632c, 0x632c, 0x4229, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x1104, 0x2165, 0x196b, 0x2988, 0x110a, 0x526a, 0x52cd, 0x3291, 0x8493, 0x1a2e, 0x4167, 0xe1a3, 0x81e7, 0x32a8, 0x9c0b, 0xbc8e, 0x9b48, 0xa40d, 0xa5b4, 0x6b27, 0x5225, 0x6ac9, 0x834b, 0x5a83, 0x72e9, 0x6b94, 0x4ab1, 0x19af, 0x21ae, 0x21ce, 0x21b0, 0x198f, 0x08c5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x39c7, 0x630c, 0x5aeb, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x3186, 0x4229, 0x4a69, 0x6b4d, 0x7bf0, 0xa535, 0xcebb, 0x7ac8, 0xe678, 0xff9d, 0xff3b, 0xf6b8, 0xee36, 0xee57, 0xd574, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bac, 0xb575, 0xa596, 0x7bef, 0x6b4d, 0x5acb, 0x4228, 0x31a6, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x632c, 0x632c, 0x4208, 0x18c3, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0841, 0x18c3, 0x31a7, 0x1928, 0x29a9, 0x19ac, 0x092a, 0x29ac, 0x29ed, 0x11ce, 0x228e, 0x09ad, 0x3a0b, 0xf1c4, 0xa226, 0x3a49, 0x72ea, 0xabed, 0xa3cb, 0x9367, 0xa46e, 0x9bcc, 0x7b09, 0x7ac8, 0x7a83, 0x5a44, 0x6b27, 0x52f0, 0x29f0, 0x21b0, 0x21ae, 0x21ae, 0x3a71, 0x21b0, 0x192a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10a2, 0x39c7, 0x632c, 0x630c, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3166, 0x4228, 0x4a49, 0x4a69, 0x6b4d, 0x8c51, 0x94b3, 0xcedc, 0x7267, 0xdeba, 0xff9d, 0xf6fa, 0xe657, 0xee78, 0xee98, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe657, 0xf6fa, 0xff3b, 0xffbe, 0xe699, 0x938c, 0xad76, 0xb596, 0x7bef, 0x630c, 0x4a6a, 0x4a49, 0x39e8, 0x31c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x39e7, 0x18e3, 0x0841, 0x0000, 0x0000, 0x0861, 0x8410, 0x2946, 0x0000, 0x0000, 0x0841, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0863, 0x18c4, 0x2105, 0x1128, 0x1109, 0x29a9, 0x118c, 0x2a2e, 0x118d, 0x4a8c, 0x09ad, 0x098d, 0x39ac, 0xf1a4, 0xa9e3, 0x62e7, 0x8b6b, 0xac6f, 0xb44e, 0x9348, 0xa3e9, 0x8ba8, 0x62a7, 0x6a67, 0x5a45, 0x6ac9, 0x8b8c, 0x6310, 0x21b0, 0x21ae, 0x21b0, 0x4291, 0x4293, 0x21b0, 0x194a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x2124, 0x6b4d, 0x39c7, 0x0000, 0x0000, 0x0841, 0x10a3, 0x39e8, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2966, 0x31a6, 0x4a49, 0x4a69, 0x6b4d, 0x738e, 0xad55, 0xcebb, 0x7aa8, 0xe699, 0xff9d, 0xf6fa, 0xe616, 0xee16, 0xe616, 0xcd73, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd532, 0xe5b4, 0xee78, 0xff3b, 0xff5c, 0xe699, 0x9bac, 0xb574, 0xa596, 0x8410, 0x738e, 0x5acb, 0x39e7, 0x3186, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x630c, 0xdeda, 0xdedb, 0x4a8a, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1062, 0x2125, 0x2104, 0x10c7, 0x1126, 0x29a7, 0x1169, 0x19ad, 0x11ad, 0x52ac, 0x4b53, 0x122e, 0x094a, 0x398b, 0xe9a3, 0xba85, 0x8c0b, 0x93cd, 0x93cb, 0x8b69, 0x9348, 0x9ba7, 0x7ac6, 0x5a46, 0x62e6, 0x83ac, 0x7b4b, 0x7b2b, 0x5b73, 0x42b3, 0x21b0, 0x7391, 0x6374, 0x21d1, 0x21b0, 0x194c, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a49, 0xef5c, 0xe71b, 0x8c71, 0x10a2, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x4228, 0x4a69, 0x4a69, 0x6b4d, 0x8c51, 0x9d15, 0xce9b, 0x7ac8, 0xe678, 0xff9d, 0xff1b, 0xeeb9, 0xee78, 0xee98, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x93cd, 0xad76, 0xb596, 0x7bef, 0x5aec, 0x4a69, 0x4a49, 0x3a08, 0x39c8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4228, 0xe6fb, 0xf77d, 0xf75d, 0x31a6, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2966, 0x2125, 0x08c7, 0x0929, 0x0949, 0x0949, 0x2a2e, 0x2a70, 0x11ad, 0x09ad, 0x098d, 0x39ab, 0xf1c4, 0xbaa6, 0x9c2b, 0xb42d, 0xa3ca, 0x82e8, 0x8ae7, 0xa389, 0x9304, 0x49e1, 0x5a66, 0x83ef, 0x7368, 0x5282, 0x73ae, 0x5b78, 0x21b0, 0x83d1, 0x73b0, 0x29d0, 0x42b1, 0x320f, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x39c7, 0xad34, 0xf79d, 0xce7a, 0x4a6a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x3186, 0x3208, 0x6a89, 0x6b6d, 0x546f, 0x9cf4, 0xce9b, 0x7ac9, 0xdeba, 0xff9d, 0xf6fa, 0xe616, 0xee36, 0xe657, 0xcd73, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x93ac, 0xa534, 0xb596, 0x7bef, 0x6b6e, 0x5acb, 0x5247, 0x39a6, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xbdb6, 0xffbe, 0xffbe, 0x4a69, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x18c5, 0x1108, 0x29a8, 0x39e8, 0x08e9, 0x096c, 0x0949, 0x2a4e, 0x21ad, 0x0949, 0x098d, 0x3968, 0xf1e4, 0xbaa6, 0x93ea, 0x9b69, 0xa3c7, 0xb3ca, 0x934a, 0x9348, 0x7aa6, 0x5a63, 0x18c0, 0x39c1, 0x4aae, 0x4ab3, 0x730c, 0x5394, 0x5395, 0x6394, 0x21b0, 0x29d0, 0x42b1, 0x220e, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a69, 0xd69a, 0xffbe, 0x8cb2, 0x10e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2966, 0x4a26, 0x4a69, 0x4a69, 0x6b4d, 0x83d1, 0xa4f4, 0xce9b, 0x7ac8, 0xee98, 0xff9d, 0xff3b, 0xf6d9, 0xe657, 0xe657, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x9bcd, 0xad76, 0xa596, 0x7bef, 0x632d, 0x528b, 0x4a69, 0x39c7, 0x31a7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x738e, 0x8410, 0x0841, 0x0000, 0x0000, 0x0021, 0x10a3, 0x630c, 0x2946, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x18c5, 0x10c5, 0x10c5, 0x220e, 0x52cd, 0x19cd, 0x08c9, 0x2a4e, 0x4b31, 0x08e9, 0x09ad, 0x398b, 0xe162, 0x99e5, 0x9c6b, 0xc48a, 0x9b27, 0x9b48, 0xc4ab, 0xc48b, 0x8b04, 0x7241, 0x5206, 0x4b32, 0x63b8, 0x3b73, 0x6bb0, 0x8451, 0x4c72, 0x4b51, 0x2a4e, 0x2a4e, 0x126f, 0x12b0, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x630c, 0x39c7, 0x0021, 0x0000, 0x0000, 0x10a3, 0x8410, 0x6b6d, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x31c7, 0x3a28, 0x52cb, 0x6b6d, 0x8bad, 0xad75, 0xce58, 0x7ac8, 0xee78, 0xff9d, 0xf6fa, 0xe616, 0xee36, 0xe657, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bac, 0xb554, 0xa596, 0x7bef, 0x632d, 0x52ab, 0x4209, 0x31a7, 0x3186, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x1082, 0x4a6a, 0x73af, 0x4a6a, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0841, 0x0863, 0x0000, 0x0000, 0x0000, 0x0862, 0x2105, 0x1945, 0x1168, 0x1109, 0x0929, 0x2a2d, 0x21ce, 0x094a, 0x4ad1, 0x4311, 0x32b1, 0x22d1, 0x39ab, 0xe183, 0x79cb, 0x3b31, 0xa3cb, 0xbc4a, 0xa368, 0xb42b, 0xbc29, 0x8344, 0x6a85, 0x2a90, 0x4c18, 0x9d78, 0x94f4, 0x53b2, 0x5372, 0x634e, 0x4b31, 0x2a4e, 0x11cd, 0x1a4d, 0x29ec, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2967, 0x73ae, 0x4a49, 0x1082, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x31c7, 0x4a49, 0x4a69, 0x6b4d, 0x7c31, 0x9d35, 0xce9b, 0x7ac8, 0xe678, 0xff9d, 0xff3b, 0xf698, 0xee16, 0xee98, 0xd5b5, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb44e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xe6b9, 0x93ac, 0xad34, 0xb596, 0x7bf0, 0x632d, 0x528b, 0x4a49, 0x39e8, 0x39c7, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x29c3, 0x6b4d, 0x6b4d, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0020, 0x1083, 0x18c4, 0x39e8, 0x39e8, 0x1969, 0x31c9, 0x118c, 0x1149, 0x5b91, 0x19ce, 0x6c55, 0x9e1a, 0x422c, 0xe163, 0x79ab, 0x1293, 0x42ae, 0x732a, 0x7285, 0x7284, 0xa3e9, 0x9ba6, 0x7aa5, 0x42f3, 0x5379, 0x8c94, 0x6c33, 0x4c36, 0x4b95, 0x2a6e, 0x326f, 0x326e, 0x328f, 0x5a86, 0x49e5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x10a3, 0x5acb, 0x6b6d, 0x31a7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2966, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x8c51, 0x94b2, 0xce9b, 0x7ac9, 0xeed9, 0xff9d, 0xff1b, 0xee78, 0xe616, 0xe657, 0xd573, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd551, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xe6b9, 0x9bcc, 0xb575, 0xa596, 0x8410, 0x6b4e, 0x528a, 0x39e7, 0x3186, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7bf0, 0x39c7, 0x0000, 0x0000, 0x0020, 0x1082, 0x3186, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0000, 0x1082, 0x18a4, 0x10a4, 0x2966, 0x1169, 0x2988, 0x116c, 0x08c9, 0x31c9, 0x9d15, 0x42f1, 0x4351, 0x6d77, 0x52b0, 0xe922, 0x8a6b, 0x1b14, 0x4ad2, 0x734e, 0x52cd, 0x62e9, 0xb46d, 0xcc8c, 0x8365, 0x4311, 0x4b58, 0x6bb1, 0x5289, 0x5356, 0x2af1, 0x2b31, 0x4b53, 0x52eb, 0x5b09, 0x8c0a, 0x7b4b, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18e5, 0x4a49, 0x18a2, 0x0000, 0x0000, 0x0000, 0x2965, 0x632d, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2966, 0x31a6, 0x4a49, 0x4a69, 0x6b4d, 0x7bf0, 0xad55, 0xce9b, 0x7ac8, 0xe678, 0xff9d, 0xf6fa, 0xe657, 0xee78, 0xe657, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd54f, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x93cd, 0xad76, 0xb596, 0x7bf0, 0x630c, 0x528a, 0x4a69, 0x39c7, 0x31c7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2124, 0x52aa, 0x6b4d, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x0863, 0x10a4, 0x0908, 0x08e9, 0x08c9, 0x08c9, 0x21ad, 0x9d77, 0xad76, 0x2ab1, 0x1a70, 0x426e, 0xf1e4, 0xb34d, 0x33d5, 0x2a51, 0x3a6f, 0x3acf, 0x3b10, 0x734b, 0x9367, 0x7304, 0x4aa9, 0x3b12, 0x4aeb, 0x5265, 0x3b0c, 0x1988, 0x124f, 0x226e, 0x3a25, 0x6a61, 0x6b67, 0x3ae9, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x630c, 0x6b2c, 0x18e4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2966, 0x4206, 0x4a49, 0x4a69, 0x6b4d, 0x8430, 0xa515, 0xce7a, 0x6aa8, 0xf6da, 0xff9d, 0xf71b, 0xee78, 0xedf5, 0xe657, 0xd5b5, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xac0d, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x93ac, 0xa534, 0xb596, 0x8410, 0x6b6e, 0x52ab, 0x4a69, 0x39c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x3822, 0x2021, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x31a6, 0x6b4d, 0x4a49, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0842, 0x1083, 0x10e7, 0x1108, 0x08e9, 0x08e9, 0x196c, 0x5bb3, 0xce59, 0x5333, 0x2ad2, 0x5b0f, 0xf1e4, 0xcbef, 0x7599, 0x2230, 0x21b0, 0x19f0, 0x1272, 0x2a6f, 0x4246, 0x5ac5, 0x7b66, 0x6b68, 0x3ac7, 0x42a4, 0x5284, 0x3a67, 0x1270, 0x2248, 0x5a85, 0x5262, 0x62c5, 0x3183, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0861, 0x4208, 0x632d, 0x39e8, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2966, 0x31a7, 0x4a49, 0x4a69, 0x6b4d, 0x73af, 0xad76, 0xce79, 0x7267, 0xf6da, 0xff9d, 0xf6fa, 0xe616, 0xee36, 0xe678, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x93ac, 0xa534, 0xb596, 0x7bf0, 0x632d, 0x528a, 0x4228, 0x39c6, 0x31a7, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5064, 0xc0a9, 0xa0a7, 0x3843, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2945, 0x6b6e, 0x39c7, 0x0000, 0x0000, 0x0841, 0x2945, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0842, 0x0862, 0x1084, 0x2105, 0x10c6, 0x1107, 0x0909, 0x08e9, 0x220e, 0x52ae, 0x322c, 0x2250, 0x4a6d, 0xe9c3, 0xa2ac, 0x3333, 0x11ef, 0x19af, 0x11ef, 0x1a70, 0x1a70, 0x1a4e, 0x32ee, 0x63d0, 0x7453, 0x3b73, 0x230f, 0x42ce, 0x532d, 0x124e, 0x2a4a, 0x62e4, 0x5263, 0x4264, 0x10c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3187, 0x3186, 0x0000, 0x0000, 0x0841, 0x2965, 0x5aec, 0x4228, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x39c7, 0x4a49, 0x4a69, 0x6b4d, 0x8410, 0xa556, 0xceba, 0x6a88, 0xeeb9, 0xffbd, 0xf71b, 0xe616, 0xee57, 0xe678, 0xd594, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6b9, 0x93ac, 0xa534, 0xb596, 0x8410, 0x6b4d, 0x52ab, 0x4208, 0x41e6, 0x39a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3883, 0x88a7, 0xd0aa, 0xa888, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x3186, 0x2945, 0x0000, 0x0000, 0x0841, 0x31a6, 0x632d, 0x4208, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0841, 0x0842, 0x0000, 0x0021, 0x0021, 0x0842, 0x10a4, 0x18c5, 0x08c7, 0x10c6, 0x08c8, 0x0909, 0x19ab, 0x08c9, 0x29ca, 0x090a, 0x394a, 0xe183, 0x7968, 0x098d, 0x098d, 0x198e, 0x19d0, 0x1a50, 0x1a70, 0x0a71, 0x12d3, 0x3373, 0x4395, 0x3314, 0x1272, 0x1a70, 0x32f0, 0x124e, 0x222b, 0x4221, 0x52a6, 0x4aa4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c8, 0x738e, 0x3186, 0x1082, 0x0000, 0x0000, 0x10a3, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2945, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x7bcf, 0xad76, 0xce59, 0x72c8, 0xee99, 0xffbe, 0xf73b, 0xe636, 0xee57, 0xe657, 0xd5b5, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x93ac, 0xa534, 0xb596, 0x7bef, 0x632c, 0x528a, 0x4249, 0x31a7, 0x31a6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1821, 0x5844, 0x5844, 0x4043, 0x2841, 0x0820, 0x9866, 0xf0cc, 0x3022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0882, 0x3a48, 0x62cb, 0x31a7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0021, 0x0841, 0x10a4, 0x18c5, 0x18c5, 0x08c8, 0x08c7, 0x08e9, 0x2168, 0x092b, 0x198c, 0x118d, 0x30e7, 0xe183, 0x7969, 0x098d, 0x118d, 0x21cf, 0x2a0f, 0x222f, 0x1a2f, 0x122e, 0x1270, 0x1a70, 0x19cf, 0x1a2f, 0x124e, 0x124c, 0x124e, 0x1a4e, 0x4227, 0x29a1, 0x6bc5, 0x41c6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0000, 0x0000, 0x0000, 0x3186, 0x630c, 0x4a69, 0x10c2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2966, 0x2986, 0x4229, 0x4a69, 0x6b4d, 0x8c71, 0x9cf4, 0xc69a, 0x6aa8, 0xf6da, 0xff9d, 0xf6fa, 0xee57, 0xee36, 0xe657, 0xd573, 0xeefa, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd550, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6b9, 0x93ac, 0xa555, 0xb5b7, 0x7bef, 0x6b4d, 0x52ab, 0x4229, 0x39e8, 0x3186, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3822, 0xc089, 0xe8aa, 0xc888, 0xb0a7, 0x8887, 0xd8aa, 0xb8a8, 0x2021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x4a8a, 0x532b, 0x2924, 0x0000, 0x0000, 0x10a2, 0x39e8, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x10a4, 0x18c5, 0x18c5, 0x10c6, 0x10c7, 0x0909, 0x0909, 0x096b, 0x0909, 0x112b, 0x3128, 0xe183, 0x7969, 0x118d, 0x19ad, 0x21ee, 0x320f, 0x222f, 0x120e, 0x124f, 0x1270, 0x124f, 0x120e, 0x122e, 0x124e, 0x124c, 0x1a4e, 0x2a4e, 0x49c3, 0x4203, 0x73c6, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x4a6a, 0x0021, 0x0000, 0x0020, 0x2104, 0x5acb, 0x52ea, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2966, 0x39c6, 0x4a49, 0x4a69, 0x6b4d, 0x8411, 0x9cf4, 0xce7a, 0x7267, 0xf6da, 0xff9d, 0xf71a, 0xee57, 0xee36, 0xe657, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabed, 0xd550, 0xe637, 0xe657, 0xff3b, 0xff7d, 0xe6ba, 0x9bcd, 0xad34, 0xadb6, 0x7c10, 0x6b6e, 0x52ab, 0x4208, 0x31c7, 0x3186, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x1821, 0x8866, 0xe0a9, 0xa086, 0x7065, 0x7066, 0x7066, 0x3042, 0x50a4, 0x6064, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x49e8, 0x18e4, 0x0000, 0x0000, 0x10a2, 0x4a6a, 0x52cb, 0x1904, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0841, 0x10a4, 0x18c5, 0x18c5, 0x10c6, 0x08c9, 0x0949, 0x2189, 0x114b, 0x08c9, 0x396a, 0xe183, 0x8188, 0x19ae, 0x118d, 0x19cd, 0x21ce, 0x1a0e, 0x224f, 0x224f, 0x1270, 0x1270, 0x22d1, 0x43f2, 0x230e, 0x124e, 0x2aee, 0x42f0, 0x6204, 0x73e4, 0x4165, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x634d, 0x528a, 0x18c3, 0x0000, 0x0020, 0x18a3, 0x39c7, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x2966, 0x41e7, 0x4a49, 0x4a69, 0x6b4d, 0x8431, 0xa556, 0xce59, 0x7a67, 0xf71b, 0xff9d, 0xf71a, 0xee57, 0xee36, 0xe657, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbc6f, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6b9, 0x9bcd, 0xad34, 0xad96, 0x7bf0, 0x632d, 0x528a, 0x3a08, 0x39a6, 0x39a6, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x2822, 0xa067, 0x9867, 0x2021, 0x0000, 0x0000, 0x1841, 0xb0e8, 0xe0aa, 0xa086, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1020, 0x0000, 0x0000, 0x18e3, 0x5acb, 0x52aa, 0x18c3, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0000, 0x0021, 0x0862, 0x0021, 0x1083, 0x18c5, 0x18c5, 0x08c7, 0x10c6, 0x08e9, 0x1929, 0x112b, 0x094b, 0x3129, 0xe183, 0x79a9, 0x1a52, 0x2a4f, 0x21ee, 0x220e, 0x19ce, 0x19ee, 0x19ed, 0x124f, 0x3bd3, 0x7516, 0x9597, 0x3bb1, 0x230e, 0x3b50, 0x2ad1, 0x7b8d, 0x9408, 0x1020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x18e3, 0x4a6a, 0x6b4d, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2966, 0x3186, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0x9d56, 0xce38, 0x6a68, 0xff3b, 0xff9d, 0xf71a, 0xee77, 0xee36, 0xe657, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xb42e, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff7c, 0xe6ba, 0x93cd, 0xacf3, 0xb5b7, 0x7bef, 0x6b4d, 0x52ab, 0x4a49, 0x39c7, 0x3186, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4043, 0x7865, 0x2822, 0x0000, 0x0000, 0x0820, 0x4043, 0x5044, 0xf0cb, 0x5844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x5b0c, 0x528a, 0x18c3, 0x0000, 0x0000, 0x3186, 0x528a, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x1083, 0x18c5, 0x0842, 0x10a5, 0x10c7, 0x10c6, 0x08c9, 0x0909, 0x090a, 0x3928, 0xe1a4, 0x7188, 0x1a30, 0x3ad1, 0x3ab0, 0x2a4f, 0x42ae, 0x2a4e, 0x19ef, 0x33d3, 0x5433, 0x5c54, 0x6c33, 0x3b72, 0x2ace, 0x32af, 0x22f3, 0x3372, 0x3103, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x528b, 0x2966, 0x0020, 0x0000, 0x0862, 0x4a69, 0x6b4d, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2966, 0x31e8, 0x4a49, 0x4a69, 0x6b4d, 0x73af, 0xad76, 0xce7a, 0x6268, 0xff3b, 0xff9d, 0xf6fa, 0xe637, 0xe637, 0xddf5, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbc90, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff9d, 0xe6da, 0x9bcd, 0xacd2, 0xb5b6, 0x7bef, 0x6b6e, 0x5acb, 0x4249, 0x39e8, 0x3186, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0x1821, 0x3822, 0x5843, 0x5043, 0x4043, 0x0820, 0x3022, 0xf0cc, 0x8865, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x4249, 0x10a2, 0x0000, 0x0000, 0x18e4, 0x632c, 0x4208, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0862, 0x1083, 0x10a4, 0x10c6, 0x08c7, 0x08c9, 0x08e9, 0x094b, 0x3948, 0xe184, 0x7948, 0x094b, 0x2a6f, 0x5b71, 0x5b10, 0x6b50, 0x4acf, 0x3ab0, 0x3bb2, 0x2b31, 0x1a4f, 0x228f, 0x2ab1, 0x19ee, 0x2a4e, 0x1b55, 0x19e6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e8, 0x6b4d, 0x1082, 0x0000, 0x0000, 0x1082, 0x41e8, 0x39c7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2966, 0x31a6, 0x4249, 0x4a69, 0x6b4d, 0x8410, 0xa556, 0xce59, 0x7266, 0xff3b, 0xff9d, 0xf6fa, 0xe616, 0xee36, 0xe636, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc4d1, 0xd552, 0xe5d4, 0xe657, 0xff3b, 0xff7c, 0xeeda, 0xac0e, 0xa4d3, 0xa5b7, 0x7bef, 0x6b6e, 0x5acb, 0x4a07, 0x39c7, 0x3186, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8867, 0xe0cb, 0xd8a9, 0xd0aa, 0xc0aa, 0xd0cb, 0xd8a9, 0x3022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0861, 0x0000, 0x0000, 0x2104, 0x5aec, 0x4228, 0x0861, 0x0000, 0x0000, 0x18e3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x1083, 0x0021, 0x10a4, 0x18c5, 0x18c5, 0x10c6, 0x10c6, 0x08c9, 0x08ea, 0x3108, 0xe1a4, 0x7968, 0x094b, 0x116c, 0x322e, 0x3a4e, 0x3a4e, 0x21ee, 0x2a4f, 0x222f, 0x19ee, 0x120e, 0x124f, 0x1a70, 0x22d3, 0x2c12, 0x11cc, 0x0860, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x1083, 0x0021, 0x0000, 0x0841, 0x39c7, 0x7bcf, 0x0841, 0x0000, 0x0000, 0x0841, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2945, 0x4208, 0x4a49, 0x4a69, 0x6b4d, 0x8c71, 0xad75, 0xce38, 0x6a67, 0xff3b, 0xff9d, 0xf71b, 0xee98, 0xe636, 0xddf5, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc4d1, 0xd552, 0xe616, 0xe657, 0xff3b, 0xffbe, 0xe6da, 0x93cd, 0xa4f3, 0xadb7, 0x7bef, 0x632d, 0x52ab, 0x4228, 0x31a7, 0x2966, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3862, 0xc8ca, 0x9887, 0x4043, 0x3022, 0x3043, 0x2822, 0x0000, 0xa867, 0xb887, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x6b6e, 0x4a49, 0x0861, 0x0000, 0x0000, 0x4228, 0x630c, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0021, 0x0020, 0x0021, 0x0000, 0x0021, 0x0021, 0x10a4, 0x18c5, 0x10c5, 0x08c9, 0x0929, 0x30e8, 0xe9a5, 0x8187, 0x098d, 0x118d, 0x19ad, 0x19ad, 0x19ad, 0x428e, 0x42af, 0x19ab, 0x118c, 0x22d0, 0x2a91, 0x3bb4, 0x5478, 0x3a8b, 0x0042, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1084, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x4a6a, 0x39e8, 0x0841, 0x0000, 0x0841, 0x39e8, 0x8c0f, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1901, 0x2965, 0x3186, 0x4a49, 0x4a69, 0x6b4d, 0x7c31, 0xa556, 0xce7a, 0x7265, 0xffbe, 0xff9d, 0xf6fa, 0xe636, 0xe5d5, 0xddd5, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xeeda, 0xa40e, 0xacd2, 0xb596, 0x8431, 0x73af, 0x5acb, 0x4a69, 0x31c7, 0x2966, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x5844, 0xd0cb, 0x5884, 0x0820, 0x0000, 0x0000, 0xd0aa, 0xf0ca, 0xf0ca, 0xc0aa, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39c7, 0x39c7, 0x0841, 0x0000, 0x0000, 0x4a49, 0x6b4d, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0863, 0x0021, 0x0000, 0x1084, 0x0021, 0x10a4, 0x18c5, 0x08c8, 0x1145, 0x0929, 0x30e7, 0xe184, 0x7928, 0x0909, 0x116b, 0x322d, 0x3a4e, 0x2a71, 0x42f1, 0x2a0f, 0x118d, 0x19ad, 0x5b2f, 0x3ab1, 0x1b54, 0x19e9, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x6b4d, 0x39e8, 0x0861, 0x0000, 0x0021, 0x39c7, 0x4a49, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4228, 0x4a69, 0x4a69, 0x6b4d, 0x8c51, 0xad75, 0xb638, 0x7a87, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe637, 0xe5f5, 0xddb4, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xc4f1, 0xdd4e, 0xe637, 0xe657, 0xff3b, 0xffbe, 0xeefa, 0xa40e, 0x94b3, 0xb5d7, 0x7bef, 0x5aec, 0x4a69, 0x4a69, 0x39c7, 0x4208, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7907, 0x68a5, 0x1021, 0x0000, 0xb887, 0xdb2f, 0x3882, 0x2021, 0xf8cc, 0xc8a8, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x3186, 0x7bcf, 0x2945, 0x0020, 0x0000, 0x0000, 0x52ab, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x10a4, 0x18c5, 0x18c5, 0x31c8, 0x0949, 0x3948, 0xe1a5, 0x7167, 0x116b, 0x21ee, 0x2a0e, 0x29ee, 0x3ad0, 0x2a6f, 0x118d, 0x19ad, 0x2a30, 0x1b33, 0x1291, 0x0083, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x39c7, 0x2104, 0x0000, 0x0020, 0x2124, 0x738e, 0x2104, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x3186, 0x4229, 0x6aa9, 0x6b6d, 0x8c71, 0xa556, 0xce38, 0x7a65, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe637, 0xddd5, 0xd594, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd552, 0xe5f5, 0xe657, 0xff3b, 0xff5c, 0xeefa, 0xac0e, 0xacd2, 0xb596, 0x8c71, 0x7bef, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5844, 0xc088, 0x1001, 0x6844, 0xf8cd, 0x2861, 0x1041, 0x8927, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0x7bcf, 0x2124, 0x0000, 0x0000, 0x0000, 0x8410, 0x5aec, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x10a4, 0x0021, 0x10a4, 0x18c5, 0x1145, 0x20e4, 0x18c5, 0x40e5, 0xe1a5, 0x7167, 0x116b, 0x29cb, 0x31ca, 0x3a2d, 0x52cf, 0x322f, 0x11ad, 0x222f, 0x2af4, 0x11cc, 0x0042, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4a6a, 0x5aec, 0x10a2, 0x0000, 0x0000, 0x39c7, 0x7bef, 0x18e3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4229, 0x3a49, 0x52cc, 0x6b6d, 0x7c31, 0xad75, 0xae38, 0x7a88, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe637, 0xddd2, 0xe613, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcb0, 0xd552, 0xe637, 0xe657, 0xff3b, 0xff5c, 0xeefa, 0xa40e, 0x94b3, 0xb5b7, 0x7bef, 0x5aeb, 0x4a69, 0x4a69, 0x3a46, 0x31a5, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0xa867, 0xf8cc, 0x1021, 0x0000, 0xd088, 0xe8a9, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4228, 0x2124, 0x0000, 0x0000, 0x0000, 0x528b, 0x6b6d, 0x0000, 0x0000, 0x0020, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c5, 0x18c5, 0x18c5, 0x40e5, 0xe9a5, 0x8166, 0x0949, 0x0949, 0x116b, 0x3a2d, 0x428d, 0x19ed, 0x220e, 0x198b, 0x0063, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1083, 0x0000, 0x0000, 0x0000, 0x630c, 0x4a69, 0x0000, 0x0000, 0x0000, 0x39c7, 0x4a69, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x8c71, 0x9d35, 0xdd97, 0x7245, 0xff3b, 0xff9d, 0xf6fa, 0xe616, 0xe593, 0xd511, 0xd5b5, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcd1, 0xccf1, 0xe5f5, 0xe657, 0xff3b, 0xff5c, 0xf71b, 0xb46f, 0x9430, 0xb5b7, 0x8431, 0x73cf, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3861, 0xd8ab, 0x8065, 0x6044, 0xf8cd, 0x8927, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2966, 0x7bcf, 0x0841, 0x0000, 0x0000, 0x1082, 0x7bcf, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0020, 0x0000, 0x0020, 0x10a4, 0x0021, 0x40e5, 0xe1a5, 0x7948, 0x1969, 0x29ca, 0x21aa, 0x2148, 0x08e8, 0x10e6, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x5aec, 0x4a49, 0x0020, 0x0000, 0x18c3, 0x630c, 0x39c7, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x39a4, 0x39e7, 0x4a49, 0x4a6a, 0x6b6d, 0x8c71, 0xad76, 0xae38, 0x6a68, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xd594, 0xbc4e, 0xcd94, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6ba, 0xcd32, 0xe636, 0xe657, 0xff3b, 0xffbe, 0xf71b, 0xb46f, 0x9430, 0xb5b7, 0x7bf0, 0x6b6d, 0x5acb, 0x4228, 0x41e8, 0x3186, 0x2945, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5043, 0xd0ab, 0xd8ab, 0xd8a9, 0x0000, 0x0000, 0x0020, 0x0861, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2124, 0x8c31, 0x10a3, 0x0000, 0x0000, 0x0861, 0x8410, 0x39c7, 0x0000, 0x0020, 0x0861, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x40e4, 0xea26, 0x8166, 0x1948, 0x31a7, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0861, 0x0000, 0x0000, 0x2945, 0x632c, 0x2124, 0x0020, 0x0000, 0x3166, 0x738e, 0x2945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x31a7, 0x31a6, 0x4a49, 0x632d, 0x6b6d, 0x8c71, 0xadd8, 0xad97, 0x7a65, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xc4d1, 0x9b4a, 0xcd53, 0xf75d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6ba, 0xccaf, 0xe5b4, 0xe657, 0xff3b, 0xff5c, 0xf71b, 0xb490, 0x9450, 0xb5d7, 0x8c51, 0x6b6d, 0x4a6a, 0x4a69, 0x39e7, 0x3186, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2125, 0x738e, 0x736e, 0x18c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2125, 0x0021, 0x0000, 0x0841, 0x5acb, 0x52aa, 0x0000, 0x0000, 0x1082, 0x528a, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe1e5, 0x68a1, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x18e5, 0x5aeb, 0x1082, 0x0000, 0x0841, 0x39e8, 0x5b0a, 0x18e2, 0x0000, 0x0000, 0x2945, 0x10a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2945, 0x4208, 0x4a49, 0x4a8a, 0x6b6d, 0x8c71, 0xad76, 0xad77, 0x7a88, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xbcd1, 0x8ae8, 0xc512, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde37, 0xd52e, 0xe636, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xb4d1, 0x9450, 0xb5f8, 0x7c10, 0x6b8e, 0x5acb, 0x4a69, 0x4229, 0x31a7, 0x2104, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x9514, 0xf77d, 0xe73c, 0x8c72, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4229, 0x73ae, 0x0000, 0x0000, 0x0841, 0x31a6, 0x630c, 0x0862, 0x0021, 0x2104, 0x2945, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe1e6, 0x8021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2945, 0x3186, 0x0000, 0x0861, 0x5acb, 0x5acb, 0x0841, 0x0000, 0x10a3, 0x5aab, 0x4a29, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x31a6, 0x4a49, 0x52cb, 0x6b6d, 0x8c71, 0xadb7, 0xa534, 0x7aa8, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xc512, 0x9b6a, 0xc532, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcd1, 0xccf1, 0xe5d5, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xb4d1, 0x83ed, 0xb5d7, 0x8452, 0x73af, 0x5acb, 0x4a69, 0x39c7, 0x3186, 0x2163, 0x0840, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10c3, 0xae18, 0xd71c, 0xcefb, 0xad54, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x73ae, 0x2124, 0x0000, 0x0020, 0x2945, 0x73af, 0x2965, 0x0000, 0x2125, 0x9cd3, 0x9cd3, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xd268, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x94f4, 0xd679, 0x1082, 0x0000, 0x18c3, 0x6b4d, 0x3186, 0x0000, 0x0000, 0x2124, 0x4a69, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0841, 0x0860, 0x0841, 0x0041, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4208, 0x4a49, 0x52aa, 0x6b6d, 0x8c71, 0xb5b6, 0xad34, 0x82e9, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xdd94, 0xccd0, 0xddf5, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xcd53, 0xcd32, 0xe5b4, 0xe657, 0xff3b, 0xff5c, 0xf75c, 0xb4d2, 0x8bce, 0xb5d7, 0x8430, 0x738e, 0x5acb, 0x4a69, 0x41e8, 0x3186, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x630d, 0xc5f7, 0xb596, 0x528a, 0x0000, 0x0000, 0x0000, 0x10c0, 0x2181, 0x10e0, 0x0040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x0000, 0x0000, 0x1082, 0x6b0c, 0x4229, 0x0000, 0x0841, 0x6b6d, 0xef5c, 0x7bcf, 0x0000, 0x0841, 0x10a2, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe226, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18e3, 0x0020, 0x0000, 0x6b6e, 0xf77d, 0x738e, 0x0000, 0x0841, 0x39c7, 0x630b, 0x18c3, 0x0000, 0x0000, 0x1082, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x0861, 0x1125, 0x0882, 0x10e5, 0x1962, 0x10e5, 0x1124, 0x0882, 0x10c4, 0x0861, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x31a7, 0x4a49, 0x630c, 0x6b6d, 0x8c71, 0xc679, 0xacf3, 0x82e9, 0xffbe, 0xff9d, 0xf6fa, 0xe616, 0xe5b4, 0xd552, 0xde16, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xcd94, 0xcd11, 0xe5d4, 0xe657, 0xff3b, 0xff5c, 0xf77d, 0xb4f2, 0x838d, 0xbdf8, 0x8c92, 0x7bae, 0x5acb, 0x4a69, 0x39c7, 0x31a7, 0x18c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2945, 0x2966, 0x0000, 0x0000, 0x0000, 0x0000, 0x3a81, 0x8d83, 0x84c3, 0x2981, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2145, 0x732c, 0x0862, 0x0000, 0x2965, 0xbdb6, 0xbdd7, 0x2986, 0x0000, 0x2945, 0x4a69, 0x18e4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda47, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x630d, 0x18c3, 0x0020, 0x0000, 0xbdd7, 0xe6fb, 0x2124, 0x0000, 0x1081, 0x5248, 0x4a69, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x0881, 0x08c2, 0x1144, 0x1145, 0x11c6, 0x1145, 0x1145, 0x1145, 0x1145, 0x1145, 0x1145, 0x1145, 0x1145, 0x1104, 0x0882, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x39e8, 0x4a49, 0x52ab, 0x6b6d, 0x8c71, 0xb679, 0xac91, 0x830a, 0xffbe, 0xff7c, 0xf6fa, 0xe636, 0xddb4, 0xcd32, 0xde16, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde58, 0xccf1, 0xe593, 0xe657, 0xff3b, 0xff5c, 0xff7d, 0xbd12, 0x836c, 0xbdf8, 0x8472, 0x738e, 0x5acb, 0x4a69, 0x39c7, 0x39c7, 0x2104, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x31c1, 0xb604, 0xd725, 0x4282, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2145, 0x2124, 0x0000, 0x1082, 0x7bcf, 0xe6db, 0x6b6d, 0x0000, 0x0861, 0x4a6a, 0x4a49, 0x1082, 0x0000, 0x2124, 0x1904, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x8103, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x18e4, 0x0021, 0x0000, 0x52ab, 0x5a69, 0x0841, 0x0000, 0x39c7, 0xf77d, 0x94b2, 0x0000, 0x0000, 0x10a2, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x1122, 0x1144, 0x11a6, 0x08e3, 0x08c3, 0x08c3, 0x08c3, 0x1163, 0x08c3, 0x1143, 0x08c3, 0x08c3, 0x08c3, 0x08e3, 0x1125, 0x1145, 0x1125, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x39c7, 0x4a49, 0x632c, 0x6b6d, 0x8c71, 0xbe79, 0xa471, 0x8b6b, 0xffbe, 0xff5c, 0xf6fa, 0xe616, 0xdd73, 0xc4d0, 0xde17, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6b9, 0xc48f, 0xe593, 0xe657, 0xff3b, 0xff5c, 0xffbe, 0xcd94, 0x836b, 0xadf8, 0x8c92, 0x7bcf, 0x5acb, 0x4a69, 0x39e8, 0x39c7, 0x2104, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4261, 0xb624, 0x7c83, 0x1961, 0x4ae2, 0x5bc2, 0x29c1, 0x0040, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3186, 0xd69a, 0xad55, 0x18c3, 0x0000, 0x2945, 0x528a, 0x2104, 0x0000, 0x0000, 0x5aec, 0x3186, 0x0841, 0x0000, 0x10a3, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda27, 0x8082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0862, 0x0021, 0x0000, 0x4208, 0x528a, 0x10a2, 0x0000, 0x10a2, 0x7b8e, 0x20e4, 0x0000, 0x0861, 0xa4f3, 0xef1c, 0x4a29, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x08a1, 0x1104, 0x1145, 0x08e3, 0x08a2, 0x1904, 0x11a5, 0x11a7, 0x11a5, 0x1963, 0x0020, 0x10e1, 0x11a5, 0x11a6, 0x11a6, 0x1165, 0x10e4, 0x08a2, 0x08e3, 0x1125, 0x10c3, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x4a69, 0x632c, 0x738f, 0x8c71, 0xce59, 0x8c51, 0x9bac, 0xffbe, 0xff5c, 0xf6fa, 0xe616, 0xd552, 0xbc6f, 0xd5f6, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde16, 0xc48f, 0xdd73, 0xe657, 0xeeb9, 0xff5c, 0xffbe, 0xcdd5, 0x834a, 0xbdb7, 0x8cb3, 0x7bcf, 0x5acb, 0x4a69, 0x3a27, 0x39e7, 0x2104, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3a01, 0xb624, 0x8d03, 0x2141, 0x5b22, 0xb664, 0xa664, 0x9da4, 0x3201, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2965, 0x9cf3, 0x4aaa, 0x0000, 0x0861, 0x4a69, 0x4228, 0x0841, 0x0000, 0x2965, 0x632d, 0x10a3, 0x0000, 0x0000, 0x5aeb, 0x0862, 0x0000, 0x0000, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xe227, 0x80a2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x2104, 0x4209, 0x2104, 0x0000, 0x18c3, 0x630c, 0x2104, 0x0000, 0x0000, 0x4a49, 0x630c, 0x0000, 0x0020, 0x2125, 0x9492, 0x52eb, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x08c3, 0x1145, 0x1145, 0x08c3, 0x1924, 0x1a8a, 0x3c31, 0x34d3, 0x34f4, 0x3471, 0x23f0, 0x332c, 0x43cc, 0x5591, 0x5591, 0x55b2, 0x4d50, 0x3bcc, 0x1185, 0x0041, 0x08e3, 0x1145, 0x0903, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x4a69, 0x6b2c, 0x738e, 0x8c71, 0xbe7a, 0x93ef, 0xa3cd, 0xffbe, 0xff7c, 0xf6fa, 0xe616, 0xd553, 0xc4b0, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6ba, 0xbc6f, 0xdd73, 0xe657, 0xf6d9, 0xff5c, 0xffbe, 0xc5d5, 0x7b0a, 0xbd97, 0x94d3, 0x7bcf, 0x5acb, 0x4a69, 0x4248, 0x31a6, 0x2125, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x29a1, 0xade4, 0xada4, 0x2981, 0x2181, 0xb5e4, 0x8463, 0x4282, 0xade4, 0x8523, 0x10a0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x2145, 0x0061, 0x0000, 0x2965, 0x5aeb, 0x2945, 0x0000, 0x0000, 0x5acb, 0x39e8, 0x0841, 0x0000, 0x2125, 0x73af, 0x0000, 0x0000, 0x0021, 0x422a, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xea06, 0x8103, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2967, 0x2104, 0x0000, 0x10a3, 0x52aa, 0x39c7, 0x0000, 0x0000, 0x4a49, 0x4a49, 0x0861, 0x0000, 0x10a2, 0x73ae, 0x18c3, 0x0000, 0x0021, 0x2104, 0x10c3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x0905, 0x1144, 0x08e2, 0x1185, 0x3bcf, 0x3d15, 0x3d76, 0x3df4, 0x3555, 0x3555, 0x6e39, 0x9e9a, 0x96d7, 0x66b4, 0x66b4, 0x66b4, 0x66d4, 0x66b4, 0x54f0, 0x19e5, 0x08a2, 0x1145, 0x1145, 0x10c3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x4a69, 0x630b, 0x73cf, 0x8c71, 0xc67a, 0x838d, 0xb44f, 0xffbe, 0xff5c, 0xf6fa, 0xe616, 0xd553, 0xc4b0, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xeefb, 0xbc4f, 0xd573, 0xe657, 0xeeb9, 0xff5c, 0xffbe, 0xcdd6, 0x7b0a, 0xad76, 0x9cf3, 0x7bef, 0x632d, 0x52aa, 0x4208, 0x41a6, 0x2125, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4ae2, 0xa625, 0x3a23, 0x0000, 0x29c1, 0xb624, 0x5b02, 0x0040, 0x9563, 0x8dc3, 0x10c0, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2124, 0x0841, 0x0000, 0x18e4, 0x630c, 0x2104, 0x0000, 0x0000, 0x52aa, 0x4a49, 0x0000, 0x0000, 0x2946, 0x6b4e, 0x0000, 0x0000, 0x10a3, 0x31a7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2882, 0xda27, 0x8041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2145, 0x2986, 0x0000, 0x0862, 0x39e9, 0x4a6a, 0x0000, 0x0000, 0x39e7, 0x4228, 0x0861, 0x0000, 0x10a2, 0x6b4d, 0x18c3, 0x0000, 0x0000, 0x2945, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x1145, 0x1185, 0x08e2, 0x1903, 0x2bef, 0x3d96, 0x3576, 0x3535, 0x3533, 0x2472, 0x5556, 0xa6fa, 0xaf5a, 0xaeb9, 0x7656, 0x55f2, 0x55f2, 0x5612, 0x5e53, 0x6ed5, 0x5530, 0x19a5, 0x0903, 0x1145, 0x1125, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x4a69, 0x632d, 0x73af, 0x94b3, 0xce7a, 0x730b, 0xcd12, 0xff9d, 0xff3b, 0xf6fa, 0xe616, 0xd573, 0xbc8f, 0xd617, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef3c, 0xbc4f, 0xdd93, 0xe657, 0xf6fa, 0xff5c, 0xffbe, 0xcdd6, 0x832b, 0xad76, 0x9d14, 0x7bef, 0x630c, 0x528a, 0x3a08, 0x39a6, 0x2965, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10e0, 0x29a1, 0x0861, 0x42e1, 0x42a1, 0x4ac3, 0x7463, 0x8d23, 0xd725, 0x5362, 0x0860, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x39e8, 0x4a69, 0x1082, 0x0000, 0x0000, 0x738e, 0x10a3, 0x0000, 0x0000, 0x5aec, 0x41e8, 0x0000, 0x0841, 0x39c7, 0x5acb, 0x0000, 0x0841, 0x2946, 0x2966, 0x0841, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3081, 0xe206, 0x8081, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0x3a08, 0x0000, 0x0020, 0x39c7, 0x62ec, 0x0000, 0x0020, 0x2946, 0x52ab, 0x10a2, 0x0000, 0x2104, 0x4a6a, 0x2104, 0x0000, 0x0000, 0x5acb, 0x4208, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x1104, 0x1164, 0x2184, 0x10a2, 0x226a, 0x3555, 0x3576, 0x34f4, 0x34d3, 0x2cb3, 0x2cf4, 0x9698, 0xb6b9, 0x96b9, 0x9e99, 0xa678, 0x7634, 0x4dd1, 0x4dd1, 0x55f2, 0x5e73, 0x66d4, 0x3bab, 0x08a2, 0x08e3, 0x1145, 0x1125, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2966, 0x4229, 0x4a69, 0x6b4d, 0x8410, 0x8c92, 0xce9b, 0x72c9, 0xd573, 0xff9d, 0xff3b, 0xf6fa, 0xddf6, 0xcd32, 0xc4d0, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xac0d, 0xd553, 0xe637, 0xee98, 0xff3b, 0xff7c, 0xd617, 0x8b4c, 0xb595, 0x9d55, 0x7bef, 0x6b4d, 0x52ab, 0x4a49, 0x31a7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x8463, 0xa604, 0x3222, 0x4b02, 0xcee5, 0x9525, 0x1921, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x1082, 0x0020, 0x0000, 0x4228, 0x5acb, 0x0841, 0x0000, 0x0000, 0x7bef, 0x0861, 0x0000, 0x1082, 0x4a49, 0x4208, 0x0000, 0x1082, 0x4a4a, 0x39e8, 0x0021, 0x0000, 0x4229, 0x2124, 0x0000, 0x0000, 0x39e8, 0x0841, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x2882, 0xd268, 0x78e2, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2124, 0x0861, 0x0000, 0x2965, 0x4a6a, 0x0861, 0x0000, 0x2966, 0x738f, 0x0000, 0x0000, 0x18c3, 0x5aec, 0x0000, 0x0000, 0x18e3, 0x4a6a, 0x2945, 0x0000, 0x0841, 0x528a, 0x4a49, 0x0861, 0x0000, 0x10a3, 0x10a3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0882, 0x1145, 0x1144, 0x10c2, 0x08c3, 0x238e, 0x3d93, 0x3513, 0x2cb3, 0x2cb3, 0x1c72, 0x4575, 0xaf1a, 0x9e99, 0x9699, 0x9699, 0x9e79, 0x8656, 0x45d1, 0x4dd1, 0x4dd1, 0x55f2, 0x5e93, 0x4570, 0x1185, 0x08c3, 0x1145, 0x1145, 0x1104, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2125, 0x39e8, 0x4a49, 0x4a69, 0x6b4d, 0x73ae, 0xa514, 0xce59, 0x6227, 0xde16, 0xff9d, 0xff3b, 0xf6fa, 0xe5f6, 0xd511, 0xbc90, 0xde37, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xbc90, 0xdd93, 0xe637, 0xee78, 0xff3b, 0xffbe, 0xde58, 0x8b6d, 0x9d15, 0x9d75, 0x7bef, 0x5aec, 0x4a6a, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2981, 0x8d43, 0xc6c4, 0xd6e5, 0x95c3, 0x29c2, 0x0020, 0x0000, 0x2124, 0x5acb, 0x2125, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5acb, 0x18e3, 0x0000, 0x0000, 0x2125, 0x6b6d, 0x0000, 0x0000, 0x18e3, 0x5acb, 0x2124, 0x0000, 0x2104, 0x4a6a, 0x2965, 0x0000, 0x0862, 0x5aec, 0x2965, 0x0000, 0x0000, 0x738e, 0x2105, 0x0020, 0x0000, 0x738e, 0x1084, 0x0000, 0x3081, 0xe226, 0x78e2, 0x0000, 0x2104, 0x4a6a, 0x2124, 0x0000, 0x2945, 0x5acb, 0x2104, 0x0000, 0x2945, 0x630c, 0x1082, 0x0000, 0x0841, 0x8c51, 0x0000, 0x0000, 0x1082, 0x632c, 0x3186, 0x0000, 0x1082, 0x528a, 0x4a49, 0x0000, 0x0000, 0x3186, 0x39e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x1124, 0x1145, 0x1145, 0x08a2, 0x08c3, 0x3451, 0x4e38, 0x5518, 0x65b8, 0x5576, 0x24d3, 0x6615, 0xae99, 0x9677, 0x9677, 0x9699, 0x9679, 0x8e76, 0x5e33, 0x7654, 0x8e56, 0x8e56, 0x8ed6, 0x65d2, 0x19e6, 0x10c1, 0x1143, 0x1145, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x2104, 0x3186, 0x4a49, 0x4a69, 0x6b4d, 0x73f0, 0x9d35, 0xce38, 0x5a06, 0xde9a, 0xff9d, 0xf6fa, 0xe657, 0xddf5, 0xccf1, 0xbcd1, 0xe699, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xabcc, 0xd552, 0xe5d4, 0xee78, 0xff3b, 0xff5c, 0xde58, 0x936b, 0xacf3, 0xad75, 0x8411, 0x736e, 0x52ab, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1901, 0x3a41, 0x39e1, 0x1901, 0x0040, 0x0000, 0x0000, 0xadd7, 0xe6fb, 0xd699, 0x29a6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x0020, 0x0000, 0x0000, 0x630c, 0x4a6a, 0x0000, 0x0000, 0x2104, 0x632d, 0x0841, 0x0000, 0x2966, 0x528a, 0x18c3, 0x0000, 0x18c3, 0x5acb, 0x2124, 0x0000, 0x1083, 0x6b8f, 0x10a3, 0x0000, 0x0000, 0x8410, 0x0021, 0x0000, 0x3081, 0xea26, 0x8124, 0x0000, 0x2104, 0x528a, 0x2965, 0x0000, 0x18e4, 0x5acb, 0x2124, 0x0000, 0x0841, 0x6b6e, 0x1082, 0x0000, 0x0000, 0x738e, 0x2124, 0x0000, 0x0841, 0x4208, 0x4a6a, 0x0000, 0x0020, 0x39a6, 0x5aa9, 0x0882, 0x0000, 0x0841, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1145, 0x1145, 0x08c3, 0x0020, 0x22c8, 0x6e98, 0x86db, 0x8639, 0x8e79, 0x767d, 0x6619, 0xa678, 0x9e79, 0x9679, 0x9678, 0x9677, 0x9679, 0xae79, 0xa678, 0xb679, 0xbeb9, 0xaed9, 0xcf1b, 0xb739, 0x440e, 0x0903, 0x08e3, 0x1145, 0x1145, 0x10c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x4208, 0x4a49, 0x4a69, 0x6b4d, 0x8451, 0xad55, 0xb638, 0x59c3, 0xf71b, 0xff9d, 0xff1b, 0xf6d9, 0xe5f6, 0xcd11, 0xc4f2, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde37, 0xd552, 0xe636, 0xee78, 0xff3b, 0xff5c, 0xe6da, 0x9bee, 0x9c70, 0xad75, 0x7bf0, 0x6b6e, 0x5acb, 0x4a69, 0x39c7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2861, 0xd8a9, 0xd8a9, 0xd0a8, 0x8865, 0x3061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x4229, 0xef5d, 0xb619, 0xdf5d, 0x7bcf, 0x0000, 0x0000, 0x0000, 0x0000, 0x00a2, 0x1208, 0x0945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1082, 0x0841, 0x0000, 0x0862, 0x4a6a, 0x52aa, 0x0000, 0x0000, 0x39e7, 0x528a, 0x0020, 0x0000, 0x2966, 0x4a6a, 0x18c3, 0x0000, 0x2124, 0x632d, 0x1082, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x3081, 0xea06, 0x78e2, 0x0000, 0x18e4, 0x4a69, 0x2965, 0x0000, 0x18c3, 0x52ab, 0x2124, 0x0000, 0x0000, 0x738e, 0x10a2, 0x0000, 0x0000, 0x72c9, 0x4228, 0x0000, 0x0040, 0x31e4, 0x632d, 0x0000, 0x0000, 0x0841, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1965, 0x18e3, 0x08c1, 0x232b, 0x4596, 0x7e9b, 0x7e7a, 0x7659, 0x7659, 0x765a, 0x7659, 0xae79, 0xbefb, 0x9699, 0x9677, 0x9699, 0xb71a, 0xc6fa, 0xaef9, 0xa6b8, 0xaef9, 0xa698, 0xbeda, 0xb73a, 0x7716, 0x448e, 0x1124, 0x0903, 0x1145, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x2104, 0x3186, 0x4a49, 0x632c, 0x6b6d, 0x8c51, 0xad55, 0xa597, 0x59c3, 0xffbe, 0xff9d, 0xf6fa, 0xe657, 0xddf5, 0xc4b0, 0xbcb0, 0xeeda, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xbcd1, 0xccf1, 0xe5b4, 0xee78, 0xff3b, 0xff5c, 0xf71b, 0xa490, 0x8c50, 0xb5d8, 0x8472, 0x73af, 0x5acb, 0x4a69, 0x39c7, 0x31c7, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x4043, 0x5043, 0x3061, 0x20e4, 0xf8ca, 0xf8cd, 0xf8cd, 0xf8cc, 0xf0cc, 0xc0a8, 0x3842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0xc67a, 0xff9e, 0xffbe, 0x39e8, 0x0000, 0x0000, 0x0000, 0x21e7, 0x977d, 0xa79e, 0x8f1e, 0x3b91, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x3186, 0x2125, 0x0000, 0x0000, 0x39e8, 0x528a, 0x0000, 0x0000, 0x4228, 0x4229, 0x1082, 0x0000, 0x2125, 0x632d, 0x1082, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x3081, 0xea26, 0x8124, 0x0000, 0x18e4, 0x4a69, 0x2965, 0x0000, 0x0020, 0x5acb, 0x2965, 0x0000, 0x0000, 0x5acb, 0x31a6, 0x0841, 0x0000, 0x3a49, 0x632c, 0x0000, 0x0000, 0x0882, 0x3186, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x1144, 0x1145, 0x08c3, 0x1a49, 0x3535, 0x3556, 0x5dd7, 0x8679, 0x7659, 0x7659, 0x7659, 0x7659, 0x9679, 0xd73d, 0xb71a, 0x9679, 0xb69a, 0xcf1c, 0xb6b9, 0xaef9, 0xa6b8, 0xaef9, 0xa6b8, 0xb6da, 0x8e76, 0x5e53, 0x66b4, 0x336b, 0x0882, 0x1104, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e3, 0x2966, 0x4228, 0x4a69, 0x4a6a, 0x6b4d, 0x8c51, 0xadd8, 0xa534, 0x6a03, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe5f4, 0xc4ad, 0xc512, 0xef3c, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xcd94, 0xc4af, 0xe637, 0xe637, 0xee78, 0xff5c, 0xff5c, 0xb4b0, 0x7bac, 0xa5d7, 0x8451, 0x6b6e, 0x5acb, 0x4a69, 0x4a69, 0x3a08, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x2061, 0x4863, 0x3862, 0x3081, 0x0020, 0x0000, 0x0000, 0x0000, 0x0820, 0x6064, 0xb129, 0xf8cd, 0xe0ab, 0x6844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x5b0c, 0x2966, 0x0000, 0x0000, 0x0000, 0x1145, 0x769a, 0x9514, 0x0000, 0x430c, 0x75f7, 0x11c7, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2104, 0x2965, 0x0000, 0x0000, 0x5acb, 0x528a, 0x1082, 0x0000, 0x39e8, 0x6b4d, 0x1082, 0x0000, 0x0000, 0x8410, 0x0000, 0x0000, 0x3081, 0xea05, 0x78e2, 0x0000, 0x1082, 0x4a49, 0x39e8, 0x0000, 0x0000, 0x5acb, 0x2965, 0x0000, 0x0000, 0x5acb, 0x528a, 0x0861, 0x0000, 0x0000, 0x2965, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x1962, 0x1163, 0x2163, 0x33cf, 0x35b7, 0x34f4, 0x4535, 0x865a, 0x969a, 0x7e59, 0x7659, 0x7659, 0x5659, 0xae79, 0xc71b, 0x9699, 0xb73a, 0xb71a, 0xae79, 0x9eb8, 0xaef9, 0x9677, 0xae78, 0xbe98, 0x7e55, 0x5e33, 0x66d4, 0x5d91, 0x1965, 0x0903, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4228, 0x4a69, 0x632d, 0x6b6e, 0x8c51, 0xadd8, 0xac91, 0x7b0a, 0xffbe, 0xff3b, 0xf6fa, 0xe637, 0xddd5, 0xb44e, 0xbd12, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xddf6, 0xc48f, 0xe5b3, 0xee78, 0xff1b, 0xff5c, 0xffbe, 0xbd53, 0x7b4b, 0xad97, 0x9cf3, 0x7bcf, 0x5acb, 0x4a69, 0x39c7, 0x2986, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18a3, 0x4884, 0x1821, 0x0000, 0x0020, 0x0020, 0x1940, 0xb744, 0xcfa4, 0x8f23, 0x3421, 0x0880, 0x3862, 0xf0ca, 0xe8ab, 0x8865, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x3aaa, 0xae59, 0x1a29, 0x0020, 0x430c, 0x7659, 0x1a49, 0x0000, 0x0041, 0x0882, 0x1965, 0x0882, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3944, 0x3208, 0x0841, 0x0000, 0x0000, 0x7bcf, 0x0000, 0x0000, 0x2882, 0xd268, 0x9101, 0x0000, 0x1082, 0x4229, 0x39c7, 0x0000, 0x0000, 0x4208, 0x2104, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1145, 0x08e3, 0x1186, 0x34b3, 0x3555, 0x2cb3, 0x2cd3, 0x4cd7, 0x6dd9, 0x7659, 0x8e79, 0x7e59, 0x7659, 0x7659, 0xae9c, 0xb73a, 0xb7be, 0xae99, 0x9e98, 0xaef9, 0xa6b8, 0xb71a, 0xa6d8, 0x7e55, 0x5e12, 0x4dd1, 0x6633, 0x66f5, 0x1a67, 0x08e3, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x2945, 0x4228, 0x4a69, 0x632d, 0x6b6e, 0x8c51, 0xd69a, 0x736d, 0x9bac, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xddb5, 0xc4b0, 0xd616, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xb44e, 0xe593, 0xe637, 0xee78, 0xff5b, 0xffbe, 0xc594, 0x830a, 0xa515, 0x9cf3, 0x7bcf, 0x732c, 0x5aaa, 0x4a49, 0x39e8, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x3843, 0x3062, 0x1040, 0x0840, 0x2a01, 0x2a01, 0x2160, 0x9582, 0xc6a2, 0xdee5, 0xdf25, 0xd744, 0x3be1, 0x48a3, 0xe0aa, 0xe0aa, 0x6844, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0904, 0x55d8, 0x85f7, 0x0000, 0x0924, 0x6492, 0x7cb2, 0x08a2, 0x0882, 0x2b8e, 0x6e9a, 0xa7be, 0x3b0c, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2041, 0x9103, 0x3041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1145, 0x08e3, 0x1186, 0x34b3, 0x3556, 0x2cd4, 0x3552, 0x2512, 0x4575, 0x867a, 0xae9a, 0xb69c, 0xae99, 0x979e, 0x9699, 0xb6ba, 0xce9a, 0xc71b, 0xc71b, 0xc71b, 0xc71b, 0xb6d9, 0x7e55, 0x55d1, 0x4dd1, 0x5612, 0x5e53, 0x6ef5, 0x332a, 0x0881, 0x1124, 0x10c4, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4228, 0x4a69, 0x632d, 0x8430, 0x94d4, 0xce99, 0x72a9, 0xbd12, 0xffbe, 0xff3b, 0xf6fa, 0xe616, 0xdd52, 0xb3ed, 0xc533, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef3c, 0xac0d, 0xd553, 0xe637, 0xee78, 0xff3b, 0xff5c, 0xd5f6, 0x8b8c, 0x9d14, 0x9d15, 0x7bcf, 0x632d, 0x52aa, 0x39c7, 0x2966, 0x18e5, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x3842, 0x3862, 0x1040, 0x1920, 0x2a01, 0x2a01, 0x0020, 0x0021, 0x1104, 0x18e4, 0x10e4, 0x3a22, 0xe6c1, 0xcf04, 0x53a2, 0x50a3, 0xe8ca, 0xb8a9, 0x3022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1124, 0x6e39, 0x7618, 0x08c3, 0x438e, 0x8f9e, 0x4bef, 0x0882, 0x4c72, 0x7efc, 0x4d96, 0x9e7a, 0x434d, 0x0061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1144, 0x08e3, 0x1208, 0x34f4, 0x3555, 0x2cf4, 0x2cd4, 0x24b3, 0x4df8, 0x7e79, 0x8e79, 0xa69b, 0x8e79, 0x8e79, 0x9ebc, 0xafbe, 0xb6b9, 0xb71a, 0xbefa, 0xc6fb, 0xbefa, 0xaed9, 0x8676, 0x65b2, 0x5571, 0x5e32, 0x6653, 0x6ef5, 0x2b0a, 0x1942, 0x1164, 0x0861, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2986, 0x4228, 0x4a69, 0x632d, 0x738e, 0x9cf4, 0xb679, 0x59e6, 0xe637, 0xffbe, 0xff1b, 0xf6d9, 0xe637, 0xd594, 0xc4f1, 0xe699, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xbcb0, 0xd553, 0xe616, 0xee78, 0xff3b, 0xff5c, 0xe678, 0x936c, 0x9491, 0xa575, 0x7bef, 0x6b6e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2041, 0x4063, 0x1821, 0x1920, 0x2a01, 0x2161, 0x0841, 0x0062, 0x1144, 0x879e, 0xc75e, 0x7e3d, 0x2a6f, 0x1983, 0xa5c2, 0xbea3, 0x2ae2, 0x70c6, 0xf8cb, 0x7865, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x2acb, 0x869a, 0x5e18, 0x8f5d, 0x6490, 0x1122, 0x5472, 0x6e18, 0x19c7, 0x3bec, 0x6678, 0x19a6, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x2143, 0x18e3, 0x1144, 0x3c92, 0x3d76, 0x2cb3, 0x34d3, 0x65f8, 0x8679, 0x7659, 0x7659, 0x7659, 0x5659, 0x7e5a, 0xbeba, 0xae99, 0xb71a, 0xb71a, 0x9e98, 0xae98, 0xa698, 0xa698, 0xaed8, 0x9eb7, 0x5e33, 0x5612, 0x6654, 0x6633, 0x19e6, 0x10a3, 0x11a6, 0x10e4, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1904, 0x31e6, 0x4248, 0x4a6a, 0x6b4d, 0x8c51, 0xad55, 0xadb8, 0x59c3, 0xff5c, 0xffbe, 0xf6fa, 0xe637, 0xe5f6, 0xccf1, 0xbcb0, 0xe6b9, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xc4f1, 0xcd32, 0xe5d4, 0xee78, 0xf6fa, 0xff5c, 0xf71b, 0xa42e, 0x8bef, 0xad76, 0x8411, 0x738e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x3062, 0x1821, 0x0040, 0x21c1, 0x2161, 0x0040, 0x1105, 0x11e8, 0x1104, 0x3cd3, 0x75f7, 0xadf8, 0xb71d, 0x3b93, 0x31c2, 0xd6e2, 0x8d23, 0x50c3, 0xe0aa, 0x9067, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0882, 0x334c, 0x6dd7, 0x43cf, 0x08a2, 0x1a49, 0x75f8, 0x6492, 0x2a49, 0x7db6, 0x43ae, 0x0082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1104, 0x08e3, 0x10a2, 0x2b4d, 0x3576, 0x3514, 0x4d55, 0x7e5a, 0x765a, 0x7659, 0x7659, 0x7659, 0x7659, 0xb6bc, 0xc71c, 0x9699, 0xae9a, 0xcf3d, 0xb6f9, 0xa6b8, 0xaed9, 0xa6b8, 0xb6d9, 0xb698, 0x7e75, 0x5612, 0x66b4, 0x44ef, 0x1123, 0x0903, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2125, 0x39e8, 0x4a49, 0x5aec, 0x6b4d, 0x8c51, 0xad76, 0x9cf4, 0x7245, 0xffbe, 0xff9d, 0xf6fa, 0xe637, 0xe616, 0xccd0, 0xbc90, 0xef1b, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xd5b5, 0xc4b0, 0xe5f6, 0xe637, 0xee78, 0xff5c, 0xff7d, 0xac8f, 0x7b6c, 0xa576, 0x8451, 0x6b6e, 0x52ab, 0x4a69, 0x31a7, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1861, 0x28a3, 0x1041, 0x1100, 0x2a01, 0x08a0, 0x0061, 0x1208, 0x0904, 0x0020, 0x0000, 0x0020, 0x1986, 0x75f8, 0xb65a, 0x2a2b, 0x7423, 0xaea4, 0x32e1, 0x9087, 0xc8c9, 0x4043, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1a49, 0x44b2, 0x8efb, 0xafff, 0x3b2c, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0860, 0x1102, 0x1145, 0x10e3, 0x1165, 0x2c31, 0x3576, 0x6639, 0x6e1a, 0x7639, 0x7659, 0x7659, 0x7659, 0x969a, 0xd6fc, 0x9699, 0x9679, 0x9e99, 0xbefc, 0xbeda, 0xaed9, 0xa698, 0xa698, 0x9e97, 0xaeb9, 0xa6d8, 0x6e94, 0x5612, 0x2aa8, 0x08a2, 0x1124, 0x1145, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x39c7, 0x4a49, 0x5aec, 0x6b6d, 0x8c51, 0xadf8, 0x732c, 0x9bcc, 0xffbe, 0xff3b, 0xf6fa, 0xe637, 0xddd5, 0xbc8f, 0xbd12, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xde58, 0xbc6e, 0xe592, 0xe637, 0xee78, 0xff3b, 0xff9d, 0xbd33, 0x732b, 0x9cd3, 0x9493, 0x73af, 0x52ab, 0x4a69, 0x39e8, 0x31c7, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3863, 0x80a6, 0x3042, 0x1100, 0x29e1, 0x0880, 0x1165, 0x11e9, 0x0021, 0x0000, 0x0000, 0x0000, 0x0020, 0x21a6, 0xaf3d, 0x4c54, 0x4a61, 0xcf63, 0x4c42, 0x7066, 0xd8ea, 0x4884, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0880, 0x5cf2, 0x7e18, 0x2b0c, 0x0082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1145, 0x1143, 0x08a1, 0x11a7, 0x3431, 0x76db, 0x7e9c, 0x8e5a, 0x7e7b, 0x7e5a, 0x7659, 0x969b, 0xbe9a, 0x9699, 0x9678, 0x9678, 0x9eba, 0xc71b, 0xa697, 0xbeb9, 0xb6d9, 0xb6d9, 0xbefa, 0xc71a, 0x75d2, 0x22e8, 0x08c3, 0x1103, 0x1185, 0x0903, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2965, 0x4208, 0x4a69, 0x52ab, 0x6b6e, 0x8c51, 0xae18, 0x59a3, 0xcd74, 0xffbe, 0xff1b, 0xeeb9, 0xe637, 0xdd94, 0xbc8f, 0xd5d6, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75c, 0xb44e, 0xd550, 0xe616, 0xee57, 0xf6fa, 0xff5c, 0xd616, 0x834b, 0x8c30, 0x94d3, 0x73cf, 0x62eb, 0x526a, 0x4228, 0x31e8, 0x1082, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7865, 0xf8cb, 0x6086, 0x1101, 0x2181, 0x0860, 0x0987, 0x11a8, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x1104, 0x97bf, 0x5d57, 0x5261, 0xcf62, 0x5462, 0x7066, 0xe8aa, 0x5844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x228a, 0x1a08, 0x0041, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0861, 0x1145, 0x1145, 0x10e3, 0x0841, 0x1186, 0x5d36, 0x76dc, 0x7659, 0x6e3b, 0x7639, 0x5597, 0x7618, 0x9eb9, 0x9699, 0x9678, 0x9678, 0x9699, 0x9ed8, 0x8635, 0xae56, 0xaeb9, 0xb698, 0xb739, 0x9eb7, 0x3ae9, 0x0860, 0x08e3, 0x1163, 0x11a5, 0x0061, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18a3, 0x2945, 0x4208, 0x4a69, 0x632d, 0x73af, 0x8c72, 0xa576, 0x5161, 0xeeda, 0xff7d, 0xf71a, 0xe637, 0xe616, 0xdd52, 0xc4b0, 0xde57, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xbcb0, 0xd532, 0xe5d5, 0xe637, 0xee98, 0xff5c, 0xeefa, 0x93ac, 0x7b8d, 0x94d4, 0x73af, 0x6b2c, 0x528a, 0x39c7, 0x31a7, 0x2123, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x7064, 0xf0cb, 0x70a7, 0x1921, 0x21a1, 0x0880, 0x0906, 0x1208, 0x0020, 0x0000, 0x0000, 0x0000, 0x0041, 0x2a49, 0xbf7e, 0x5475, 0x4a82, 0xc704, 0x4ba2, 0x7087, 0xe0aa, 0x5043, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x0903, 0x1145, 0x1965, 0x10a2, 0x08c2, 0x3bb0, 0x3d15, 0x3d14, 0x4534, 0x4534, 0x1c72, 0x4d76, 0xaf1a, 0x9678, 0x9679, 0x9678, 0x8e78, 0x7e55, 0x45f1, 0x5e33, 0x6633, 0x6e34, 0x66b4, 0x5591, 0x11a5, 0x0061, 0x1104, 0x1185, 0x0903, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4208, 0x4a69, 0x632d, 0x738e, 0x94b3, 0x8451, 0x6a04, 0xffbe, 0xff1b, 0xeeb9, 0xe637, 0xe616, 0xcd11, 0xbcb0, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xcd53, 0xccd0, 0xdd94, 0xe637, 0xee98, 0xff3b, 0xff5c, 0xac6f, 0x6aea, 0x8c72, 0x7bef, 0x630d, 0x528a, 0x4208, 0x31a7, 0x2143, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x5043, 0xd0aa, 0x9087, 0x20a1, 0x1200, 0x08a0, 0x0882, 0x11a8, 0x0925, 0x0020, 0x0000, 0x0000, 0x08a2, 0x44d3, 0xaedc, 0x3aab, 0x7422, 0xae84, 0x3ac2, 0x90a8, 0xc889, 0x4022, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0881, 0x1143, 0x1145, 0x08e3, 0x08a1, 0x236d, 0x3535, 0x34d3, 0x2cb3, 0x2cb3, 0x2492, 0x3d15, 0xaeb9, 0x9678, 0x9678, 0x9699, 0x9e78, 0x6e54, 0x4df1, 0x4df2, 0x45d1, 0x4df1, 0x66b4, 0x44cf, 0x0903, 0x08c3, 0x1965, 0x1986, 0x0081, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18e4, 0x2966, 0x4208, 0x4a69, 0x632d, 0x738e, 0x9cf4, 0x62ca, 0xac0d, 0xffbe, 0xff1b, 0xee99, 0xe637, 0xe5b4, 0xccef, 0xc512, 0xf79e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe678, 0xbc2e, 0xd573, 0xe637, 0xe657, 0xf6d9, 0xff7c, 0xc595, 0x7aea, 0x7bcf, 0x7bf0, 0x5b2c, 0x4a8a, 0x4a49, 0x3186, 0x2945, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x2841, 0xb0a8, 0xd0a9, 0x3822, 0x0980, 0x2201, 0x1100, 0x08a4, 0x11a9, 0x0945, 0x08c5, 0x0945, 0x0904, 0x22cc, 0x32eb, 0x39c2, 0xc6a2, 0x8563, 0x4923, 0xd8aa, 0x9887, 0x1821, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x10e2, 0x1145, 0x1965, 0x10a2, 0x11c7, 0x3514, 0x3555, 0x2cd4, 0x2cd4, 0x2cd3, 0x2493, 0x7e96, 0xaeda, 0x9678, 0xa699, 0x9678, 0x5e12, 0x4dd1, 0x4dd1, 0x5612, 0x5eb4, 0x5e33, 0x2ac9, 0x08a2, 0x1104, 0x19a6, 0x1103, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x2966, 0x4208, 0x4a69, 0x632d, 0x7bcf, 0x8c92, 0x5144, 0xeeb9, 0xff5c, 0xff1b, 0xee98, 0xe616, 0xdd72, 0xc4cf, 0xd5b5, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xcd73, 0xcd11, 0xe5f5, 0xe637, 0xee98, 0xff7c, 0xe6b9, 0x938c, 0x6b2b, 0x7bf0, 0x6b6d, 0x52aa, 0x4229, 0x3186, 0x2966, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x8886, 0xf0ab, 0x8066, 0x1881, 0x8cc3, 0xada4, 0x29e1, 0x0883, 0x08e3, 0x10e6, 0x1146, 0x10e4, 0x0862, 0x31c1, 0xb5a3, 0xc6c3, 0x42e2, 0x8866, 0xf0ab, 0x7065, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0041, 0x0924, 0x1985, 0x1104, 0x08a2, 0x2aa9, 0x3534, 0x3597, 0x3535, 0x2cd4, 0x24b3, 0x3574, 0x8e9a, 0xbefc, 0xa73c, 0x6e54, 0x5612, 0x5632, 0x5e53, 0x66b4, 0x66b4, 0x33ab, 0x0903, 0x1124, 0x1145, 0x1184, 0x0881, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a3, 0x2945, 0x2966, 0x4208, 0x4a69, 0x632d, 0x7c10, 0x632d, 0x7245, 0xffbe, 0xff3b, 0xf71b, 0xe637, 0xe616, 0xcd11, 0xb490, 0xe6da, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xddf6, 0xccd0, 0xdd94, 0xee78, 0xeeb9, 0xf6da, 0xf75c, 0xacb0, 0x6289, 0x6b8f, 0x632d, 0x528a, 0x4a49, 0x3186, 0x2966, 0x10a3, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x3842, 0xc0a9, 0xe0ab, 0x3023, 0x5422, 0xdf65, 0xbe64, 0x6be2, 0x21c1, 0x0841, 0x0861, 0x4202, 0x6c02, 0xc644, 0xcf24, 0x3ba1, 0x50c4, 0xe0ab, 0xa888, 0x2021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0061, 0x0904, 0x1145, 0x1104, 0x10c2, 0x1a48, 0x2bd2, 0x3577, 0x3597, 0x3597, 0x2d97, 0x3555, 0x6d32, 0x6db4, 0x5ef4, 0x6715, 0x6715, 0x66f5, 0x55b1, 0x336b, 0x08c2, 0x08a2, 0x1145, 0x1105, 0x08a2, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x2104, 0x31a7, 0x4229, 0x4a69, 0x632d, 0x7bd0, 0x3a05, 0xb46e, 0xffbe, 0xff1b, 0xee78, 0xe637, 0xdd94, 0xc4d0, 0xc512, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde58, 0xbc2d, 0xdd70, 0xe636, 0xee78, 0xe657, 0xf71b, 0xd616, 0x6ae8, 0x632c, 0x6b4e, 0x52aa, 0x4a69, 0x31a6, 0x2966, 0x18c5, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x5864, 0xd8ab, 0xc0aa, 0x3942, 0x43c1, 0xbf24, 0xd725, 0xbe24, 0xad64, 0xad84, 0xc644, 0xd725, 0xb6e4, 0x3b81, 0x38e3, 0xc8aa, 0xd8ab, 0x5844, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10c1, 0x1143, 0x1145, 0x1104, 0x1142, 0x1125, 0x2267, 0x334d, 0x236e, 0x1ace, 0x0986, 0x1164, 0x19a5, 0x2bac, 0x33cd, 0x43ac, 0x2ac9, 0x19a5, 0x0903, 0x08e3, 0x1924, 0x1963, 0x10c2, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x18c4, 0x2945, 0x39e8, 0x4a49, 0x4a69, 0x632d, 0x6b2e, 0x51e4, 0xe699, 0xff5c, 0xee78, 0xe637, 0xe636, 0xdd72, 0xc4b0, 0xcd74, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf73c, 0xc4d0, 0xcd10, 0xddb4, 0xe637, 0xe637, 0xee98, 0xf6fb, 0x93ec, 0x5247, 0x632d, 0x52ab, 0x4a69, 0x31a6, 0x2966, 0x2945, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1021, 0x6044, 0xd8ab, 0xc8aa, 0x68e4, 0x31c1, 0x4461, 0x8583, 0x96c3, 0x96c3, 0x8563, 0x3bc1, 0x31a1, 0x70c5, 0xd0ab, 0xe0ab, 0x7065, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0040, 0x0861, 0x08e3, 0x1145, 0x1144, 0x1104, 0x1144, 0x10a2, 0x08a2, 0x0062, 0x1100, 0x1103, 0x1101, 0x0082, 0x08a2, 0x0882, 0x0882, 0x0903, 0x1124, 0x1145, 0x10e3, 0x0861, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x18e4, 0x2966, 0x3186, 0x4228, 0x4a69, 0x6b6e, 0x3a46, 0x936b, 0xff7d, 0xee78, 0xe637, 0xe637, 0xe5b4, 0xcd11, 0xbc90, 0xe6b9, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xde37, 0xb44f, 0xd553, 0xe5f5, 0xe637, 0xe657, 0xf71b, 0xcd94, 0x61e6, 0x5269, 0x52aa, 0x4a69, 0x31a6, 0x2966, 0x2966, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x4063, 0xd0ca, 0xe8ab, 0xc8a8, 0x78e4, 0x4142, 0x1140, 0x1941, 0x3184, 0x80c5, 0xc8a9, 0xe8ac, 0xd8ab, 0x6044, 0x1021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1084, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0041, 0x1104, 0x1145, 0x1145, 0x2125, 0x1104, 0x2125, 0x1144, 0x1145, 0x1144, 0x1124, 0x2124, 0x1104, 0x1124, 0x1145, 0x1145, 0x08e3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2945, 0x2966, 0x31c7, 0x4249, 0x4a69, 0x5aec, 0x4124, 0xd594, 0xff3b, 0xe637, 0xe637, 0xe637, 0xdd73, 0xc4af, 0xcd53, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xbc90, 0xccf1, 0xe5d4, 0xe637, 0xe637, 0xeeb9, 0xf6fa, 0x8b4a, 0x4a27, 0x4a69, 0x4a69, 0x31a6, 0x2966, 0x18e5, 0x2945, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0820, 0x1821, 0x9866, 0xf0cc, 0xf0cc, 0xc2ee, 0xd8ab, 0xd8ab, 0xe0cc, 0xf0cc, 0xe8ec, 0x8907, 0x1821, 0x0800, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0041, 0x1121, 0x1144, 0x1145, 0x11e7, 0x1145, 0x1145, 0x1145, 0x1165, 0x11e6, 0x1145, 0x1145, 0x08e3, 0x0041, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0862, 0x18e3, 0x2966, 0x2986, 0x4228, 0x630c, 0x18e4, 0x8b2b, 0xeeb9, 0xee78, 0xe637, 0xe637, 0xe593, 0xcd32, 0xbc90, 0xde58, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf75d, 0xc533, 0xbc90, 0xd573, 0xe5d5, 0xe637, 0xe637, 0xf6d9, 0xcd32, 0x3965, 0x31a7, 0x4a69, 0x31a6, 0x2966, 0x2181, 0x18c4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0800, 0x1021, 0x5844, 0xa8a7, 0xb087, 0xa148, 0xa886, 0x4862, 0x1021, 0x0820, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0020, 0x1961, 0x0020, 0x1144, 0x1941, 0x0020, 0x0020, 0x0020, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2105, 0x2965, 0x2966, 0x4185, 0x4a28, 0x4209, 0x4962, 0xcd74, 0xff1b, 0xe657, 0xe637, 0xe636, 0xd52d, 0xc4b0, 0xac2e, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe6b9, 0xbc90, 0xccd0, 0xdd53, 0xe5f5, 0xe637, 0xe637, 0xee78, 0x8309, 0x3964, 0x4228, 0x39e8, 0x3186, 0x20e4, 0x2966, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x18c3, 0x2966, 0x31a7, 0x4229, 0x10a2, 0x938c, 0xddf5, 0xe637, 0xe637, 0xde17, 0xe593, 0xcd32, 0xbc6f, 0xd616, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xc532, 0xc4ae, 0xd52f, 0xddb5, 0xe5f5, 0xe5f5, 0xe637, 0xd594, 0x41a6, 0x39c7, 0x31a6, 0x2966, 0x2966, 0x18c5, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2966, 0x2966, 0x2966, 0x2966, 0x31e7, 0x1986, 0x5182, 0xd5b4, 0xe657, 0xe637, 0xe593, 0xe593, 0xcd32, 0xc46f, 0xa3cc, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde99, 0xb490, 0xbcf1, 0xdd52, 0xe593, 0xe593, 0xe5f5, 0xee78, 0xac0d, 0x28c2, 0x29c7, 0x3186, 0x2966, 0x2965, 0x2966, 0x18c3, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0863, 0x0020, 0x18c3, 0x2966, 0x2966, 0x2965, 0x30e3, 0xac2e, 0xe616, 0xe5b4, 0xe593, 0xe593, 0xd532, 0xc48f, 0xbc6f, 0xd616, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xcd74, 0xb42e, 0xccd0, 0xcd32, 0xdd73, 0xe593, 0xe5f5, 0xe5d4, 0x6a07, 0x2945, 0x2966, 0x2966, 0x0841, 0x2966, 0x0020, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0863, 0x0021, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a2, 0x2965, 0x2965, 0x2966, 0x2965, 0x10a2, 0x6a47, 0xd594, 0xe5b4, 0xe593, 0xe593, 0xd532, 0xcd32, 0xbc6f, 0xc512, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6da, 0xbc90, 0xbc6f, 0xccf1, 0xcd32, 0xd532, 0xdd73, 0xe5f5, 0xc4b0, 0x3944, 0x2124, 0x2965, 0x2966, 0x2966, 0x0020, 0x18c4, 0x0000, 0x0000, 0x0000, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x1083, 0x18c2, 0x18e4, 0x18e3, 0x31a7, 0x18c3, 0x4143, 0xbc6e, 0xe5f5, 0xd553, 0xd532, 0xd532, 0xcd12, 0xc48f, 0xac0d, 0xe679, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf79e, 0xcdb5, 0xb42e, 0xc48f, 0xccf1, 0xcd32, 0xcd32, 0xd552, 0xdd73, 0xabcb, 0x20c1, 0x2104, 0x2966, 0x2966, 0x0862, 0x2104, 0x0841, 0x0021, 0x0000, 0x0021, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0862, 0x18e3, 0x1903, 0x2105, 0x2966, 0x1924, 0x3124, 0x9b8c, 0xd573, 0xd553, 0xcd32, 0xcd32, 0xcd32, 0xb44e, 0xac0d, 0xcdb5, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef3c, 0xc532, 0xb44e, 0xbc6f, 0xccf1, 0xccf1, 0xc4d1, 0xcd11, 0xdd52, 0x7aa7, 0x1861, 0x2104, 0x2966, 0x2965, 0x0862, 0x10a4, 0x18c4, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x18a3, 0x1083, 0x20e5, 0x2125, 0x2145, 0x20e3, 0x7ac9, 0xccf1, 0xcd11, 0xcd11, 0xccd1, 0xcd11, 0xc4d0, 0xb42e, 0xa3ed, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde58, 0xb490, 0xb42e, 0xbc8f, 0xc4b0, 0xc4d0, 0xc4d0, 0xc4b0, 0xcd11, 0x6206, 0x1041, 0x2104, 0x2966, 0x2964, 0x1082, 0x2104, 0x0020, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c4, 0x18c4, 0x2945, 0x2125, 0x2125, 0x18c2, 0x6226, 0xbc8f, 0xccd0, 0xc4b0, 0xc4d0, 0xc4b0, 0xbc6f, 0xb44e, 0xabed, 0xe699, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffde, 0xd5f6, 0xac0e, 0xb42e, 0xbc6f, 0xc48f, 0xbc6f, 0xbc6f, 0xccf0, 0xbc4f, 0x61e6, 0x0000, 0x18e4, 0x29a4, 0x2125, 0x20a3, 0x0882, 0x0863, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0842, 0x1082, 0x2123, 0x18a3, 0x2124, 0x18c3, 0x18c2, 0x51a4, 0xb42d, 0xc4d0, 0xc48f, 0xc48f, 0xc490, 0xbc4f, 0xb42e, 0xb42e, 0xcdb5, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xc533, 0xac0d, 0xb40e, 0xb44e, 0xb44e, 0xbc6f, 0xabed, 0xc48f, 0xbc4f, 0x4985, 0x1841, 0x2105, 0x2105, 0x2904, 0x1924, 0x1083, 0x0862, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0841, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0863, 0x1083, 0x18e4, 0x2143, 0x2945, 0x2125, 0x20c2, 0x51a4, 0xa3cc, 0xbc8f, 0xb42e, 0xbc6f, 0xbc6f, 0xb42e, 0xb40e, 0xa3ac, 0xbd12, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xef1b, 0xbcf1, 0xa3ac, 0xabed, 0xb40e, 0xbc4e, 0xabed, 0xb42e, 0xb44f, 0xb40d, 0x6a07, 0x1861, 0x18c3, 0x2966, 0x2965, 0x2104, 0x10a3, 0x1083, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0862, 0x18c3, 0x18c3, 0x2925, 0x2125, 0x1924, 0x20c3, 0x59e5, 0xb38b, 0xcc2e, 0xb42e, 0xb42e, 0xb42e, 0xb42e, 0xabed, 0xa3ac, 0xb46f, 0xeefb, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xe6ba, 0xb46f, 0xa3cd, 0xabed, 0xac0d, 0xabed, 0xabed, 0xabed, 0xb42e, 0xb42e, 0x7248, 0x1861, 0x18c3, 0x2965, 0x2945, 0x2945, 0x2104, 0x2104, 0x0863, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0000, 0x2125, 0x18e3, 0x2966, 0x2966, 0x2966, 0x18e4, 0x18e3, 0x6206, 0xabcc, 0xbc2e, 0xb3cd, 0xabed, 0xabed, 0xabed, 0xa3ed, 0x9bac, 0xb44f, 0xe6b9, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde79, 0xb490, 0xa3ac, 0xa3cc, 0xabed, 0xabed, 0xabed, 0xa3ac, 0xb42e, 0xabed, 0x7a88, 0x30e2, 0x18c3, 0x2165, 0x2966, 0x2966, 0x2945, 0x2125, 0x18c4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0842, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x2105, 0x18c3, 0x2966, 0x2966, 0x2966, 0x2986, 0x18a3, 0x30e3, 0x6a67, 0xa3cc, 0xb42e, 0xac0e, 0xa3ed, 0xabed, 0xabed, 0xa3cc, 0x9b8b, 0xac4f, 0xde79, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xde58, 0xb46f, 0x9b8b, 0x9b8b, 0xa3ac, 0xa3ac, 0xa3cc, 0xa3ac, 0xabed, 0xbc6f, 0x934b, 0x49a5, 0x20c2, 0x18e4, 0x31a7, 0x3186, 0x2966, 0x2945, 0x2104, 0x18e4, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x18c3, 0x2125, 0x2966, 0x2966, 0x31a7, 0x31e7, 0x2965, 0x18c3, 0x4143, 0x934b, 0xb42e, 0xac0d, 0xabed, 0xabcc, 0xabcc, 0xa3ac, 0x9b8b, 0x9b6b, 0x9bac, 0xde38, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xe6b9, 0xac4f, 0x934a, 0x9b6a, 0x9b6a, 0xabed, 0xa38b, 0xabed, 0xb40e, 0xb44e, 0xbc4e, 0x7aa8, 0x3103, 0x1904, 0x39c7, 0x4208, 0x3a08, 0x31a6, 0x2966, 0x2945, 0x2104, 0x10a3, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0863, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0862, 0x18e4, 0x2104, 0x2966, 0x31a7, 0x4208, 0x4208, 0x4208, 0x3a08, 0x10c3, 0x30e3, 0x6a67, 0xac2d, 0xbc6f, 0xac0e, 0xabcc, 0xa3ab, 0xa38b, 0x9b6b, 0x9b6a, 0x934a, 0xac4e, 0xd637, 0xffbe, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe6da, 0xac4f, 0x9b6a, 0x934a, 0x9b6b, 0x9b6a, 0xa3ac, 0xabed, 0xabed, 0xbc6f, 0xc4b0, 0xac0d, 0x61e6, 0x28a3, 0x2945, 0x4a4a, 0x528b, 0x4a49, 0x4228, 0x4228, 0x4208, 0x2945, 0x2124, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0863, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x0842, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x10a2, 0x2124, 0x2966, 0x31a7, 0x4208, 0x4249, 0x4a49, 0x52ab, 0x4a69, 0x2945, 0x10a2, 0x6a26, 0xa3ed, 0xccd0, 0xc48f, 0xac0d, 0xabed, 0xa3cc, 0x9b8c, 0x938b, 0x934a, 0x934a, 0xb44f, 0xe699, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xeefb, 0xbcd1, 0x9b6a, 0x934a, 0x9b4a, 0xabcd, 0xabed, 0xabed, 0xb44e, 0xbc8f, 0xccf1, 0xd512, 0xabcd, 0x59c6, 0x20a2, 0x31a7, 0x52cb, 0x5aec, 0x52cc, 0x4a8a, 0x4a49, 0x4229, 0x4208, 0x39e8, 0x2125, 0x2124, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1084, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x0020, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x1083, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0841, 0x18c4, 0x2945, 0x31c7, 0x4208, 0x4229, 0x4a49, 0x528b, 0x630c, 0x6b6e, 0x5aec, 0x39c7, 0x1082, 0x5984, 0xa3ed, 0xd532, 0xe4b2, 0xbc6f, 0xb42e, 0xabed, 0xabed, 0xa3ac, 0x934a, 0x934a, 0x9329, 0xb46f, 0xe6da, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xf77d, 0xc553, 0x8b09, 0x934a, 0x9b6b, 0xa3ab, 0xabed, 0xb44e, 0xb44e, 0xbc6f, 0xd511, 0xddb4, 0xcd74, 0xac4f, 0x6a67, 0x4123, 0x3986, 0x5aec, 0x6baf, 0x73cf, 0x6b4d, 0x5acc, 0x52cc, 0x4229, 0x4229, 0x39e8, 0x39e7, 0x2966, 0x2124, 0x10e4, 0x0862, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0021, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0020, 0x10a4, 0x2125, 0x2965, 0x39e8, 0x4208, 0x4229, 0x4a6a, 0x52ab, 0x630c, 0x6b6e, 0x73af, 0x73d0, 0x632d, 0x3a25, 0x3923, 0x6a46, 0xb46f, 0xcd73, 0xdd73, 0xccf1, 0xbcb1, 0xb44e, 0xb42e, 0xabed, 0xabcc, 0xa38b, 0x934a, 0x9b8c, 0xbcf2, 0xe6da, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xcdb5, 0x7ac9, 0x934a, 0x9b4a, 0xa3ab, 0xac0d, 0xb44e, 0xbc6f, 0xccd1, 0xccf1, 0xd552, 0xe5d5, 0xddf6, 0xd553, 0x9b6b, 0x59e4, 0x39c3, 0x4a69, 0x7b90, 0x8431, 0x8c93, 0x73f0, 0x738f, 0x632d, 0x5acc, 0x52ab, 0x4a49, 0x4249, 0x4229, 0x41e8, 0x31a7, 0x31a7, 0x2966, 0x1924, 0x10c4, 0x0841, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x0000, 0x1083, 0x0021, 0x2104, 0x2945, 0x2945, 0x31a7, 0x31a7, 0x4208, 0x4228, 0x4229, 0x4a49, 0x52ab, 0x5aec, 0x6b4d, 0x6b8e, 0x7c10, 0x8c72, 0x7c73, 0x6bd0, 0x5aec, 0x4165, 0x5983, 0x8b4a, 0xc4f1, 0xd5b5, 0xe616, 0xe5b3, 0xccf1, 0xc4d0, 0xc48f, 0xb44e, 0xb42e, 0xa3cc, 0x9b4a, 0x932a, 0x9bac, 0xcdb5, 0xf77d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffdf, 0xe6da, 0xb46f, 0x934a, 0x934a, 0x9b6b, 0xac0d, 0xbc6f, 0xc4b0, 0xc4d1, 0xd532, 0xe593, 0xe593, 0xe5f5, 0xeeb9, 0xe678, 0xc511, 0x932a, 0x59a3, 0x51c5, 0x528a, 0x6b6e, 0x7c31, 0x9d15, 0x9515, 0x94b3, 0x8c51, 0x7bf0, 0x6b4d, 0x6b4d, 0x630d, 0x5acc, 0x52cc, 0x62aa, 0x5269, 0x528b, 0x52ab, 0x4a49, 0x4a49, 0x4a49, 0x31c7, 0x4a49, 0x31c7, 0x31a7, 0x2966, 0x31c7, 0x31a7, 0x2966, 0x31a7, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x1144, 0x2965, 0x2965, 0x18c4, 0x2945, 0x18c4, 0x2945, 0x20e4, 0x2945, 0x18e4, 0x1945, 0x2105, 0x2105, 0x2105, 0x2105, 0x18e5, 0x2125, 0x18e5, 0x2125, 0x18c5, 0x2945, 0x18c4, 0x2945, 0x10a4, 0x2945, 0x18c4, 0x2945, 0x18c5, 0x2965, 0x2125, 0x18e5, 0x2125, 0x2105, 0x2125, 0x1904, 0x2145, 0x18e5, 0x2125, 0x18e5, 0x2125, 0x18c5, 0x2945, 0x18c4, 0x2945, 0x10a4, 0x2945, 0x18c4, 0x2945, 0x18c5, 0x2125, 0x18e5, 0x2125, 0x18e5, 0x2105, 0x2105, 0x2965, 0x2104, 0x2125, 0x1945, 0x2145, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2965, 0x2966, 0x31a7, 0x2986, 0x31c7, 0x31c7, 0x31c7, 0x31c7, 0x4208, 0x4a49, 0x4a49, 0x4a49, 0x4a49, 0x528b, 0x4a6a, 0x4a49, 0x52cb, 0x52cc, 0x5acc, 0x6b4d, 0x6b6e, 0x7410, 0x7c31, 0x94d4, 0x9515, 0x94f4, 0x94b3, 0x7bf0, 0x62aa, 0x51a4, 0x6205, 0x8b09, 0xc4b0, 0xee77, 0xee98, 0xe637, 0xe5b4, 0xe593, 0xd532, 0xc4d1, 0xc4d0, 0xb44e, 0xb42e, 0xa3cc, 0x934a, 0x932a, 0xa3ed, 0xde78, 0xffdf, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 
    0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffbe, 0xcdb5, 0x8b09, 0x934a, 0x9b6b, 0xac0d, 0xb44e, 0xbc8f, 0xcd11, 0xd532, 0xd532, 0xddb4, 0xe5d5, 0xe636, 0xee98, 0xff9d, 0xff3b, 0xe5b3, 0xbc4f, 0x82a7, 0x6a46, 0x51c5, 0x5267, 0x738e, 0x83f1, 0x94b3, 0x9d35, 0x9d35, 0x9d35, 0x9d35, 0x9d14, 0x7c94, 0x8453, 0x8c71, 0x7c31, 0x7bf0, 0x7bd0, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b4d, 0x632c, 0x6b4d, 0x632d, 0x632d, 0x630d, 0x632d, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x62ec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x6b4d, 0x4a8a, 0x5b0c, 0x5aec, 0x62ec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x632d, 0x5acb, 0x52cb, 0x6b4d, 0x52aa, 0x5aec, 0x5aec, 0x5b0c, 0x5aec, 0x5b0c, 0x5aec, 0x5b0c, 0x5aec, 0x5acc, 0x528a, 0x5b0c, 0x52cb, 0x5acb, 0x5aec, 0x5acb, 0x632d, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x528a, 0x632d, 0x528a, 0x5acc, 0x5aec, 0x5aec, 0x4a6a, 0x6b4d, 0x4a6a, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x62ec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x5aec, 0x6b6e, 0x5aec, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x6b6e, 0x73af, 0x7bd0, 0x7bd0, 0x7c11, 0x8451, 0x7c31, 0x94b3, 0x94f4, 0x9d35, 0x9d35, 0xadd8, 0x9d35, 0x9d35, 0x94d3, 0x8c51, 0x738e, 0x6a88, 0x5a05, 0x6a05, 0x82c8, 0xac0d, 0xddd5, 0xf6fa, 0xff3b, 0xf6d9, 0xe657, 0xe5f5, 0xe593, 0xd552, 0xc4d1, 0xc4d1, 0xc4d1, 0xb44e, 0xb42e, 0xa38b, 0x934a, 0x9bac, 0xcd94, 0xf79d, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff, 0xffff
};

void app_main()
{
SSD2805_begin();
    for(;;){
        
		SSD2805_dispFlush(0, 0, 239, 239, (const uint16_t*)&image_data_AppleWatch);
		vTaskDelay(2000 / portTICK_PERIOD_MS);  //pause for 2 sec.
		SSD2805_clearLCD(0xf800);
		vTaskDelay(1000 / portTICK_PERIOD_MS);
		SSD2805_clearLCD(0x07e0);
		vTaskDelay(1000 / portTICK_PERIOD_MS);
		SSD2805_clearLCD(0x001f);
		vTaskDelay(1000 / portTICK_PERIOD_MS);
        
    }
}